2018-09-26  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.1.5

	libtracker-data: Chain up correctly on TrackerDataManager::dispose
	It was wrongly chaining up to finalize...

	tracker-store: Destroy the direct connection on exit
	And let it shut down the internal data manager. Fixes possible crashes
	as the TrackerDirectConnection is not disposed and there may be other
	internal threads trying to access the TrackerDataManager after shutdown.

	libtracker-miner: Avoid crawling through children of non-recursive dir
	The direct children would be crawled, which is pretty useless.

2018-09-09  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Small optimization
	Using get_file() should be equivalent to peek_file() given that the
	file is already interned, but the latter takes less detours to find
	this out.

	libtracker-miner: group elements on tracker_decorator_next() query
	This query would deduplicate files by their matching rdf:types, which
	may possibly return the same file multiple types if the file as
	several types that satisfy the query. Group by the URN so we only get
	each element exactly once.

	libtracker-miner: Untangle SPARQL buffer task memory management
	On one hand, the refcounting assignment was wrong, the task callback
	is meant to receive a reference on the TrackerTask where it was
	getting none.

	On the other hand, after fixing it there is a circular reference
	between the GTask and the TrackerTask that would prevent both to
	be freed, break it by disposing the GTask as soon as it's dispatched.

	libtracker-miner: Plug leak

	libtracker-common: Plug leak

	libtracker-sparql: Plug leak

	libtracker-direct: Plug leaks

	libtracker-miner: Fix lookup of already interned files
	This code had several wrongs here:
	- The tracker_file_system_is_file_interned got the check_fs
	  parameter wrong, creating an additional copy of the file.
	  This would be inocuous as the later lookup would succeed,
	  except
	- The extra copy of the file was being leaked
	- And actually the later lookup is somewhat superfluous if
	  we are checking the NodeLookupData. We can shortcircuit
	  lookup of files already interned in this TrackerFileSystem
	  even further.

	This all is fixed now, the tracker_file_system_is_file_interned()
	function got open coded in the caller function so we can perform
	the fast path, the check has been corrected, and even if we would
	fall through the paths that do need a copy, it wouldn't be leaked.

	tests: Fix TrackerFileNotifier tests teardown
	Be a little bit more polite and delete the folder after closing the
	connection. Prevents warnings (and test failures) on its finalize
	paths.

	libtracker-miner: Unparent children on TrackerFileSystem root dispose
	We unparented children on intermediate folders, but didn't handle the
	case of the root folder disappearing. Unparent the child nodes so
	they get correctly freed when the respective GFiles are disposed.

2018-09-06  Stas Solovey  <whats_up@tut.by>

	Update Russian translation

2018-09-05  Sam Thursfield  <sam@afuera.me.uk>

	Merge remote-tracking branch 'origin/wip/carlosg/meson-fixes'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/22

2018-09-05  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-control: Add linker script
	So we only export the desired symbols

	libtracker-miner: Add linker script
	So we only export the desired symbols

	libtracker-sparql: Add linker script
	So we only export the desired symbols

	libtracker-miner: Generate vapi file

	libtracker-control: Generate vapi file

	libtracker-miner: Install tracker-miner.xml with meson
	This is done in autotools

	build: Do not install builtin ontology
	It is compiled as a GResource

	build: Do not use meson.source_root()
	As advised in the meson porting wiki page.

	tests: Link tracker-bus functional tests to libtracker-bus
	The static library randomly fails to be linked otherwise.

	tests: Link to internal library in libtracker-miner tests
	It does test internal API, so explicitly link to it.

	libtracker-sparql: Mark some internal TrackerResource methods as static

2018-09-04  Carlos Garnacho  <carlosg@gnome.org>

	Relese 2.1.4

2018-09-03  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch '34-build-failure-with-werror-format-security'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/20

2018-09-03  Tim Lunn  <tim@feathertop.org>

	libtracker-data: Fix build with format-security flag
	Closes:https://gitlab.gnome.org/GNOME/tracker/issues/34

2018-09-02  gogo  <trebelnik2@gmail.com>

	Update Croatian translation

2018-09-01  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2018-08-31  Rūdolfs Mazurs  <rudolfs.mazurs@gmail.com>

	Update Latvian translation

2018-08-30  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.1.3

	Revert "Add tracker_sparql_connection_get/set_dbus_connection()"
	This reverts commit eb24ea93bc550934d15223d002b490143e604921.

	This is an interesting feature, but not a good timing. Punt for
	2.2.x that will happen after 3.30.

	Merge branch 'wip/carlosg/insert-delete-triggers'

	libtracker-data: Avoid refcount leaks on ontology updates
	Make sure we add the new triggers after the "rename table, create
	replacement one, dump data" dance we do on ontology changes. This will
	avoid leaks as the last step there would increase refcount for all
	involved resources.

	There is only one situation where this does not work: Ontology changes
	that remove properties with rdfs:Resource range will result in those
	resources being leaked. This breaks differently but in similar ways for
	single-valued and multivalued properties, in the first we fail to delete
	elements from the old table, in the second we fail to delete the table
	altogether.

	This barely ever happens, so a FIXME has been added, we should cross this
	bridge before doing any such modification in the ontology.

	libtracker-data: Make insert/delete triggers modify all resource properties
	Refcount is not being increased if inserts happen with other values than
	the initial one, nor decreased when deletes happen on rows holding
	references to resources.

	In order to fix this, make the insert/delete triggers check all properties
	with rdfs:Resource range, this will ensure resources are properly
	refcounted in those cases.

	Closes: https://gitlab.gnome.org/GNOME/tracker/issues/32

	libtracker-data: Keep internal resources out of refcount checks
	Whatever it happens, we don't want to break the database that bad.

	libtracker-direct: Fix error fetching for single updates in update_array()
	The error location was being silently leaked.

	libtracker-direct: Use ';' as separator for multiple update statements
	Let's stick to SPARQL1.1 correct syntax.

	libtracker-miner: Use ';' as separator for multiple update statements
	Let's stick to SPARQL1.1 correct syntax.

	libtracker-sparql: Use ';' as separator for multiple update statements
	The separator being optional is a tracker-specific "feature". Seems better
	to use proper SPARQL1.1 here.

	libtracker-data: Correct SQL query for ontology checks
	The column does not exist in that table, should be fetched from the
	rdfs:Resource table. This results in the query returning the column
	name as a string (due to the quotes), and turning out as a 0
	nao:lastModified.

	Those dates are kinda thrown away for readwrite connections, so it
	didn't matter there. They stick around for readonly connections in
	the internal TrackerOntologies, but the modification date has no
	use or purpose on those.

	libtracker-data: Update nao:lastModified after creating new database
	It used to happen only right after ontology checks, which left branch new
	databases with an unset ontology modification date. This really didn't have
	ill effects, on the second run ontologies would be checked, but no real
	change would happen except the nao:lastModified change.

	Still better to do it at once, instead of waiting for the next run.

	tests: Run sparql blank tests on a temporary folder
	So it can't fail due to leftovers from previous runs.

	tests: Ignore previous events from monitor test setup
	Similar to commit ff1f66a4d46. The move..._after_file_update test has
	the same issue than the move..._after_file_create, so let's forget those
	first events.

	libtracker-miner: Fix tracker-store DBus name watch

2018-08-29  Fran Dieguez  <frandieguez@gnome.org>

	Update Galician translation

2018-08-29  Sam Thursfield  <sam@afuera.me.uk>

	Merge remote-tracking branch 'origin/wip/carlosg/legalese-cardinality'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/19

2018-08-28  Seong-ho Cho  <shcho@gnome.org>

	Update Korean translation

2018-08-28  Carlos Garnacho  <carlosg@gnome.org>

	ontologies: Drop cardinality from legalese properties
	nie:copyright and nie:license were single valued and subproperties of the
	common single valued properties nie:legal and dc:rights. Drop cardinality
	restrictions on all of those, so we can have multiple values for each.

	This happens to be in line with the last ever version of NIE ontology.

	Closes: https://gitlab.gnome.org/GNOME/tracker/issues/33

2018-08-26  Kukuh Syafaat  <kukuhsyafaat@gnome.org>

	Update Indonesian translation

2018-08-16  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'sam/domain-rules-outside-usr'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/14

	Merge branch 'sam/tracker-sparql-connection-set-dbus-connection'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/14

2018-08-16  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.1.2

	tests: Ignore previous monitor events from test setup
	This specific TrackerMonitor test sometimes fails on an unexpected
	sequence of monitor events. Give it time to handle all events after
	the test is set up, those are not the purpose of the test, and handling
	all them in one go sometimes results on another series of roughly
	equivalent events.

	Closes: #20

2018-08-15  Carlos Garnacho  <carlosg@gnome.org>

	Merge branch 'sam/meson-substitution-fix'

	Merge branch 'sam/namespace-c++'

2018-08-15  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Don't use 'namespace' as a parameter name
	This header was unusable from C++ code as 'namespace' is a reserved
	keyword there.

	Based on a patch by Santtu Lakkala from
	https://bugzilla.gnome.org/show_bug.cgi?id=791510

2018-08-15  Marek Cernocky  <marek_cernocky@conel.cz>

	Updated Czech translation

2018-08-15  Balázs Meskó  <meskobalazs@fedoraproject.org>

	Update Hungarian translation

2018-08-14  Efstathios Iosifidis  <eiosifidis@gnome.org>

	Update Greek translation

2018-08-12  Emin Tufan Çetin  <etcetin@gmail.com>

	Update Turkish translation

2018-08-12  Yi-Jyun Pan  <pan93412@gmail.com>

	Update Chinese (Taiwan) translation

2018-08-12  Sam Thursfield  <sam@afuera.me.uk>

	meson: Substitute @libexecdir@ in D-Bus service file correctly
	We were doing an unnecessary intltool-merge step for the file
	org.freedesktop.Tracker1.service while failing to do the necessary
	configuration substitution. Oops.

	libtracker-sparql: Don't use 'namespace' as a parameter name
	This header was unusable from C++ code as 'namespace' is a reserved
	keyword there.

	Based on a patch by Santtu Lakkala from
	https://bugzilla.gnome.org/show_bug.cgi?id=791510

2018-08-11  Sam Thursfield  <sam@afuera.me.uk>

	Allow use of domain rules that aren't installed into /usr
	Currently Tracker domain rules must be installed inside Tracker's data
	directory (usually /usr/share/tracker). This is limiting as it means
	only system packages can add them. A program installed into /opt is
	unable to use a custom domain, for example. Since Tracker is implemented
	as a system of daemons, it's not particularly straight forward to work
	around this by setting XDG_DATA_DIRS= to point somewhere non-standard
	either.

	This patch removes this restriction in a simple way: it allows users to
	pass a full path to the domain rule, rather than just the base name.

	tracker_domain_ontology_get_domain() should return only the domain name
	We should be consistent about what the name of a Tracker domain actually
	is. In the domain rule we specify Domain=org.freedesktop (for the
	default rule) or Domain=org.example.App (for a custom domain). But
	internally tracker_domain_ontology_get_domain() would return
	org.freedesktop.Tracker1 or org.example.App.Tracker1, i.e. the domain
	name now has '.Tracker1' appended.

	This does make sense in most cases, but it means there's no way to get
	the actual name of the domain from a TrackerDomainOntology object. This
	commit changes the existing function to not append '.Tracker1' in the
	value it returns, which means that function can now be used to get the
	base name of the domain. The assumption is that callers are normally
	appending stuff to this base name anyway so it's not much extra effect
	to also append the '.Tracker1' component if needed.

	libtracker-common is internal to Tracker so this doesn't constitute a
	public API break.

	Add tracker_sparql_connection_get/set_dbus_connection()
	Currently it's only possible to open a TrackerSparqlConnection to
	an instance of Tracker that is running on the session-wide message bus.

	There are use cases for running the Tracker daemons on a private
	session bus though. In fact it's necessary to do this if you want to
	set up a custom domain without having to become root and create .service
	files in /usr/share/dbus-1/services. It would also be useful for the
	functional-tests to be able to use libtracker-sparql instead of having
	to talk directly to Tracker's D-Bus API.

2018-08-10  Sam Thursfield  <sam@afuera.me.uk>

	Merge remote-tracking branch 'origin/wip/lantw/dont-hard-code-usr-bin-python2'
	See: https://gitlab.gnome.org/GNOME/tracker/merge_requests/13

2018-08-10  Ting-Wei Lan  <lantw@src.gnome.org>

	utils: Don't hard-code the path to python
	It causes tracker to fail to build on FreeBSD because python is usually
	installed in a different prefix, such as /usr/local, on FreeBSD.

2018-08-09  Charles Monzat  <charles.monzat@numericable.fr>

	Update French translation

2018-08-08  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation

2018-08-03  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'wip/carlosg/resource-deletes'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/12

2018-08-03  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql: delete TrackerResource elements one by one
	Creating a single query for all values to delete can only work if
	all values have a match. As soon as a value is already missing,
	the query would just bail out as there's no real match.

	We want to delete every value individually regardless of other
	properties, so decompose the single delete into multiple individual
	deletes.

	Fixes "Unable to insert multiple values for subject..." warnings
	as the insertion queries would rely on single-valued properties being
	cleared beforehand.

	https://gitlab.gnome.org/GNOME/tracker/issues/28

	Closes: #28

2018-08-03  Matej Urbančič  <mateju@svn.gnome.org>

	Added Slovenian translation

2018-08-01  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.1.1

	tests: Set limit on test-bus-query-cancellation
	This test tries to do a pretty dumb DOS on tracker-store for 2s,
	so it frequently gets kicked itself from the session bus. Presumably
	we don't need it to go that far in testing query cancellation, so
	limit the thing to a bunch of queries.

	libtracker-direct: Plug namespaces HT leak

	libtracker-direct: Plug leak
	Fixes: #11

2018-07-27  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translation

2018-07-26  Carlos Garnacho  <carlosg@gnome.org>

	Merge branch 'wip/carlosg/fix-bijiben-flatpak'

	libtracker-sparql-backend: Catch all errors on direct connection
	We just used to catch Tracker.Error, so all other errors would
	end up propagated upwards.

	libtracker-direct: Clear data manager on failure
	Otherwise we try to do stuff with it on finalize() that counts on
	it being initialized.

	libtracker-direct: Avoid setting WAL hook on readonly connections
	This is useless as the "writable" interface is 1) still readonly,
	2) unused, and 3) No updates shall ever happen on it, so no need for
	the WAL hook.

	libtracker-data: Remove wrong check
	Underneath the branch we check for the DB manager being created
	as readonly or not. We are not erroring out properly with this
	check here.

2018-07-23  Daniel Șerbănescu  <daniel@serbanescu.dk>

	Update Romanian translation

2018-07-23  Daniel Mustieles  <daniel.mustieles.contractor@bbva.com>

	Updated Spanish translation

2018-07-23  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.1.0
	Supersedes 2.0.5 (to be ignored). The previous release introduced new
	API to let TrackerResource output JSON-LD, so this warrants a minor
	version bump as per semantic versioning.

2018-07-22  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.0.5

	configure: Various distcheck fixes
	Hook up properly the test-bus-query-cancellation functional test in
	autotools, and add missing files to be able to build from tarballs with
	meson.

2018-07-21  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Remove unused code from helpers.py
	This functionality is alive and well in the tracker-miners.git fork of
	this code, and has seen lots of fixes. Rather than let this version get
	out of sync, let's remove it until something actually needs it.

2018-07-21  Carlos Garnacho  <carlosg@gnome.org>

	Merge branch 'wip/carlosg/direct-rewrite'

	tests: Adapt TrackerFileNotifier tests to internal behavioral change
	Before commit 68381c1dd, ensure_parents() would stop before the indexing
	root in the assumption that it was already notified upon, that commit made
	it so those folders are ensured to be notified too.

	This internal behavioral change is normally evened out by TrackerMinerFS,
	but shows at the tests for the internal TrackerFileNotifier object as
	there is nothing there to set the IRI for those files.

	libtracker-miner: Coalesce 2 CREATED events
	It is not even clear this is possible in real life cases, however the
	standalone tracker-file-notifier tests fall into this (due to IRI not being
	ever set, still this is an async op). In the case of 2 consecutive CREATED
	events on the same file, it would be dealt with in TrackerMinerFS as CREATED+
	UPDATED. This was already harmless, but we can do better and swallow one of
	such events.

2018-07-20  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-direct: Use specific include
	This is an internal header, so we don't need pointing to the general
	tracker-data.h header. Fixes build from scratch on meson as some files
	pulled from there are unexpectedly in the build directory.

	libtracker-direct: Avoid WAL checkpoint on readonly connections
	There is no point in doing WAL checkpoints from a readonly connection, so
	avoid it altogether.

	libtracker-data: Fetch shared connection on failure to create one
	On stress situations (tests/functional-tests/ipc/test-bus-query-cancellation
	is known to trigger this) there may be too many opened FDs all around (dbus
	related, fds passed for resultsets, DB connections, ...) to keep it all
	together.

	In those cases, we may attempt to create an extra interface to cater for
	the incoming request, but it will just fail underneath us. In those cases
	it is preferrable to fetch a connection from the pool and have it shared
	across threads than tripping into critical warnings and undefined behavior.

2018-07-20  Sam Thursfield  <sam@afuera.me.uk>

	Update meson build system for libtracker-direct changes

	libtracker-direct: Remove unused variables

2018-07-20  Carlos Garnacho  <carlosg@gnome.org>

	tracker-store: Use TrackerDirectConnection underneath
	Instead of the lower level TrackerDataManager object directly.
	The only additional thing that tracker-store does is signal
	emission for writeback and GraphUpdated, the internal
	TrackerDataManager object is still accessed to implement those
	features. This makes libtracker-direct the only place where
	queries/updates are queued, performed and dispatched.

	There's other indirect benefit from this, update queue handling
	no longer needs to hit the main thread in order to schedule the
	next update. Besides the very unlikely thread contention situations
	described in previous commits, this should maximize throughput
	of the updates queue.

	libtracker-data: Move notify_transaction() down to libtracker-data
	Now that we don't need upper layers' information to find out the
	right CommitType, push this call down together with the handling
	of the insert/delete/rollback callbacks.

	One particularity is that the commit callbacks will now be called
	from within the update thread, just like all the other callbacks.
	And this is fine, with all the preparation work from the previous
	commits.

	tracker-store: Push TrackerData hooks down to Tracker.Store
	Move this out of the Resources object, which is basically a view
	of the internal Store object. All event accounting and signaling
	is now performed by the Store object, to which the Resources
	DBus object connects to in order to implement GraphUpdated and
	Writeback signals.

	Only one handler of these events is possible at the moment, would
	be nice to consider doing something marginally better on the
	Steroids interface at some point, at least wrt the amount of data
	sent through the bus.

	Instead of trying to schedule the timeout across threads (the
	TrackerData hooks run in the thread performing the updates, and
	we want signaling done from the main/dbus thread), the code now
	just sets up a timeout on the main thread that keeps running as
	long as there are pending updates. When the task for the last
	batched update returns, it will be safe for the timeout to do
	signaling one last time and turn itself down, all of this happening
	in the main thread.

	tracker-store: Protect ready writeback events with mutex
	Just like with ready GraphUpdated events, this will be potentially accessed
	by both the thread performing updates, and the thread doing the DBus
	dispatching and signaling.

	Just like there, the chances of contention are rather low, since emission
	is checked just once per second by default.

	tracker-store: Refactor writeback signal emission into separate function
	Purely cosmetic.

	tracker-store: Give ownership of writeback events on get_ready()
	Instead of doing get_ready() and then reset_ready(), just give
	ownership of the events hashtable on get_ready() while resetting
	the internal one.

	tracker-store: Protect event batches with a mutex
	While the pending data and event counter are only accessed by
	the updates thread, the ready events will be potentially accessed
	by both the updates and the dbus thread.

	That said, chances of locking will be minimal, since the
	get_pending() call only happens once a second (by default) or after
	the pending buffer grew big enough.

	tracker-store: Do immediate GraphUpdated emission checks on commit hook
	Triggering those on insert/delete callbacks isn't right for two reasons:
	there could still be a rollback of the just notified data, and it's done
	from the wrong thread (the one performing updates instead of the main
	thread).

	To fix the first, only call this from the commit hook, we can only notify
	of data that was successfully stored. To fix the second, do the call on
	an idle that will ensure the main thread running the main loop and doing
	the DBus dispatching is the one handling the actual emission. At the
	moment the commit hook is actually executed on that same thread, but that
	won't stay as-is.

	libtracker-data: Move TrackerClass event maintenance to tracker-store
	This is solely used by tracker-store to keep the backlog of pending
	GraphUpdated events. This event tracking can move to tracker-store
	itself, implemented atop libtracker-data's insert/delete/commit/rollback
	callbacks.

	libtracker-data: Drop CommitType
	This basically exists to allow deferring GraphUpdated signals
	while there's pending batch updates. This is arguably wrong,
	the priorities should totally affect the order in which updates
	are processed, but for the sake of interactivity once the data
	is in the database it makes sense to let the users know ASAP.

	Now all commits shall set up a timer for GraphUpdated emission
	is none is set yet.

	libtracker-direct: Add sync() call
	This will flush all updates and trigger the WAL hook.

	libtracker-direct: Add internal function to set additional DBManager flags
	This will be useful for tracker-store, and the flags that make sense there
	don't make as much sense to add to the public TrackerSparqlConnectionFlags
	set.

	libtracker-data: Remove TRACKER_DB_MANAGER_REMOVE_CACHE flag
	It's unused and unhandled. As the TrackerDBManager type is internal
	API, just remove the flag and shuffle the numbers.

	tracker-store: Do not freeze events during TTL load

	libtracker-direct: Add internal TrackerDataManager getter
	This will make internal users able to access all the gory details
	that TrackerDataManager has to offer. Will help deduplicate code
	in tracker-store that is essentially the same than this.

	libtracker-direct: Rewrite in C
	In today's chapter of gratuituous rewrites. The instigator of this
	rewrite is vala's bug https://bugzilla.gnome.org/show_bug.cgi?id=789249.
	One might argue that bugs are bugs and eventually get fixed, but there's
	two things that make me think it won't happen soon:
	- Vala behavior of possibly iterating the main loop from the async task
	  until the task is complete is very much deliberate in order to support
	  the Generator pattern without a main loop, as seen at:
	  https://wiki.gnome.org/Projects/Vala/AsyncSamples#Generator_example
	- OTOH, glib docs specify that a GAsyncReadyCallback must happen at a
	  later iteration of the main context, presumably to ensure the task
	  is not finished before the async function dispatching the task returns.
	  This is precisely what trips Vala into starting the same task again.

	I don't see either changing anytime soon, and in the mean time Tracker
	is largely affected by it, both in perceived bugs (All those nie:url
	constraint warnings out of the blue had a reason, this) and in real bugs
	(It's sometimes attempting to insert things twice, and it may even succeed
	if the query does not break any cardinality/unique constraints). This
	affects Tracker in too fundamental ways to just shrug it away, unlike the
	Vala code this C/glib code works just as it looks.

	Now about the code... It's a pretty boring rewrite, there's a thread pool
	to dispatch select queries, and a single exclusive thread to handle updates.
	The WAL hook can possibly use an additional thread to perform non-blocking
	writes. All very much alike the older code.

	Future commits will make tracker-store use this connection implementation,
	so there's only this piece of code handling SPARQL updates.

2018-07-20  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'sam/notifier-race-fix'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/9

	libtracker-miner: Fix race which resulted in files being queued out of order
	The TrackerFileNotifier signals need to be emitted in a heirarchical
	order. If we have this directory heirarchy...

	    test-monitored/
	    test-monitored/file1.txt

	...we must always emit ::file-created for 'test-monitored/' before we emit
	::file-created for 'test-monitored/file1.txt'.

	The tracker_file_notifier_ensure_parents() function ensures that we do
	this, but it would previously not work correctly in situations where
	'test-monitored/' was a configured indexing root, rather than a
	subdirectory of one of the roots.

	This was causing the tracker-miners functional tests to randomly fail
	with errors such as this:

	    ** (tracker-miner-fs:18181): WARNING **: 16:01:00.461: Parent 'file:///home/sam/tracker-tests/tmpDSmsQI/test-monitored' not indexed yet

	This is presumably a regression from 2e2dd4f5dc650aefa4b7188cf1a612b2d27f84ba.

2018-07-19  Milo Casagrande  <milo@ubuntu.com>

	Update Italian translation

2018-07-18  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Update Swedish translation

2018-07-17  Sam Thursfield  <sam@afuera.me.uk>

	meson: Consolite vars used for running tracker-store uninstalled
	Most importantly, these are consumed in the tracker-miners.git project
	so that it can run when built with tracker core as a Meson subproject.
	This should theoretically allow building tracker-miners on systems that
	don't have tracker installed at all, although I think some problems
	remain with doing that.

	Note that meson.source_root() must never be used in variables that
	are consumed by a subproject, because in that situation they expand to
	the root of the *toplevel project* and not the current subproject.

2018-07-16  Florian Heiser  <gnu.l10n.de@gmail.com>

	Update German translation

2018-07-16  Bruno Lopes da Silva  <brunolopesbldsb@gmail.com>

	Update Brazilian Portuguese translation

2018-07-16  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'sam/functional-tests'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/7

	Honour TRACKER_DB_ONTOLOGIES_DIR override more logically
	Previously, we would ignore this environment variable unless the
	installed directory didn't exist. This meant that one of the
	functional tests would stop working once you ran `make install`...

	functional-tests: Autotools now runs functional tests against source tree
	This is how Meson already behaves.

	functional-tests/09-concurrent-query.py: Print error on failure
	Previously you would get this error on failure:

	    Traceback (most recent call last):
	      File "/usr/lib64/python2.7/site-packages/gi/overrides/Gio.py", line 158, in __async_result_handler
	        error_callback(obj, e, real_user_data)
	    TypeError: error_handler() takes exactly 1 argument (4 given)

	tests: Turn gb-737023 test into a functional-test
	This is really testing the IPC methods, so it should go with the other
	IPC tests which talk to a real tracker-store instance.

	Now the test is isolated from the user's real data, as it runs through
	the functional test-runner.sh script. It does still use the
	tracker-store from the system rather than the one we just built though,
	more work is needed there.

	The test sometimes fails due to the tracker-store disconnecting from it
	and GDBus triggering a SIGTERM due to the exit-on-close option being
	enabled on the GDBusConnection. I'm not sure how to fix that, there
	is an open bug here: https://gitlab.gnome.org/GNOME/tracker/issues/18

	functional-tests/200-backup-restore.py: Delete this test
	The backup API appears to be totally broken. There aren't any good use
	cases for this, it's a legacy from the Maemo days. The plan is to
	deprecate and remove it, so let's start by deleting the test.

	functional-tests/17-ontology-changes.py: Disable most tests
	This removes the TrackerSystemAbstraction class (or rather merges it
	into 17-ontology-changes.py, which was the only real user in this repo).

	Something seems very broken about the ontology updates code in Tracker;
	most of the tests are failing even though they should not.

	We aren't doing many ontology changes so this is not the highest
	priority issue right now.

	I have tidied up the code quite a lot for the testcase, more work is
	needed to make things actually simple to debug. I'd recommend using
	tracker_sparql_connection_new_local() instead of starting a new
	external store process so that the problems can be more easily
	debugged.

	functional-tests: Mark test which is known to be unsupported

	functional-tests/13-threaded-store.py: Disable failing test
	This test causes a parser stack overflow. Carlos is nearly done on a
	branch which rewrites the parser so there probably isn't much point
	tracking down this issue in the old code.

	functional-tests/13-threaded-store.py: Remove obsolete import

	functional-tests/03-fts-functions.py: Skip failing test, for now.
	I don't know what's wrong with this, and I want to prioritize having
	the functional tests run on every commit rather than fixing every
	small issue with them.

	functional-tests: Disable sqlite-misused tests as they are super slow

	functional-tests: Disable IPC tests that don't work
	It's not clear what these are for.

	functional-tests: Avoid crash when TRACKER_TESTS_VERBOSE is set

	functional-tests: Add missing environment variable
	This fixes tests that were trying to load the generated .ttl files.

	ci: Enable functional tests
	PyGI is now needed as an extra dependency. Note that the
	functional tests still use Python 2

	ci: Avoid dumping screenfuls of CI_ variables for each failed test

	ci: Fix job names to be consistent

	Merge branch 'sam/ci-custom-base-image'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/8

	ci: Use a custom base image with packages we need preinstalled
	The images are built from this project:
	https://gitlab.gnome.org/samthursfield/tracker-oci-images

2018-07-15  Piotr Drąg  <piotrdrag@gmail.com>

	Update Polish translation

	Restore Unicode quotation marks in a translatable string
	Fixes regression in commit b458fda8fa03f5ec53f8de9edfeef1b7610aae9c.

	See https://developer.gnome.org/hig/stable/typography.html

2018-07-15  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'sam/resource-jsonld'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/3

	Add support to TrackerResource for outputting metadata as JSON-LD
	This also adds `tracker extract -o json` to dump resources in JSON-LD,
	in anticipation of corresponding updates in tracker-miners.git.

	Bump version number
	This allows tracker-miners to check that it's being built against a
	version of tracker that provides necessary new API.

	Merge branch 'sam/tracker-miner-fs-test-fixes'
	See https://gitlab.gnome.org/GNOME/tracker/issues/15

	libtracker-miner: Warn when overwriting tasks in the task pool
	The TrackerTaskPool class and its subclass TrackerSparqlBuffer are
	designed to contain only one task for any given GFile.

	If multiple tasks are pushed for the same file some of them might
	not be executed. This leads to issues such as:
	https://gitlab.gnome.org/GNOME/tracker/issues/15

	libtracker-miner/tracker-miner-fs.c: Fix "Parent not indexed yet" errors
	Commit cef502e668a640 ("Add TrackerMinerFS::move-file vmethod")
	introduced a regression which sometimes led to errors like this:

	    Tracker-FATAL-WARNING: Parent 'file:///tmp/tracker-miner-fs-test-77E2LZ/recursive/4' not indexed yet

	This was causing tracker-miner-fs-test to fail in some cases.

	TrackerTaskPool assumes that there is only one task in the pool per
	GFile. When processing item_move() operations this wasn't true because
	we'd create one task for removing the existing dest_file, and another
	task for updating the URL of source_file to point to dest_file. Both
	tasks would be associated with dest_file.

	If the SPARQL buffer was flushed after the first task was created and
	before the second task was created, the second task would overwrite
	the first task in the ->priv->tasks hash table, so when the first
	task completed, the second task would be removed from the task pool
	without ever executing.

	This would mean that the URL of source_file never got updated to
	point at dest_file, which triggered the "Parent not indexed yet" error
	later on.

	libtracker-miner/tracker-miner-fs.c: Rename item_move() parameter

	tests: Enable two more test cases in tracker-miner-fs-test
	Two of the test functions weren't being called, and two other test
	functions were being called twice. Oops.

	Merge branch 'sam/meson-test-fixes'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/5

	meson: Rework how unit tests are defined
	Today I discovered that three testcases were being ignored in the Meson
	buildsystem, all due to mistakes.

	Now, the first thing in each meson.build file is the list of testcases
	so mistakes should be much easier to spot.

	meson: Enable gb-737023 test

	meson: Enable tracker-file-enumerator-test
	This was accidentally not being run.

	meson: Enable tracker-miner-fs-test
	This was accidentally not being run.

	tests/libtracker-miner: Fix warnings in tracker-file-enumerator-test.c
	These are all just about unused variables.

	tests: Fix inconsistent test filenames

	ci: Second attempt to fix Autotools CI
	Commit 61d9f5085122a12b269c49089133511c17140976 was supposed to make
	the tests run under `dbus-launch` again, but I messed this up.

2018-07-13  Sam Thursfield  <sam@afuera.me.uk>

	ci: Fix regression from previous commit
	The TESTS_ENVIRONMENT variable seemed to work OK locally, and it's documented
	in the Autotools manual, but clearly something went wrong so let's go back to
	running dbus-launch explicitly.

	ci: Show logs for failed tests
	I have been seeing test-tracker-miner-fs fail without any explanation, which is
	impossible to debug unless the logs are displayed afterwards.

2018-07-11  Sam Thursfield  <sam@afuera.me.uk>

	tests: Fix warnings in testcase
	These were introduced in 562cdfc64c25e2d76745beb5fca28ea89f9b33ed.

	tests: Fix warnings in tracker-miner-fs-test

	Merge branch 'sam/ci'
	See https://gitlab.gnome.org/GNOME/tracker/merge_requests/4

	Enable GitLab CI
	This tests that Tracker can be built from source using Autotools and
	Meson, and that all of the unit tests run successfully.

	There are various improvements that could be made:

	  * Pre-create a Docker image with the build dependencies installed, so
	    that we don't wait for `dnf` on every build.
	  * Fix the functional tests and enable them for every build.
	  * Fix the unit tests to not depend on Tracker being installed in the
	    host
	  * Remove the Autotools build system altogether and use Meson for
	    everything \o/

2018-07-02  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-miners-common: Improve error when domain rule isn't found
	Before:

	    GLib-CRITICAL **: g_key_file_load_from_file: assertion 'file != NULL' failed

	    CRITICAL **: Could not load domain ontology '(null)': Key file does not have group “DomainOntology”

	After:

	    ERROR **: Unable to find default domain ontology rule /usr/local/share/tracker/domain-ontologies/default.rule

	functional-tests: Show stderr output when a subprocess fails
	Previously it was necessary to set TRACKER_TESTS_VERBOSE in the
	environment in order to see this output, but there's pretty much
	never a situation where you don't want to see stderr when an error
	occurs.

	functional-tests: Return correct (non-zero) exit code if subprocess crashes

	meson: Add soversion information to the shared libraries that we install
	This is needed so that Libtool will link against them correctly.

	tests: Fix tracker-steroids test
	Since commit ee7b32875388f612f7d227 (from May 2016) this test has been
	inserting some data, deleting it right away, and then trying to use the
	data in all its tests. Mysteriously this seems to have been working absolutely
	fine for two years, and I have only hit a problem when running the tests in a
	minimal Fedora 27 Docker environment. The same tests work fine on a Fedora 27
	desktop environment.

	I have fixed the tests to use a fixture which is what they should have been
	doing all along.

	meson: Expose tracker-store as a variable
	This allows projects that embed tracker as a subproject to access the
	variable.

2018-06-30  Sam Thursfield  <sam@afuera.me.uk>

	meson: Fix bundled FTS module
	The sqlite3_fts5_init() symbol was being discarded as nothing linked
	against it (it's loaded dynamically at runtime instead).

	Using link_whole instead of link_with fixes that.

	meson: Fix detection of SQLite3 FTS module
	Instead of running the test, we were only compiling it and thus
	discovering nothing of interest.

	The error messages are now clearer too.

	meson: Fix name of libtracker-fts
	The 'lib' prefix isn't necessary in the library() target name.

2018-06-25  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.0.4

2018-06-24  Carlos Garnacho  <carlosg@gnome.org>

	tests: Set stop-words envvar on TrackerFileNotifier test
	This is necessary for it to run entirely uninstalled, as it ends
	up using TrackerSparqlConnection for queries and updates.

2018-06-23  Carlos Garnacho  <carlosg@gnome.org>

	tests: Fix some path lookups
	Those should be looked up from the root source dir, not the current
	one.

	docs: Fix broken XIncludes in libtracker-sparql docs
	Add missing example files to content, and generate ontology
	docs for the builtin ontology bits.

	libtracker-miner: Emit ::file-updated on file extension changes
	We have no access to past/current GFileInfos, so detect changes in
	file extensions to handle the cases where a change of filename
	results in the file having a different mimetype.

	In these cases, ::file-updated should be emitted, so it gets the
	right rdf:types as per its new mimetype.

	libtracker-miner: Transfer attribute updates information through the event
	First, seems cleaner to do it this way, as GObject data has undefined
	lifetime (yes, as long as the object lives, but the TrackerFileSystem may
	cache those).

	But this also fixes an unintended side effect that "attribute only" updates
	take precedence over full updates, events themselves may be coalesced away,
	but data would remain. Actually it's the other way around, if we get a full
	update and an attributes-only update, we may discard the second.

	libtracker-miner: Emit TrackerDecorator::finished on 0 items
	If no items are found, ::finished is silenced away. Better to do
	this for consistency.

2018-06-21  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Ignore root folder when crawling at places
	There's 2 situations where they may be avoided:
	1) When crawling a new folder after it's been detected through
	   TrackerMonitor, as ::file-created is emitted right away since
	   commit 09408f1dcad.
	2) When a directory is moved, as ::file-moved will be emitted
	   for it in advance.

	In these situations it's wrong/undesirable to maybe emit
	::file-created/-updated for those.

	libtracker-common: Drop automatic parser versioning
	The TRACKER_PARSER_VERSION number must be bumped on every change
	to src/libtracker-common/tracker-parser*. This policy shall be
	enforced through a server-side update hook.

	This is a bit more cumbersome for the OTOH sparse changes to the
	parser, but friendlier to the meson build system, where we can't
	have build-generated files added to dist.

2018-06-17  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'sqlite-dep' into 'master'
	build: Bump sqlite3 dependency

	See merge request GNOME/tracker!2

2018-06-16  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'wip/piotrdrag/missing-space' into 'master'
	Add missing space in tracker info output

	See merge request GNOME/tracker!1

2018-06-10  Ernestas Kulik  <ernestask@gnome.org>

	build: Bump sqlite3 dependency
	SQLITE_DETERMINISTIC was introduced in 3.8.3.

2018-06-04  Piotr Drąg  <piotrdrag@gmail.com>

	Add missing space in tracker info output
	https://bugzilla.gnome.org/show_bug.cgi?id=794496

2018-06-01  Sam Thursfield  <sam@afuera.me.uk>

	meson: Remove duplicated line
	This triggered a warning with meson 0.46 and will be treated as an error
	by future versions.

2018-05-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	libtracker-sparql: Use replacement for IOSchedulerJob.push() which is still deprecated

2018-05-19  Sam Thursfield  <sam@afuera.me.uk>

	cli: Fix invalid SPARQL generated by `tracker tag --list`
	This was causing the command to fail.

2018-05-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	libtracker-data: DBInterface.create_statement() may not be abstract in vala
	https://bugzilla.gnome.org/show_bug.cgi?id=796104

2018-04-22  Sam Thursfield  <sam@afuera.me.uk>

	meson: Install generated headers without needing a script
	This script dates from a long time ago when Meson lacked ways to install
	generated headers.

	This fixes an issue where `ninja install` in tracker.git triggers a
	rebuild of lots of stuff from tracker-miners.git, which happened because
	the mtime of the installed generated headers would become newer than the
	build files in tracker-miners.git and cause ninja to rebuild them all.

2018-04-20  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Fix wording of function documentation

	meson: Use relative paths for gtk-doc src_dir arguments
	Using absolute paths breaks if we are embedded as a subproject because
	the toplevel path is that of the toplevel project.

2018-03-28  Andika Triwidada  <atriwidada@gnome.org>

	Update Indonesian translation

	Update Indonesian translation

2018-03-26  Piotr Drąg  <piotrdrag@gmail.com>

	tracker-store: Remove empty Icon= from the .desktop file
	It’s going to be confusing gettext when we port Tracker away from intltool.

2018-03-26  Rafael Fontenelle  <rafaelff@gnome.org>

	Update Brazilian Portuguese translation

2018-03-26  Piotr Drąg  <piotrdrag@gmail.com>

	Revert "Removed unneeded [] markers in POTFILES.in with gettext extraction method"
	This reverts commit 75ed66c3c0d88c15974afd7805bc4cedf6ce21b4.

	Tracker has not been migrated to gettext yet.

2018-03-26  Andika Triwidada  <atriwidada@gnome.org>

	Update Indonesian translation

2018-03-26  Claude Paroz  <claude@2xlibre.net>

	Removed unneeded [] markers in POTFILES.in with gettext extraction method
	This was forgotten during the intltool to gettext migration.

2018-03-26  Tong Hui  <tonghuix@gnome.org>

	Update Chinese (China) translation

2018-03-20  gogo  <trebelnik2@gmail.com>

	Update Croatian translation

	Add Croatian translation

2018-03-13  Stas Solovey  <whats_up@tut.by>

	Update Russian translation

2018-03-10  Bruce Cowan  <bruce@bcowan.eu>

	Update British English translation

2018-03-06  Efstathios Iosifidis  <eiosifidis@gnome.org>

	Update Greek translation

2018-02-13  Simental Magana, Marcos  <marcos.simental.magana@intel.com>

	libtracker-data: fix compile issue when using --disable-fts
	previous commit (66a6dc) refactors code, but some lines missed the
	refactor. This commit fixes the oversight of those lines.


	https://bugzilla.gnome.org/show_bug.cgi?id=793282

2018-02-13  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Perform VACUUM only on large database files
	The agressive VACUUM on shutdown is the cause for the reported slowness
	in tracker-store restarts. Let's be a bit more conservative, and only
	trigger VACUUMing when the database file gets hideously large (4GB).

	There is the remote possibility that a database is still larger than
	4GB after VACUUM. I'll just make it suck at the moment and do the same
	frequent VACUUMs we get currently.

	libtracker-miner: Emit monitor ::file-created for directories immediately
	On monitor events on directories we used to trigger a full crawling, and
	only notified the directory during recursive handling. However other monitor
	events may happen immediately on the child, which would get queued
	immediately before the parent folder (which is being idly crawled).

	Emit ::file-created immediately here in order to ensure correct ordering
	in the TrackerMinerFS queue. If notifier_queue_root() ends up notifying
	about the file again, the event would get eventually discarded or simply
	handled as an update.

2018-02-07  Debarshi Ray  <debarshir@gnome.org>

	libtracker-miner: Don't leak TrackerMinerFS:root
	https://bugzilla.gnome.org/show_bug.cgi?id=793061

2018-02-07  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.0.3

2018-01-31  Debarshi Ray  <debarshir@gnome.org>

	libtracker-miner: Don't mix sync & async GFileEnumerator APIs
	This enables enumeration of non-native files because GVfs doesn't like
	to mix asynchronous & synchronous GFileEnumerators. If an enumerator
	is obtained through one API variant, then it should be used via the
	same API variant.

	https://bugzilla.gnome.org/show_bug.cgi?id=792337

	libtracker-miner: Rename a variable for consistency
	https://bugzilla.gnome.org/show_bug.cgi?id=792337

2018-01-24  Ting-Wei Lan  <lantw@src.gnome.org>

	configure: Don't put includes in function body of AC_LANG_PROGRAM
	The second argument of AC_LANG_PROGRAM is the content of main function.
	We cannot put any includes there, or we end up testing whether the
	compiler supports nested functions because headers may have definitions
	for inline functions.

	https://bugzilla.gnome.org/show_bug.cgi?id=792713

	vala: Bump gir_version to 2.0
	https://bugzilla.gnome.org/show_bug.cgi?id=792691

2018-01-23  Debarshi Ray  <debarshir@gnome.org>

	libtracker-sparql: Be more careful about integer sizes
	The GVariant type string "i" refers to a signed 32-bit integer.
	Therefore, gint32 is a much safer bet than gint, whose size is not
	guaranteed across all platforms.

	https://bugzilla.gnome.org/show_bug.cgi?id=792301

2018-01-16  Debarshi Ray  <debarshir@gnome.org>

	tracker-monitor: Tighten the scope of variables
	https://bugzilla.gnome.org/show_bug.cgi?id=791067

2017-12-28  Sam Thursfield  <sam@afuera.me.uk>

	tests/libtracker-data: Fix error tests in tracker-sparql-test
	The logic for testing if the correct error message was returned was the
	wrong way round -- the comparer() function should return 0 if the
	message we got was OK, and 1 otherwise.

	Also we were calling strstr() backwards, we should look for the
	expected result inside the actual result and not the other way around.

	To complicate things, Tracker doesn't return error messages with
	newlines but on disk the expected output usually contains newlines
	as editors tend to add them. This makes the tests confusingly fail
	when they look correct, so we now chomp newlines off the end of the
	results file for expected error tests.

	With this fixed, the expected output needed some corrections.

2017-12-26  Sam Thursfield  <sam@afuera.me.uk>

	Fix .gitignore and add missing ttl/meson.build file

2017-12-18  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	functional-tests: Fix configuration to work with Meson
	Previously the functional-test suite would test the installed version of
	Tracker, but would need to be run from a configured Tracker source+build tree.

	I have changed how things are configured and now with Meson the functional tests
	can be run completely from the build tree, without needing to install
	anything. The Autotools `make functional-test` target works the same as
	before.

	Instead of generating a Python source file that contains the build-time
	configuration, we write that to a .json file which is read when the
	common.utils.configuration module is imported. This controls the
	locations of the various things that the tests require, which allows us
	to avoid hardcoding knowledge of the build tree layout into the tests
	themselves.

	With the new setup it should also be possible to add a target that
	explicitly installs the functional tests, with a different
	configuration.json file so that they test the installed version of
	Tracker. That's not yet implemented.

	utils: Allow specifying output path for Barnum-based data generator
	This makes it usable from Meson, as previously the only way to control
	where the output went would be to change the working directory but
	Meson's custom_target() rule doesn't make that possible.

2017-12-18  Sam Thursfield  <sam@afuera.me.uk>

	generate: Raise error when called improperly

2017-12-18  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	functional-tests: Fix use of non existant predicate in 13-threaded-store

	functional-tests: Remove tests that belong in tracker-miners

2017-12-18  Sam Thursfield  <sam@afuera.me.uk>

	Update Makefile.am for removed functional test files

	functional-tests: Remove unused helper code

	functional-tests: Remove tests that belong in tracker-miners.git

	functional-tests: Remove some apparently unused scripts
	Please add these back with a comment explaining where they are used
	if they are indeed still needed.

	Make HAVE_LIBICU checks consistently with #ifdef
	We were in some places checking the value of HAVE_LIBICU as a boolean
	and in others checking whether it was defined. This is broken because
	when it is defined to 0 we mix up the code paths completely.

	Fixes the Meson build since d5e9ce54196d5c9086423e688c8014c1225b858b.

2017-12-16  Quentin Glidic  <sardemff7+git@sardemff7.net>

	meson: Avoid NetworkManager automagic dependency
	https://bugzilla.gnome.org/show_bug.cgi?id=791433

	meson: Allow to build with non-GNU libc
	https://bugzilla.gnome.org/show_bug.cgi?id=791432

2017-12-16  Sam Thursfield  <sam@afuera.me.uk>

	meson: Fix build with libstemmer
	Based on a patch by Jeremy Bicha <jbicha@ubuntu.com>.

	https://bugzilla.gnome.org/show_bug.cgi?id=790373

	Revert "meson: Don't require gobject-introspection"
	I should have tested this before merging! We do use this dependency.

	This reverts commit 4d963a2b95b7786324fb0932f7f73f0a926ea84b.

2017-12-16  Jeremy Bicha  <jbicha@debian.org>

	meson: Don't require gobject-introspection
	This is already checked for by the gnome.generate_gir() call.

	https://bugzilla.gnome.org/show_bug.cgi?id=790385

2017-12-16  Sam Thursfield  <sam@afuera.me.uk>

	meson: Fix libunistring detection and codepath

	Revert "libtracker-common: Add tracker-seccomp from the libtracker-miners library"
	This reverts commit 9afd9afc67a2ccbe4d8eee59a4b9be796e794f2d.

	This is no longer needed, instead we have renamed libtracker-common to
	libtracker-miners-common in tracker-miners.git so that the two libraries
	don't conflict when tracker.git is built as a subproject of
	tracker-miners.git.

2017-12-01  Debarshi Ray  <debarshir@gnome.org>

	functional-tests: Unbreak test by fixing the name of the interface
	The 410-extractor-decorator.py test fails with:
	  Error: g-dbus-error-quark:
	    GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such
	    interface 'org.freedesktop.Tracker1.Miner.Index' on object at path
	    /org/freedesktop/Tracker1/Miner/Files/Index (19)

	Fallout from b4802ca33446772fb029df6215182e2091bdbf2c

	https://bugzilla.gnome.org/show_bug.cgi?id=790972

2017-12-01  Sveinn í Felli  <sv1@fellsnet.is>

	Add Icelandic translation

2017-11-29  Debarshi Ray  <debarshir@gnome.org>

	functional-tests: Unbreak test by removing haveMaemo conditionals
	The 01-insertion.py test fails with:
	  File "./01-insertion.py", line 774, in <module>
	      class TrackerStorePhoneNumberTest (CommonTrackerStoreTest):
	  File "./01-insertion.py", line 780, in TrackerStorePhoneNumberTest
	      @ut.skipIf (not cfg.haveMaemo, "This test uses maemo:specific
	        properties")
	  AttributeError: 'module' object has no attribute 'haveMaemo'

	The Maemo/Meego flags were removed and the 91-maemo ontology is now
	installed unconditionally. Therefore there is no need to make this
	test conditional.

	Fallout from 809b56767fccd5680136485c6fbbc895e83dd886

	https://bugzilla.gnome.org/show_bug.cgi?id=783555

2017-11-20  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation.

2017-11-15  Michael Biebl  <biebl@debian.org>

	Remove leftover hal bits
	Those are no longer used after the tracker-miners split.

2017-11-14  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.0.2

	libtracker-miner: Avoid triggering content filters on configured roots
	Folders being configured as indexing roots should win over any filter
	that might apply. The basename based filters correctly skip configured
	roots already, so do the same with the directory content filter.

	The practical side effect is that .git folders are now allowed on the
	directories configured in tracker-miner-fs (homedir and XDG dirs most
	usually). Tracker tries to stay out of source code trees which are a
	source of pointless grinding, but there's legit usecases to have these
	folders under git management:

	- User setups to bring in essential files across machines
	- Collections managed through git-annex

	Those are worth handling, even if the question also applies to folders
	found recursively and the .git heuristic proves limited.

	https://bugzilla.gnome.org/show_bug.cgi?id=790284

	tests: Add test for ignored content in configured folders
	There's some extreme cases where content filters in one configured
	root result on deletes that leak through nested configured roots.
	Add a testcase to catch this situation.

	https://bugzilla.gnome.org/show_bug.cgi?id=790284

	libtracker-miner: Rename function to be more obvious
	We don't add a "file", but a whole RootData that may be recursively
	crawled. Also, make the crawl_directories_start() from this function,
	since that's the next thing to do in every calling place.

	libtracker-miner: Fix possible leak
	If we hit some early return conditions, the RootData would be
	leaked.

	libtracker-miner: Pass parent to _insert_store_info()
	As both places doing this iterate directories one by one, we
	can optimize GFile interning by providing an already interned
	common parent.

	This eases the GNode lookups in TrackerFileSystem, as we already
	know the most direct parent GNode the file should have.

	libtracker-miner: Avoid interning file for monitoring purposes
	It doesn't bring any gains to use interned files when adding
	directories to the TrackerMonitor. Just use the GFile we get
	and avoid interning the directory this soon.

	libtracker-miner: Small simplification on TrackerFileSystem
	The implementation catered for GFiles being used from multiple
	TrackerFileSystem instances. This is clearly overkill as we most
	often have one (one miner per process) and even if there's multiple
	miners in the same process, the Gfile instances are not
	interchangeable.

	This can just go away, and we instead ensure to create a duplicate
	of the GFile if it actually belongs to another TrackerFileSystem,
	which again is extremely unlikely.

	libtracker-direct: Remove stray print()

	libtracker-miner: Remove TrackerSparqlBuilder sparql buffer tasks
	Those have been unused for a long time. We now only pass sparql
	around as strings.

	libtracker-miner: Remove bulk sparql buffer operations
	Those have been unused for quite some time now.

	tests: Use tmp dir on tests

	libtracker-miner: Always use interned files when emitting ::file-deleted
	There were other places that didn't ensure that TrackerFileNotifier used
	interned files when emitting ::file-* signals.

	tests: Minor update to TrackerMonitor test
	Due to how the file is created, we shall get an additional UPDATED
	event that TrackerMonitor doesn't merge together anymore. This is
	now merged together in the upper layers, so just acknowledge the
	extra event in this test.

	tests: Remove "blacklisting" TrackerMonitor tests
	TrackerMonitor doesn't try to merge events anymore besides the obvious
	[CREATED|UPDATED]* + CHANGES_DONE_HINT. These tests simply don't reflect
	current TrackerMonitor behavior so were removed.

	tests: Minor update to TrackerFileNotifier test
	Because the way the file is created, we will get a create and an update
	here. TrackerMonitor won't merge those together anymore, but
	TrackerMinerFS will, so just acknowledge it's expected in this test.

	libtracker-miner: Clean up TrackerMonitor
	We used to implement our own caching and timeout mechanism on top
	of GIO's, and our own "blacklisting" that would merge or transform
	events depending on the previouly cached content.

	This adds quite some extra latency in some cases on top of
	GFileMonitor's rate (up to 2s), and even in some cases do produce
	mistaken results (CREATE(a)+MOVE(a->b) != CREATE(b) if you are rewriting
	a file, but how can TrackerMonitor know).

	The code has been simplified in various fronts:
	- (Almost) no event caching. Only CREATED/UPDATED events are possibly
	  cached awaiting for the CHANGES_DONE_HINT that must follow them.
	- No event manipulation nor merging. GFileMonitor does a good job at
	  being truthful, and the upper layers do know better how to coalesce
	  events into a more reduced set of equivalent tasks, since there's
	  further info like file state in the database.
	- The deprecated SEND_MOVED flag has been replaced by WATCH_MOVES. The
	  MOVED_IN/MOVED_OUT/RENAMED events can be handled in a simpler way each
	  than the deprecated MOVED event.

	Overall this makes TrackerMonitor slightly more verbose (but still
	consistent wrt sending a meaninful sequential set of changes), but more
	reactive overall, since we now solely rely on GFileMonitor rate limits.

	With this change, TrackerMinerFS is left as the only place that does
	coalescing of events.

	libtracker-miner: Disable monitoring when dealing with unknown monitors
	We just can't do safe assumptions about its limits or behavior, seems
	best to turn monitoring off altogether.

	libtracker-miner: Remove FEN directory monitor handling branch
	The code supporting Solaris file monitors went away from glib ~2y
	ago.

	libtracker-miner: Remove ifdef around useful feature
	The mentioned bug got fixed ~6y ago, but the changes making
	use of the feature for some reason got stuck under a define
	that's never defined.

	This is an useful feature, so rely on it without further ado.

	libtracker-miner: Remove dead TrackerMonitor code
	The PAUSE_ON_IO feature required someone to notice it and
	modify tracker code to #define instead of #undef. I discovered
	it before, and chose to remove it instead.

	libtracker-miner: Fix content filter with default policy=deny
	We deemed the directory as bad whenever any file didn't match the
	filter, but files that don't match the filter should not trigger
	it in one way or another.

	libtracker-miner: Intern GFiles on TrackerMonitor::item-moved
	The assumption is that TrackerFileNotifier emits files that are
	currently interned in the TrackerFileSystem. This event handler
	broke the assumption in a couple of places.

	libtracker-miner: Remove double caching of file IRI
	This is doubly cached in the TrackerFileSystem and as GObject qdata (and
	obtained from the former in that case). Let's just rely on the former for
	all.

	libtracker*: Lower g_message()s to g_debug()
	This is library code, so let's use g_debug() which obeys G_MESSAGES_DEBUG,
	instead of g_message() which shall be printed unless there is an special
	log handler that filters those out.
	This code may run on 3rd party code, where we can't trust we'll have
	a log handler that catches those from going to stdout.

	libtracker-miner: Fix argument order
	Despite the order implied here, the source/dest GFiles were emitted in
	the inverse order. Funnily tracker-miners and everything else around
	gets the order right, so it's really the header definition what is
	backwards here.

	libtracker-miner: Remove unused quarks

	libtracker-miner: Refactor processing queues
	Replace all 4 queues for the different create/update/delete/move
	events with a single queue that contains generic QueueEvent
	structs. The GList node of the last event is stored as GFile
	qdata, in order to perform fast lookups when coalescing events.

	queue_event_coalesce() will attempt to convert any two events
	into less than that, it does rely on merging two events with
	no related events in between, those should be coalesced (or
	attempted to) when they arrive.

	libtracker-miner: Remove reentry counter and failed task reinsertion
	TrackerFileNotifier guarantees that parent files are emitted before any
	children, the other usecase that this used to cover are explicit
	tracker_miner_fs_check_file() calls which used to also index parent
	directories, but it doesn't do that anymore since quite some time.

	So the only remaining case where we could end up with a file whose parent
	is neither being currently processed nor indexed is actual bugs. In that
	case, the bug likely won't go away by trying harder, which leads to logging
	for every child file, as they'll fail in cascade.

	Let's be less stubborn here, warn (once!) about the missing file and ditch
	all pending events happening on/inside it. People love filing bugs about
	tracker logging stuff, so I don't think bugs will go unnoticed anyway.

	libtracker-miner: Use g_clear_pointer
	Seems quite fit to manage priv->current_index_root.

	libtracker-miner: Simplify code a bit
	We can steal data sooner in order to avoid unsetting the data in the early
	return path.

	libtracker-miner: Properly honor TRACKER_DIRECTORY_FLAG_CHECK_MTIME
	TrackerFileNotifier actually triggered mtime checks more often than
	necessary. All of the sparql queries can be skip, also storing the
	filesystem mtimes (because no sparql mtimes will be queried to
	compare with).

	We just need setting up our TrackerFileSystem tree, and adding
	directory monitors, so do this bare minimum.

	libtracker-miner: Drop GFile array argument from directory content queries
	We always perform those one directory at a time, so drop the array/len
	arguments from directory content queries, and just pass a GFile around.

	libtracker-miner: Drop generic depth handling from TrackerFileNotifier
	We currently always process directories one by one, but we preserved the
	variable depth handling. This can be simplified away.

	libtracker-miner: Remove TrackerCrawler max_depth argument
	It was always called with depth=1 (return just direct children of the
	given folder), so make this the default. Admittedly, the "crawler" name
	is a bit of an stretch now.

	The TrackerCrawler tests have also been removed the recursive tests,
	since that's not possible anymore.

	libtracker-direct: Implement update_array_async()
	This doesn't yield as many benefits as it does bring on the DBus backend,
	but still worth implementing for consistence.

	tests: Add tests for libtracker-miner's TrackerMinerFS
	This object can now be tested without raising tracker-store instances
	nor other DBus facilities. This is a first stab at a comprehensive
	set of tests checking TrackerMinerFS behavior (API, startup, monitoring,
	...).

2017-10-31  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	meson: Remove options that are only relevant to tracker-miners
	The tracker-miners now live in a separate repo.

	meson: Remove erroneous reference to tracker-parser-sha1.h.in
	This file doesn't exist, we generate the header file from scratch with a
	script. Meson seems to have not raised an error in this situation in the
	past, but with 0.43 the build fails.

	meson: Fix use of nonexistant 'default' keyword
	The correct keyword is 'value'.

2017-10-19  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	libtracker-common: Add tracker-seccomp from the libtracker-miners library
	This module is only used in the tracker-miners repo. However, when
	building this repo as a Meson subproject of tracker-miners.git, we
	can only build one version of libtracker-common so we need to have
	it present in our version.

	meson: Don't install the nao-custom ontology
	It's actually broken and doesn't get installed by the Autotools build.
	The tracker-store refuses to start if this ontology is installed.

2017-10-18  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	meson: Include the gresource ontology data in libtracker-data
	Fixes an issue in tracker-store

	meson: Install all GSettings schemas and enums
	Some were missing altogether, and one was missing its enums which meant
	it was rejected by the schema compiler.

2017-10-12  Thomas Bechtold  <tbechtold@suse.com>

	Correctly unref g_settings_schema
	This fixes:

	GLib-GObject-CRITICAL **: g_object_unref: assertion
	'G_IS_OBJECT (object)' failed

	when calling "tracker daemon"

	https://bugzilla.gnome.org/show_bug.cgi?id=788883

2017-10-11  Thomas Bechtold  <tbechtold@suse.com>

	tracker: Return correctly for {get,set}_log_verbosity
	Every command switch should return properly. Otherwise the code
	reaches g_warn_if_reached () and a warning is printed.

	https://bugzilla.gnome.org/show_bug.cgi?id=788680

2017-10-05  Carlos Garnacho  <carlosg@gnome.org>

	tests: Remove unused queries from tracker-sparql-test
	Those were unused (the test would stop at the third query), and I couldn't
	quite figure out why they were added or what they were specifically
	testing.

	tests: Check return values for g_chmod/stat/remove calls
	Makes sense testing for those. Spotted by Coverity (CIDS: 1188421,
	1188422, 1188423, 1188430, 1188431, 1188432, 1188433, 1188434, 1188435,
	1298206, 1298207, 1298208, 1298209)

	tests: Make libtracker-data tests use separate directories
	Those may run in parallel, which is troublesome if all of them try to
	remove the test directory after all tests are run.

2017-10-05  Xavi Ivars  <xavi.ivars@gmail.com>

	[l10n] Updated Catalan (Valencian) translation

2017-10-04  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.0.1

2017-09-30  Piotr Drąg  <piotrdrag@gmail.com>

	gschema: Fix gettext-domain

2017-09-29  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Always fallback to URN query when queueing file
	Tracker may end up with nfo:FileDataObject prior to handling monitor
	events. Be it leftover data from previous bugs, explicit "tracker index"
	calls, or data from some other application.

	As we can't be really sure of the data consistence, always fallback to
	a URN query so we don't break nie:url UNIQUE constraint (inverse functional
	property in SPARQL parlance).

	https://bugzilla.gnome.org/show_bug.cgi?id=786132

	libtracker-miner: Check directory updates before dropping mtime info
	file_notifier_traverse_tree() has the side effect of deleting mtime data,
	as it's presumably not needed anymore, except here. Check whether the
	directory was updated before notifying of the files inside, so we can
	thoroughly check for deleted content.

	https://bugzilla.gnome.org/show_bug.cgi?id=786132

	libtracker-miner: Use TrackerDecorator variable after checking cancellable
	It may be actually destroyed if the decorator was cancelled.

	https://bugzilla.gnome.org/show_bug.cgi?id=785701

2017-09-29  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	libtracker-sparql: Introspection fix for tracker_notifier_new()
	The tracker_notifier_new() function allows NULL for 'classes'.

2017-09-28  Sam Thursfield  <sam@afuera.me.uk>

	meson: Fix hardcoded TRACKER_API_VERSION=1.0
	This was causing .pc files with wrong dependencies to be generated when
	building with Meson, and probably other issues.

2017-09-28  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	meson: Fix misspelled keyword arg

2017-09-27  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	meson: NetworkManager should be an optional dep

2017-09-27  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

	Updated Slovenian translation

2017-09-22  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Fix introspection for Tracker.Notifier.new()
	The 'classes' parameter wasn't annotated correctly.

	meson: Fix all hardcoded references to 1.0
	In some places I had hardcoded '1.0' instead of honouring
	tracker_api_version variable. This is now fixed.

	docs: Update path that contains API version to 2.0 in man page
	We should maybe reword this to not include the API version, but I can't
	see a simple way right now.

2017-09-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

	Slovenian update ...

	Updated Slovenian translation

2017-09-16  Carlos Garnacho  <carlosg@gnome.org>

	tests: Remove stray semicolon

	libtracker-remote: Fix compiler warning
	The return value of the hashtable contents are not variable, so using
	"var" rightfully complains about const being passed to non-const.

	libtracker-data: Fix compiler warning
	Use hashtables with nullable integer return value the vala way, instead
	of using lookup_extended(), which both looks out of place and produces
	constness related warnings on gcc.

	libtracker-data: Mark private methods explicitly as private
	This makes it easier to spot the interactions when reading code.

	libtracker-fts: Only let stop words go through on prefix queries
	Commit 63e507865 made stop words go through when tokenizing FTS5 query
	search terms, in order to still provide matches for incompletely typed
	search terms that happen to match a stop word.

	This however brought the side effect that searching for a stop word in
	combination with other terms renders the latter ineffective. As the stop
	word has no tokens in the FTS5 table to match with, the whole query brings
	no results.

	Since that commit, SQLite fixed FTS5_TOKENIZE_PREFIX to work as advertised,
	so limit the bypass to prefix queries (e.g. "onto*"), since it only makes
	sense there. Also, invert the way we look for stop words (i.e. always lookup
	those in search terms as per config, and do the bypass once we know we deal
	with a stop word) for the sake of readability.

	https://bugzilla.gnome.org/show_bug.cgi?id=787452

	tests: Fix compiler warnings
	Remove an unused variable, and fix several implicit .begin() calls.

	tracker-store: Fix compiler warnings
	Use backup_save() function with correct non-NULL arguments,
	avoid an implicit .begin(), and fix CCode annotations for
	a vala function.

	libtracker-direct: Fix compiler warning
	Handle GLib.Error on async queries.

	libtracker-data: Fix compiler warnings
	Several unused variables.

2017-09-14  İbrahim Aydın  <brhm.1995@hotmail.com>

	Update Turkish translation

2017-09-12  Carlos Garnacho  <carlosg@gnome.org>

	Release 2.0.0
	Semantic versioning is now effective.

2017-09-11  Debarshi Ray  <debarshir@gnome.org>

	libtracker-control: Add migration docs
	https://bugzilla.gnome.org/show_bug.cgi?id=787246

2017-09-10  Philip Withnall  <philip@tecnocode.co.uk>

	libtracker-control: Add missing return to function precondition
	A follow-up to commit 9a17961b. Spotted by Coverity (CID 1456542).


	https://bugzilla.gnome.org/show_bug.cgi?id=787246

2017-09-10  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2017-09-10  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Update Swedish translation

2017-09-10  Jordi Mas  <jmas@softcatala.org>

	Fixes to Catalan translation

2017-09-09  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Update Basque language

2017-09-08  hanniedu  <hannie@ubuntu-nl.org>

	Updated Dutch translation Master 3.26

2017-09-06  Jordi Mas  <jmas@softcatala.org>

	Update Catalan translation

2017-09-04  Debarshi Ray  <debarshir@gnome.org>

	libtracker-control: Let miner_manager_index_file accept a GCancellable
	The Since tag was bumped because the method's signature has changed.
	It is not backwards compatible with the one that was added in 0.10.

	https://bugzilla.gnome.org/show_bug.cgi?id=787246

2017-09-03  Rafael Fontenelle  <rafaelff@gnome.org>

	Update Brazilian Portuguese translation

2017-09-02  Dušan Kazik  <prescott66@gmail.com>

	Update Slovak translation

2017-09-02  Seong-ho Cho  <shcho@gnome.org>

	Update Korean translation

2017-09-01  Cheng-Chia Tseng  <pswo10680@gmail.com>

	Update Chinese (Taiwan) translation

2017-08-31  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Set up cancellable for TrackerDecorator internal ops
	Those must be cancelled if the TrackerDecorator gets destroyed.

	meson: Update root meson.build file
	It still had some pre-split remnants.

	docs: Remove unused manpages
	These manpages persist on the tracker-miners module, they can be removed
	from this repo.

	tracker: Remove --all argument from "tracker status" subcommand
	Make "tracker status --stat" offer info for all RDF classes right away,
	instead of trying to figure out the "common" ones from the formats handled
	by tracker extract modules/rules, which are not in this repo anymore.

2017-08-31  Michael Biebl  <biebl@debian.org>

	build: Drop obsolete _REQUIRED versions

	build: Drop obsolete warning about seccomp
	https://bugzilla.gnome.org/show_bug.cgi?id=787057

2017-08-31  Jiri Grönroos  <jiri.gronroos@iki.fi>

	Update Finnish translation

2017-08-30  Jordi Mas  <jmas@softcatala.org>

	Fixes to Catalan translation

2017-08-28  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2017-08-27  Rūdolfs Mazurs  <rudolfsm@src.gnome.org>

	Update Latvian translation

2017-08-25  Carlos Garnacho  <carlosg@gnome.org>

	meson: Fix SQLite FTS5 check
	Can't compile without main()

2017-08-25  Milo Casagrande  <milo@ubuntu.com>

	Update Italian translation

2017-08-23  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation

2017-08-22  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translation

2017-08-22  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.99.3

	meson: Fix typo in libtracker-sparql docs
	Missing comma.

	build: Mandate that sqlite3 >= 3.20.0 has fts5 builtin
	That sqlite3 version brought incompatibilities in the fts5 interface,
	fts5 modules generated from < 3.20.0 trees won't work with sqlite3
	>= 3.20.0, and viceversa.

	Since it's not feasible nor desirable to include an additional fts5
	module copy nor an embedded sqlite3 amalgamation copy, mandate that
	SQLite was compiled with --enable-fts5 if >= 3.20.0 is found.

	The current copy of the fts5 module is kept around for sqlite3 < 3.20.0,
	so we don't make this a mandatory requirement for earlier versions.

	https://bugzilla.gnome.org/show_bug.cgi?id=785883

2017-08-21  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-fts: Silence compiler warning
	Complains that rc might be used uninitialized, but the loop is guaranteed
	to have >0 elements, besides rank is initialized to 0. Initializing it to
	SQLITE_OK will be fine.

2017-08-20  Anish Sheela  <aneesh.nl@gmail.com>

	Update Malayalam translation

2017-08-19  Alexandre Franke  <alexandre.franke@gmail.com>

	Update French translation

2017-08-18  Pawan Chitrakar  <chautari@gmail.com>

	Update Nepali translation

	Update Nepali translation

2017-08-17  Fran Dieguez  <frandieguez@gnome.org>

	Update Galician translation

2017-08-16  Pawan Chitrakar  <chautari@gmail.com>

	Add Nepali translation

2017-08-14  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2017-08-12  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Initialize cursor variable
	The variable may be used uninitialized, resulting on
	invalid reads.

	Spotted by Coverity (CID #1453480)

	libtracker-miner: Remove useless debug output
	All its info is already spewed on the critical warning right
	above.

2017-08-11  Piotr Drąg  <piotrdrag@gmail.com>

	Update Polish translation

2017-08-07  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.99.2

	Distcheck fixes

	libtracker-data: Avoid doubly creating resource triggers
	This code is run on table updates, in which case the triggers already
	correctly exist. Ensure the trigger creation won't fail if it already
	exists.

	docs: Add example description file
	This was not added on git.

	libtracker-sparql: Document further new API

	docs: Ignore the right header file
	Fixes some duplicate reference warnings when building libtracker-sparql
	docs.

	libtracker-miner: Add migration docs

	libtracker-sparql: Add migration docs

	libtracker-miner: Improve docs
	Remove no longer existing methods, add the newer objects/methods
	that were missing, and add some further docs here and there.

	libtracker-sparql: Update docs
	The newer methods were still missing from API docs, add them
	in the respective sections.

2017-08-06  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-fts: Adapt to incompatible change in sqlite 3.20
	From that version on, we must use the brand new sqlite3_bind_pointer()
	interface to access the fts5 interface pointer. Adapt to it without
	giving up older versions.

	https://bugzilla.gnome.org/show_bug.cgi?id=785883

2017-08-05  Carlos Garnacho  <carlosg@gnome.org>

	Merge branch 'wip/carlosg/resource-leak-fix'

	libtracker-data: Perform trimming of unused resource URNs on shutdown
	On shutdown it will now delete all elements in the Resource table that
	are not contained too in the Graph table (thus are graph URNs) and have
	a refcounting of 0 (meaning that they are not used in any class/property
	table).

	As the migration to refcounted Resource table doesn't result in graph
	URNs being added to the Graph table, database cleanup won't be performed
	until the Graph table has been populated (presumably by miners indexing
	anything)

	libtracker-data: Add Graph table
	This new table will perform the accounting of those URNs used
	as a graph on SPARQL updates. Those are kind of special in that
	they are not referenced anywhere else, so we couldn't distinguish
	between those and an entirely unused URN.

	The creation of this new table has also been made to trigger
	the recreation of all class tables, so the resource refcounting
	changes in the previous commits become effective.

	libtracker-data: Add resource element triggers
	Those will control the Refcount column in the Resource table,
	whenever a resource is added/removed from a resource or multivalued
	property table, or whenever a single or multivalued property points
	or stops pointing to a given resource, its refcount will be changed.

	This adds automatic refcounting on elements, so we can tell those
	with a refcount=0 are not referenced anywhere so thus can be dropped.

	libtracker-data: Prevent ALTER TABLE from happening on new classes
	This step should be only happening if the class is not new, despite
	in_change being TRUE.

	libtracker-data: Refactor Resource table creation
	Instead of creating it just in time for the rdfs:Resource table,
	create it in advance so we have a common hook for other essential
	tables.

	The "Available" column that we add to the main class is kind of
	useless, but is preserved so older Tracker versions don't stumble
	on a database created with a more modern Tracker.

	We are also adding a "Refcount" column to the Resource table, which
	will be used in the following commits.

	libtracker-data: Use optional() to parse a few tokens
	Fixes a bunch of "unchecked return value" warnings on coverity,
	it's also clearer to read.

	Spotted by Coverity (CID#: 1188417, 1188418, 1188428, 1452443,
	1452445, 1452449)

	https://bugzilla.gnome.org/show_bug.cgi?id=785863

	libtracker-data: Add optional() method for tokens that need no retval checks
	Also makes code clearer, as accept() implies you may react differently on
	token availability.

	https://bugzilla.gnome.org/show_bug.cgi?id=785863

2017-08-04  Mario Blättermann  <mario.blaettermann@gmail.com>

	Update German translation

2017-08-04  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	meson: Install ontologies and domain ontology rules

2017-08-04  Balázs Meskó  <meskobalazs@fedoraproject.org>

	Update Hungarian translation

2017-08-04  Philip Withnall  <withnall@endlessm.com>

	libtracker-data: Drop redundant error path
	prepare_for_exec() defines iface as non-nullable, so Vala automatically
	(and correctly) inserts a g_return_val_if_fail (iface != NULL) for us.
	That makes this error path redundant and unreachable.

	Spotted by Coverity (CID #1452447).


	https://bugzilla.gnome.org/show_bug.cgi?id=785809

	libtracker-miner: Add missing break in property switch
	Spotted by Coverity (CID #1452446).


	https://bugzilla.gnome.org/show_bug.cgi?id=785808

2017-08-04  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	meson: Replace all source_root() and build_root() calls
	These functions need to be avoided so that Tracker doesn't break when
	included via subproject() into another Meson project.

	meson: Fix tracker-parser-sha1.h generation when we're a subproject
	I also added `-e` (fail on errors) to the script.

	meson.build: Avoid using meson.source_root() to locate g-ir-merge
	The meson.source_root() variable conflicts with a subprojects feature --
	if Tracker is included as a subproject then source_root() will point to
	the parent project and so we'll fail to find the g-ir-merge script.

2017-08-03  Carlos Garnacho  <carlosg@gnome.org>

	g-ir-merge: Use env to locate python3
	Pointed out to fix build on FreeBSD, since python is not
	in /usr/bin.

	https://bugzilla.gnome.org/show_bug.cgi?id=782091

	Remove all miners/extract/writeback
	This is being split to its own package

2017-08-03  Marek Cernocky  <marek_cernocky@conel.cz>

	Updated Czech translation

2017-07-28  Lucas Satabin  <lucas.satabin@gnieh.org>

	rss: Add support for enclosures
	Some feed (e.g. podcasts) use the `enclosure` element of the RSS feed
	format. The ontology supports these element throught the
	`mfo:enclosureList` relationship and `mfo:Enclosure` class.

	Support for enclosures is simply added by looping over such elements if
	any, and adding the relationships upon feed message insertion or update.
	Enclosures are deleted when the `mfo:FeedMessage` that links to it is
	deleted.

	Also fixes a problem of double free when contributor list is not empty.

	https://bugzilla.gnome.org/show_bug.cgi?id=785454

2017-07-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2017-07-24  Lubomir Rintel  <lkundrak@v3.sk>

	libtracker-miner: port to libnm
	It's the perferred NetworkManager's library for a couple of years now
	already. Keep compatibility with the older one, since it's reasonably
	similar.

	https://bugzilla.gnome.org/show_bug.cgi?id=777178

2017-07-24  Carlos Garnacho  <carlosg@gnome.org>

	meson: Add optional upower/hal deps on tracker-miner-fs
	Otherwise those fail to compile due to the missing includes/cflags.

	meson: Fix bash completion dir guessing
	Use the right method to fetch a pkg-config variable.

	https://bugzilla.gnome.org/show_bug.cgi?id=785248

	libtracker-data: Don't rely on spaces as separators on title collation
	Skip non alphanumeric characters both at the beginning of titles, and after
	the prefix match. Of course, require at least one such non alphanumeric
	character after the prefix match, in order to avoid matching beginnings of
	words.

	https://bugzilla.gnome.org/show_bug.cgi?id=785146

2017-07-23  Jeremy Bicha  <jbicha@ubuntu.com>

	libtracker-data: fix format-security issue
	https://bugzilla.gnome.org/show_bug.cgi?id=785245

	build: meson: Fix upower-glib check
	https://bugzilla.gnome.org/show_bug.cgi?id=785247

2017-07-23  Michael Biebl  <biebl@debian.org>

	Remove leftover @LIBTRACKER_MINER_PC_REQUIRES@ from tracker-miner.pc.in
	Follow-up for commit ac84484dfb5dea636e4b2e830d25901413fb970c.

	https://bugzilla.gnome.org/show_bug.cgi?id=785294

2017-07-22  Kukuh Syafaat  <syafaatkukuh@gmail.com>

	Update Indonesian translation

2017-07-19  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Use '|' as separator for title articles.
	As suggested in https://bugzilla.gnome.org/show_bug.cgi?id=785146
	and following https://bugzilla.gnome.org/show_bug.cgi?id=771348,
	change the separator used for common articles.

	Translators, apologies for the moving target.

	Release 1.99.1

	build: Cleanup TRACKER_COMPILATION defines from c_args
	It is now defined globally, so can removed from specific targets.

	build: Unbreak meson build
	The change in 1b31260292 added somewhat clumsy meson support. The
	C-side vapi is now required by the Vala-side vapi, but only the latter
	is included when building the rest of the libraries. Since we can't
	tell the build to ditch the vala vapi and include our merged/spiced up
	tracker-sparql-2.0.vapi file, add a dependency on the C vapi that we can
	add on the selected places.

	A side effect of including the unfixed vapis is that includes point
	to internal files, so make sure everything gets TRACKER_COMPILATION
	when building to circumvent it.

	libtracker-sparql: Fix tracker-sparql-2.0.vapi generation
	It would be left partly including headers that must not be accessed
	directly. Also, ensure that we look for the C vapi file in srcdir for
	both meson and autotools.

	libtracker-data: Implement tracker:title-order() SPARQL function
	This is a tracker-specific helper function that will remove the
	initial common articles (the, a, an, ...) for sorting purposes.
	This is implemented as an additional collation, so tracker:title-order
	only makes sense to be used in the ORDER BY clause.

2017-07-18  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation

2017-07-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	libtracker-miner: Fix introspection warning due header/source-def mismatch

2017-07-16  Carlos Garnacho  <carlosg@gnome.org>

	tracker-store: Check wal threadpool existence before using it
	During shutdown the thread pool might be actually gone. Do not try to poke
	it in those situations, a blocking wal checkpoint will happen eventually.

2017-07-16  Emmanuele Bassi  <ebassi@gnome.org>

	build: Add generated enumeration files to BUILT_SOURCES
	Dependency tracking in Automake is a side effect of compilation. This
	means two things:

	  * headers are ignored when it comes to building dependencies, even
	    when listed inside sources for a binary target
	  * generated headers included inside source files are not used
	    as a dependency until compilation of the source file completes
	    successfully

	If binary target L depends on a source file C, and that source file
	includes a generated header H, there is no guarantee that the header
	H will be available by the time source file C is built, because the
	dependency is extracted from C itself, not from the list of sources.
	Additionally, any header H does not count towards the dependency
	resolution because headers are only used for ancillary features, like
	extracting tags.

	For this reason, Automake has `BUILT_SOURCES`.

	This is a bit of obscure corner of Automake that trips up many who are
	not practitioners of the Dark Arts.

	More information is available here:

	https://www.gnu.org/software/automake/manual/html_node/Built-Sources-Example.html#Built-Sources-Example

2017-07-15  Carlos Garnacho  <carlosg@gnome.org>

	tracker-miner-fs: Fix signal prototype of TrackerMinerFiles::writeback
	It's defined a boolean return value, which was not obtained when emitting
	the signal. Agree everywhere on removing it since it's not necessary.
	Fixes a crash when the signal was emitted.

	libtracker-data: Do not reuse TrackerDBInterface used for DB checks
	It is just too soon to let it initialize like the others, just drop it
	and let the TrackerDBManager create proper ones on demand. Fixes possible
	crashes on FTS because the TrackerOntology is still empty, so the
	TrackerDBInterface ends up with 0 cached FTS properties.

	https://bugzilla.gnome.org/show_bug.cgi?id=784926

2017-07-13  Dušan Kazik  <prescott66@gmail.com>

	Update Slovak translation

2017-07-12  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Disable monitors during crawling on large indexing trees
	If the number of indexed folders exceed the TrackerMonitor limit,
	acknowledge that the filesystem image shall be possibly out of date soon
	and disable monitors temporarily during crawling.

	This results in a major speedup in the crawling phase (both initial indexing
	and the one performed on every startup to update the Tracker concept of the
	filesystem), because an excessive amount of directory monitors make the
	syscalls performed during crawling inherently slower.

	Testing with the same sample folders than commit 2e7e70a2ea (and the same
	quarter million files in 17k folders), this results on ~4x faster
	tracker-miner-fs startups. The accumulated improvements took regular startup
	stituations (i.e. just ensuring the filesystem is up-to-date) from roughly
	4m to 22s here. Everything measured on i7/ssd, otherwise idle, ...

	libtracker-miner: Add TrackerMonitor function to check the limit

2017-07-11  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Do not accept "... AS foo" anymore
	Nowadays this is pretty useless nonstandard syntax, SPARQL1.1 settled on
	".... AS ?foo" and we've accepted it for a long time.

	libtracker-sparql: Implement tracker_sparql_connection_get_namespace_manager()
	This is implemented on direct connections and the generic backend. The
	TrackerNamespaceManager will be filled in from the internal ontologies, as
	read by the TrackerDataManager.

	libtracker-data: Add tracker_data_manager_get_namespaces()
	This will be used to fill in TrackerNamespaceManager objects that are
	specific to a TrackerSparqlConnection.

	libtracker-sparql: Add vapi file for the C portions
	Just like we do with girs, merge together the vapi for the C portions and
	the generated vapi for the vala bits. This allows using
	TrackerNamespaceManager and TrackerResource from vala code.

	libtracker-sparql: Deprecate TrackerSparqlBuilder
	It has been superseded by TrackerResource, it is encouraged for new
	development.

	libtracker-miner: Drop TrackerSparqlBuilder from TrackerDecorator API
	Just add tracker_decorator_info_complete[_error] functions to let the
	decorator implementation give back the resulting SPARQL. This way the
	TrackerDecorator API is agnostic of the method/API used to build the
	SPARQL.

	libtracker-sparql: Fix horrible confusion with G_GINT64_FORMAT
	The "d" is already implied there, not for us to add. Let's pretend this
	never happened...

	libtracker-miner: Remove deprecation annotation from vapi file
	This applied to ignore_next_update(), which has been removed for 2.0.

	libtracker-sparql: Add tracker_resource_[add|set]_take_relation()
	These are C helper functions, so users may create trees of TrackerResources
	without having to manually unref all non-root ones.

	docs: Remove doc references to TrackerEnumerator

	libtracker-sparql: Remove get_direct(_async|_finish)
	Those functions have been deprecated for years and are being removed
	for 2.0. Use tracker_sparql_connection_get() and async variants instead,
	that will smartly use the direct connection underneath.

2017-07-10  Jeremy Bicha  <jbicha@ubuntu.com>

	Fix Spanish translation header
	See https://bugzilla.gnome.org/show_bug.cgi?id=771765

2017-07-10  Kukuh Syafaat  <syafaatkukuh@gmail.com>

	Update Indonesian translation

2017-07-10  Carlos Garnacho  <carlosg@gnome.org>

	tests: Adapt tracker-backup-test to non-GPrivate interfaces
	This code relies on being able to query again the contents immediately
	after restore, this may or may not be true depending on the
	TrackerDBInterface used on the posterior query (eg. not being the one
	that performed the update).

	Since testing access from multiple DBInterfaces is not in the scope
	of this test, just add an extra TrackerDataManager initialization in
	between to ensure the interface used on the query is up to date.

	libtracker-data: Don't use GPrivate to store TrackerDBInterfaces
	The improvement is twofold here. On one hand ensures there's no
	confusions with multiple TrackerDBManagers, because we had no guarantees
	that a thread would be reused across those.

	But also we can be much smarter about which TrackerDBInterface we
	hand for operations, giving one that is "free" (i.e. has no other
	active cursors) gives much more reduced mutex contention on stress
	loads.

	The maximum number of interfaces has been obtained rather
	unscientifically, seems the turning point at which throughtput does
	not really increment on downright stupid workloads, given the amount
	of readonly threads we allow on the direct connection.

	libtracker-data: Make all other ifaces than wal/writable readonly
	The interfaces returned by tracker_data_manager_get_db_interface()
	are now ensured to be only used in select queries, so be bolder
	about this and ensure the interfaces are actually readonly.

	libtracker-data: Make writable/wal interfaces unique
	Instead of "picking" one of the several DB interfaces created,
	ensure canonical ones for these operations.

	libtracker-data: Pass DB interface to tracker_data_query_resource_id()
	This is used on both readonly and readwrite paths, pass the DB interface
	explicitly to avoid confusions wrt the one that must be used.

	libtracker-miner: Fix cancellation of data_provider_begin()
	The async op is not owner of the user data, so it may be actually
	gone in the GAsyncReadyCallback. Ensure we only use it on success
	or on other errors than cancelled, fixes crashes in tracker-crawler
	crawl-interrupted test after commit b4f7b84fe4 because
	tracker_crawler_stop() is now called at a time that triggers this.

2017-07-10  Piotr Drąg  <piotrdrag@gmail.com>

	Update POTFILES.in

2017-07-10  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Ensure sparql buffer keeps flushing
	The sparql buffer might get full again with new tasks before the
	update_array operation for the current batch returned. In this case
	nothing will kick the TrackerMinerFS again, nor the SPARQL buffer
	from flushing again. Fix this by just flushing again, the miner
	will follow as soon as the SPARQL buffer is below limits.

	libtracker-data: Set interfaces' prepared statement LRUs on common code
	All DB interfaces get the max number of items set, so just set those
	in common code. Also, avoid allocating any space for update statements
	in readonly interfaces.

	libtracker-miner: Call next_files_async() in batches
	Instead of painstakingly requesting GFileInfos one by one,
	request several of those in a single batch. This is a lot easier
	to the main loop, because we don't need hitting it several times
	per file.

	This and the previous commits result in massive speedups to
	TrackerMinerFS, since CPU time in userspace during TrackerMinerFS
	activity was largely dominated by GSource and main loop overhead.
	Somewhere around 1.80x-2x faster for initial indexing, and up to
	3x faster for startup on an already indexed FS, from unscientifical
	testing with a quarter million files contained in ~17K folders.

	libtracker-miner: Remove Tracker[File]Enumerator
	This is a pretty pointless shallow wrapper to GFileEnumerator. Just make
	TrackerDataProvider offer GFileEnumerators. If anyone ever was in need for
	implementing a TrackerEnumerator, they can do the very same by implementing
	GFileEnumerator, and handing those from their TrackerDataProvider impl.

	This also cuts a level of indirection in directory crawling (i.e. no
	wrapping of GTasks in GTasks), and allows us to fully use GFileEnumerator
	API (eg. g_file_enumerator_next_files will be handy).

2017-07-09  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Process TrackerMinerFS elements in batches
	This prevents us from hitting too hard the main loop.

	libtracker-miner: Shortcut the initial op after tracker_crawler_start()
	It is well known, and will already happen asynchronously, no need to hit
	the main loop for that.

	libtracker-miner: Process TrackerCrawler elements in batches
	This prevents us from hitting too hard the main loop.

	libtracker-data: Preserve ontology journal writer for a bit longer
	It's destroyed far too soon if the ontology needs rebuilding.

2017-07-06  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Add explicit shutdown call to TrackerDataManager
	As DB interfaces will have a reference each on the TrackerDataManager,
	callers will never drop the last reference themselves. Add an
	explicit shutdown() call that just runs the dispose phase, and
	destroy the TrackerDBManager on it.

	Destroying the DB manager will tear down the writeable DB interface
	and unlink the "is running" file. Any remaining readonly DB interfaces
	presumably don't need the DB manager anymore and will disappear as
	soon as all their remaining cursors are closed.

	Release 1.99.0

	libtracker-miner: Fix warnings if move ops happened during initial crawling
	The checks to notify about indexing having finished on TrackerIndexingTree
	roots were mistaking ItemMovedData* with GFile*, which lead to warnings.
	This should be harmless, the signal might be possibly emitted before the
	move op is dispatched, that's all.

	tracker-miner-fs: Request source item URN as expected
	When the code to handle SPARQL updates related to move operations
	moved from libtracker-miner to tracker-miner-fs, we started querying
	the dest file here, which would return a NULL URN as expected, since
	it doesn't "exist" yet.

	miners: Request DBus name after creating miner objects
	Fixes those not seeming to autostart properly through the
	"tracker daemon -s" CLI command, because it calls for a method
	in an object that's not yet created at the time the DBus name
	is visible.

	libtracker-miner: Add missing ::move-file signal
	Fixes handling of moved files, since the subclass vmethod wouldn't
	be triggered.

2017-07-03  Sam Thursfield  <sam@afuera.me.uk>

	meson: Rearrange dependencies until things compile
	Targets far down the dependency chain were failing due to mysteriously
	missing symbols. The use of -Wl,--as-needed seemed to be triggering the
	issue.

	This only occured with new versions of Meson. Previously circular
	dependencies would be added recursively but this was removed with
	<https://github.com/mesonbuild/meson/pull/1545>.

	I'm not 100% sure how this fixes things, but I think that removing
	or at least reshuffling circular dependencies of libtracker-sparql
	means that libraries are passed to the linker in "correct" order.

2017-07-03  Piotr Drąg  <piotrdrag@gmail.com>

	Use glib preset for i18n
	https://bugzilla.gnome.org/show_bug.cgi?id=783750

2017-07-03  Carlos Garnacho  <carlosg@gnome.org>

	configure: Do not generate src/plugins/Makefile
	Makefile.am is not there anymore.

	utils: Remove gtk-sparql util
	It's not even ported to pygi, it could go to examples/ if refurbished,
	but there's aplenty on internet.

	utils: Remove clean-tracker-prefix script
	We've got make/ninja uninstall for that.

	Delete tracker-needle
	It was cool when Tracker search was barely integrated anywhere.
	Nowadays, it's nothing but an aging showcase app (eg. was conceived
	in the gtk2 days and barely ported to gtk3, and it shows everywhere).

	If you want a modern and capable search UI, try Nautilus. If you
	are outraged that tracker-needle is gone and ended up here, by all
	means be my guest, reset to the parent of this commit and take it
	out of tree. If you join #tracker I'll gladly give you advise on
	how could it be brought up-to-date. But our hands are full, sorry,
	we leave cool UIs to others.

	Delete tracker-preferences
	This is a mix of store and miner features which can't be assumed to go
	together. It is better to leave configuration UI up to the environment,
	in the GNOME case this is gnome-control-center search panel.

	For settings that fall in the cracks, or for environments that don't
	integrate Tracker search in their configuration UI, there's the rather
	capable dconf-editor which will provide all toggles, and will explain
	them better than any UI we may have.

	In the future the CLI tools might gain some configuration subcommand,
	but it will not be a graphical UI.

	Delete evolution/thunderbird/nautilus/firefox plugins
	Those are unmaintained, are broken, don't compile, or a combination of
	all. Sadly there hasn't been enough manpower during the last years to
	keep those up to par. Future seems shiny enough for nautilus, as the
	features are being developed in-tree.

	If anyone ever remembers there were such plugins and misses them
	enough to take over maintainership, by all means reset to the parent
	of this commit and take those out of tree. You will have my gratitude.

	Thanks too to everyone who ever contributed in those plugins, I'm
	not happy to let that much work go.

	libtracker-miner: Remove writeback API
	The only user that might ever care does already implement it itself.
	There is no need to provide this infrastructure that will be scarcely
	used in libtracker-miner API.

	tracker-miner-fs: Implement writeback atop TrackerMinerFS
	This implementation just pauses the miner while there's writeback
	items to process, and uses the filter_event vmethod to perform
	maintenance of writeback tasks. Functionally, is not that different
	from the TrackerMinerFS implementation.

2017-07-02  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Add filter_event vmethod
	This is not a signal because external users of a TrackerMiner have no
	business in modifying behavior at this level, this is reserved for
	subclasses that presumably know what they are doing.

	This vmethod is toggled for every event that gets received from the
	TrackerFileNotifier, before the file gets to hit any processing queue.

	tests: Add missing macros to meson build instructions
	Those were added on autotools, but were forgotten on meson...

2017-07-01  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-fts: Skip loading the FTS module if sqlite has it builtin
	It is unneeded, and the missing symbol will be treated as a fatal error.

2017-06-29  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Fix compile errors with --disable-journal

	libtracker-data: Allow using older sqlite API
	But warn about it, as it is unsafe.

	Merge branch 'wip/carlosg/domain-ontologies'

	libtracker-common: Add a last resort envvar to load default domain ontology
	This can only be used if the default domain ontology file is not found, and
	is now used on tests that do rely on the default tracker-store instance.

	Also, add back the TRACKER_DB_ONTOLOGIES_DIR, under the same restrictions.

	libtracker-miner: Add connection property to TrackerFileNotifier
	So it can be specified from the miner.

	tracker-store: Use wal_checkpoint API from TrackerDBInterface
	Better than calling the pragma and involving prepared statements

	libtracker-data: Make Tracker.DBStatement an InitiallyUnowned in vapi
	It does not matter much since the getter still returns a sunk reference,
	but better to be consistent with the real implementation.

	libtracker-control: Skip miners not meant to be loaded.
	This will make the miners not specified in the domain ontology
	description file invisible from the API user perspective.

	tracker-store: Add all known tracker miners to default domain ontology
	So it still behaves as it used to do.

	libtracker-common: Add domain ontology key/api to get expected miners
	This is purely a hint, and people may still run things manually or perform
	updates against this domain ontology themselves. Will be useful so we don't
	autostart more miners than necessary through the libtracker-control API.

	tracker-store: Remove ontology_name argument
	We do already deal with ontology locations at this point, which
	we also print.

	libtracker-data: Fix compilation on DISABLE_JOURNAL
	Pass the TrackerDataManager down tracker_backup_save(), so we can
	fetch the DB file underneath.

	tracker-extract: If there is a domain, set watch on it
	And exit as soon as the name vanishes. It may safely continue
	its operations on the next startup.

	tracker-miner-apps: If there is a domain, set watch on it
	And exit as soon as the name vanishes. It may safely continue
	its operations on the next startup.

	tracker-miner-fs: If there is a domain, set a watch on it
	And exit as soon as the name vanishes. It may safely continue
	its operations on the next startup.

	tracker-miner-rss: If there is a domain, set watch on it
	And exit as soon as the name vanishes. It may safely continue
	its operations on the next startup.

	tracker-store: If a domain is set, set a watch on it
	Tracker-store will wait till there are no elements left before
	exiting, in order to ensure it does so cleanly.

	libtracker-miner: Make TrackerMinerProxy look for the right tracker-store
	Use the domain name to find out the right tracker-store DBus name.

	libtracker-data: Ensure we set user data on an existing connection

	tracker-miner-rss: Look up the right dbus name for GraphUpdated
	This should be ported to TrackerNotifier, which already does the right
	thing.

	libtracker-sparql-backend: Ensure we always load the bus connection first
	Otherwise the database might not be created yet when creating the direct
	connection.

	libtracker-common: Use XDG_DATA_DIRS to find domain ontology definitions

	libtracker-control: Add domain argument to tracker_miner_manager_new_full
	I personally prefer using the excuse of the major version bump than adding
	a tracker_miner_manager_new_fuller() variant, as this is clearly a
	construct_only thing. Creating a TrackerMinerManager with an specific
	domain will allow dealing with the miners spawned for it.

	libtracker-control: Remove obscure environment variables
	These were supposedly added for testing, but they are not used
	anywhere, nor it sounds ok to fundamentally change TrackerMinerManager
	behavior. Let's remove these.

	miners: Add NameSuffix field to miner .service files
	This will be used by TrackerMinerManager in order to find out
	the right dbus names according to the domain ontology.

	tracker-miner-fs: Drop standalone DBus name for Files.Index
	Because we're registering 2 interfaces and 2 dbus names, both
	expose the same 2 interfaces and are introspectable the same way.
	This makes no sense, just use the org.freedesktop.Tracker1.Miner.Files
	name for both interfaces.

	libtracker-miner: Add TrackerMiner::connection property
	So it is possible to use TrackerMiner facilities in-process using
	a dedicated TrackerSparqlConnection. Basically store and mining
	handled by the client app.

	libtracker-sparql: Make TrackerNotifier check GraphUpdated from the domain
	It must listen to the signal from the right tracker-store instance.

	rss: Add --domain-ontology switch
	This allows tracker-miner-rss to dump data on other domain ontologies
	than the default one.

	tracker-extract: Add --domain-ontology switch
	This allows tracker-extract to dump data on other domain ontologies
	than the default one.

	tracker-miner-apps: Add --domain-ontology switch
	This allows tracker-miner-apps to dump data on other domain
	ontologies than the default one.

	tracker-miner-fs: Add --domain-ontology switch
	This allows running tracker-miner-fs on other domain ontologies
	moderated by a tracker-store daemon. The switch does:
	1) Set up the ontology domain for the default TrackerSparqlConnection
	2) Make the miner use a DBus name relative to the domain

	In result, tracker-miner-fs can take a different DBus name and talk
	to other tracker-store instances than the default.

	libtracker-sparql: Use TrackerDomainOntology on tracker_sparql_connection_get()
	Add a global tracker_sparql_connection_set_domain() call that allows setting
	domain ontology that the client shall use. This only affects the connection
	obtained through tracker_sparql_connection_get(), other constructors may have
	different settings.

	libtracker-sparql-backend: Set namespace on Log object
	So we can include libtracker-common vapi without conflicts

	tracker-store: Use TrackerDomainOntology helper

	tracker-store: Install default domain ontology
	This makes Tracker behave as it ever used to. Also add some comments
	so it serves as a base for other domain ontologies.

	libtracker-common: Add TrackerDomainOntology helper
	This just wraps the information that can be extracted from a
	domain ontology rule file.

	tracker-store: Make DBus unique name purely dependent on the domain
	i.e. just remove the ontology name from there. We do add the ".Tracker1"
	suffix though, just so Tracker gets its own namespace dependent on it, eg:
	org.gnome.Photos.Tracker1
	org.gnome.Photos.Tracker1.Miner.Files
	org.gnome.Photos.Tracker1.Miner.Extract

	tracker-store: Remove fine-grained domain ontologies CLI switches
	Only allow --domain-ontology/-d to specify the rule name. There is too
	much room for failure making it possible to provide all switches manually
	(eg. missing ones, or pointing to the wrong location).

	The ontology rules are installed at /usr/share, so presumably the author(s)
	know what they are doing.

	tracker-store: Remove dbus_path domain ontologies setting

	tracker-store: Register all objects with default DBus paths
	Let's make the DBus name customizable, but making the DBus paths
	customizable too seems a bit overkill. It is fine to have multiple
	services implementing /org/freedesktop/Tracker1/* objects

	libtracker-miner: Add TrackerMinerProxy object
	And shift all miner dbus handling from TrackerMiner. This object
	takes a TrackerMiner and implements the org.freedesktop.Tracker1.Miner
	interface for it on DBus.

	One notable difference in handling here is that libtracker-miner
	does not try to own DBus names anymore, that is left up to the caller.
	The registered object will be available on whatever dbus name the
	caller does register.

	For compatibility, all TrackerMiner implementations around have been
	made to request their usual name.

	libtracker-miner: Fix TrackerMiner::progress signal arguments
	The signal marshaller has an extra argument, that was not available in
	the class method.

	libtracker-miner: Merge tracker_miner_fs_check_file[with_priority]
	Only check_file() remains, with an extra priority argument. The default
	G_PRIORITY_HIGH in the older check_file() was unintuitive, and is now
	explicitly specified in the org.freedesktop.Tracker1.Miner.Files.Index
	interface calls.

	libtracker-miner: Remove tracker_miner_fs_check_directory*()
	More unused API that is a thin wrapper to TrackerIndexingTree, just
	remove it.

	libtracker-miner: Remove TrackerMinerFS API to add/remove directories
	The whole set of tracker_miner_fs_add_directory_without_parent(),
	tracker_miner_fs_directory_add(), directory_remove() and
	directory_remove_full() are all covered by TrackerIndexingTree and
	basically unused, except for code in examples/.

	libtracker-miner: Remove tracker_miner_fs_[sg]et_initial_crawling()
	It did nothing at the libtracker-miner level, and can be safely removed.

	tracker-miner-fs: Implement initial crawling fully here
	It seems this setting was just ignored at on libtracker-miner since the
	introduction of TrackerFileNotifier. And it does not make a lot of sense
	either, crawling is done for 2 purposes: checking mtimes and setting up
	monitors.

	So we have individual toggles for each of those, but if neither happens
	we could just not start the miner as well, which is most similar to the
	tracker-miner-fs behavior when this setting was introduced.

	libtracker-miner: Remove tracker_miner_fs_set_mtime_checking()
	This is just used to set the TRACKER_DIRECTORY_FLAG_CHECK_MTIME flag on
	the TrackerIndexingTree for all files. Given libtracker-miner has this
	fine grained switch and all use of it happens in src/miners/fs, just move
	the global toggle there and remove it from libtracker-miner API.

	The only usage of this flag inside libtracker-miner happened inside
	tracker_miner_fs_directory_add(), which was superseded by
	TrackerIndexingTree too and is scheduled for removal.

	tracker-miner-fs: Adopt TrackerThumbnailer from libtracker-miner
	It makes no sense to have that at the library level, just move thumbnail
	handling to TrackerMinerFiles.

	Coincidentally, this removes further queries that required knowledge about
	the ontology in TrackerMinerFS.

	libtracker-miner: Remove tracker_miner_fs_force_recheck()
	It's unused and unneeded, just set the TRACKER_DIRECTORY_FLAG_CHECK_MTIME
	flag on the TrackerIndexingTree.

	libtracker-miner: Remove tracker_miner_fs_force_recheck()
	It's been a no-op for years.

	libtracker-miner: Remove tracker_miner_fs_get_parent_urn()
	It is cached once to be used once. Besides, the parent GFile is
	obviously guaranteed to be a folder, and folders are (not so
	obviously) guaranteed to be cached. Thus looking up the URN should
	be fast enough.

	libtracker-miner: Add TrackerMinerFS::move-file vmethod
	We delegate the SPARQL generation to this vmethod, in order to
	keep TrackerMinerFS as agnostic of the ontology as possible.

	libtracker-miner: Split ::remove-file into two signals
	The only_children argument is a bit awkward as we emit ::remove-file
	on a file that is not removed at all. The TrackerSparqlBuilder argument
	has been also removed (the signals just have a gchar* return value
	containing the SPARQL for the delete op) so it's up to the caller to
	decide how to compose the SPARQL.

	This allows removing some more knowledge about specific ontologies
	from TrackerMinerFS, the ontology-dependent upper layers will know
	better how to delete the corresponding entities.

	libtracker-miner: Change API of ::process-file[-attributes]
	There's a few changes here:
	- The 2 vmethods are now given a GTask, its cancellable is to be
	  used if the handling goes async.
	- tracker_miner_fs_file_notify() has changed into a more generic
	  tracker_miner_fs_notify_finish() method, that takes such GTask
	  and completes it.
	- The vmethods are no longer given a TrackerSparqlBuilder, instead
	  they are expected to create the SPARQL through whatever mean is
	  most fit. The sparql is given in the tracker_miner_fs_notify_finish()
	  func. This opens the door to TrackerMinerFS implementations using
	  TrackerResource.

	The intent is 1) Pass something to these vmethods that the user
	can't forge or mess with, as matching on GFile relies that it's the
	same pointer that it was given in the vmethods. And 2) Make the finish()
	function more generic to be fit to other methods going async.

	Remove ignore_next_update() API
	It's been deprecated for a long time, it stands in the middle of
	detaching TrackerMiner from DBus, and it's one less piece of
	ontology-dependent libtracker-miner code. Enough reasons to
	finally remove this.

	Remove libmediaart code entirely
	The libmediaart dependency was disabled in commit 6a05068624bfa, it
	doesn't make sense to drag this code around.

	docs: Ensure to create the output dir in ttl2sgml

	docs: Remove duplicated code
	Move these functions to ttl_model instead of keeping several
	copies around.

	docs: Remove "see also" section from ontology class documentation
	The link is also included (from the description file, not guessed) in
	the main ontology overview page. That seems sufficient.

	docs: Do not add copyright by default on the ontology doc tool
	Even less that one. The doc tool is not in the position to decide the
	ontology copyright at all.

	docs: Generate documentation for internal ontology in libtracker-sparql

	docs: Unify ontology documentation tools
	Now we have a single tool for the general ontology documentation
	and the per-class/property one.

	docs: Remove dead code
	This is basically unused, we use prefixes from ontology files
	themselves.

	docs: Use xi:include to optionally load ontology explanations
	Less toggles on the doc generation tool, more seamless documentation
	blending. Sounds like win-win.

	docs: Add documentation around creating and maintaining ontologies
	If we now expose that detail to users, it's better to have it
	documented properly.

	libtracker-data: Remove static variable
	Just keep the current journal filename number in the TrackerDBJournal.

	libtracker-fts: Avoid static variables
	Just keep a per-interface table of FTS properties in order to
	calculate weights.

	libtracker-data: Make TrackerDataManager a non singleton
	There can now be multiple instances looking into separate database
	and journal locations. TrackerDataManager has been made an initable
	too, and busy handling has been lifted to a signal, in order to
	reduce the arguments at new() a bit.

	libtracker-data: Remove TrackerDBInterface busy functions
	We can't report progress from updates anyway, it doesn't make sense
	to spam the same state over and over. Just call the busy handler
	directly in the only place it's being used, at the beginning of the
	integrity check.

	libtracker-fts: Remove tracker_fts_init/shutdown functions
	Instead, load the FTS extension in every TrackerDBInterface manually.

	libtracker-fts: Pass TrackerDBInterface through FTS machinery
	It will be useful in order to retrieve the data manager, and the
	TrackerOntologies.

	libtracker-data: Add API to attach user data to TrackerDBInterfaces
	This will be used to attach the data manager.

	libtracker-data: Drop unused function

	libtracker-data: Make tracker-data-update.c a non singleton
	In order to avoid messing much with API, just call it TrackerData
	for consistency, although it's not the best name... The data manager
	will keep one of these around to perform updates on the database.

	libtracker-data: Make TrackerDBManager a non-singleton
	It's turned into a singleton pointer in tracker-data-manager.c atm,
	but now multiple DB managers pointing to different locations are
	possible.

	tracker-miner-fs: Adopt DBManager API to manipulate stamp files
	Those just matter for indexing purposes, so move all management here.
	tracker-extract has just been made to equate SCHED_IDLE_FIRST_INDEX to
	SCHED_ALWAYS.

	libtracker-data: Use flags for ro/use_mutex in TrackerDBInterface
	Caller is now responsible of setting the USE_MUTEX flag, instead of
	having the interface poke the DB manager.

	libtracker-data: Turn tracker ontologies into an object
	And make it a singleton in tracker-data-manager.c at the moment.

	libtracker-common: Make locale readonly
	There's no reasonable situation why we should change this from
	a library. Initialization (and shutdown) was also mostly useless
	as it would just set the same settings that it just retrieved.
	It's been turned into a sanity check for the relevant places.

	libtracker-data: Make journal writers non-singletons
	We keep two separate writers, one for the ontology and another one
	for regular data. The ontology one is just used during database
	initialization and is not expected to survive past
	tracker_data_manager_init(). The second writer will remain in place
	in order to dump user updates.

	libtracker-data: Move journal deletion code to tracker-db-journal.c
	And call it directly from the "tracker reset" subcommand, which seems
	about the only place where this is needed.

	In the future, we should just consider cache/journal directory ours,
	delete those altogether, and avoid these horrible layering breaks.

	libtracker-data: Use data location directly to tracker_data_backup_*()
	Instead of figuring it out from the journal filename.

	libtracker-data: Remove another filename argument in TrackerDBJournal
	Which also makes it use the right data location for it.

	libtracker-data: Make journal reader a non singleton
	We initialize and shutdown it quite selectively, it can be safely
	made a temporary object which is later freed.

	libtracker-data: Demote g_message()s to g_info()
	g_message() is not filtered out by the default glib log handler, and it
	doesn't make sense that we differ in behavior here. Since this is a
	library and many new portions are now exposed to clients, just use
	g_info() for all this logging, which leave stdout clear unless users
	set G_MESSAGES_DEBUG.

	libtracker-common: Remove libmediaart log handler
	libmediaart was split from tracker ages ago.

	libtracker-sparql: Do not modify messages verbosity
	This is a library, G_MESSAGES_DEBUG is just not ours. The TRACKER_VERBOSITY
	envvar still affects all tracker executables, but users will need to manually
	set G_MESSAGES_DEBUG if they want to catch tracker debugging from an app linking
	to it.

	libtracker-bus: Move tracker-store ping call here
	We just need this if we have a bus-based connection at all.

	libtracker-fts: Remove TRACKER_FTS_STOP_WORDS envvar
	If we have to keep one for tests, let it be
	TRACKER_LANGUAGE_STOP_WORDS_DIR, and point to a dummy location
	in the fts tests.

	libtracker-data: Remove TRACKER_PRAGMAS_FILE envvar
	Now that we are exposing databases to apps, it doesn't make sense to offer
	an environment variable that can entirely mangle how tracker behaves for
	these (Nor IMHO made sense back in the days, either).

	Let's just remove this envvar and pretend it never existed.

	tracker-store: Move handling of TRACKER_DB_ONTOLOGIES_DIR envvar here
	It does not make sense at the libtracker-data level, still might make some
	here.

	libtracker-data: Remove filename argument from journal init funcs
	We already pass a GFile with the location, just use the predefined basename
	for these.

	libtracker-data: Use filename based on cachedir for ontologies.gvdb
	Otherwise other database prefixes mess up with the canonical location.

	libtracker-data: Build all journal file locations from the given GFiles
	This is necessary to make the journals ubiquitous, as otherwise we mangle
	the canonical database when opening other ones.

	ontologies: Move nepomuk files into separate directory

	libtracker-data: Require location directories in all internals
	cache/journal/ontology dirs are now mandatory in
	tracker_data_manager_init(), all the upper layers must know what
	database and ontology they are using.

	libtracker-data: Handle backups where journal/cache dirs are the same
	Otherwise the tmp dir would be already created, causing warnings.

	libtracker-sparql: Add tracker_sparql_connection_local_new(_async) methods
	These calls make private sparql databases available to applications.

	libtracker-direct: Allow creating readwrite databases through direct connection
	This will allow creating sparql databases that are private to applications. They
	will be able to get multiple readonly handles, and updates will be handled by
	a single private thread. Pretty much like tracker-store (and the refactor took
	heavy inspiration from it), just sans dbus.

	So far, only the current direct connections (i.e. readonly, pointing to
	~/.cache/tracker) have been replaced.

	libtracker-data: Pass TrackerDBInterface to wal hook
	So there's at least some context to pull the DBManager from, Otherwise
	we're down to DBManager singleton lookups, which might not hold true
	forever.

	libtracker-data: Use GFile for cache/journal arguments
	Deal with those from tracker_data_manager_init() on as GFiles,
	those are still required to be local though. This is more for
	consistency.

	tests: Remove duplicate ontologies in libtracker-data tests
	Now TrackerDataManager can lookup ontologies in a directory, as opposed
	to tests_schemas which could point to specific files. Luckily the ontology
	files were repeated over and over for each test, so it was easy enough to
	compress the ontologies into one per set of tests.

2017-06-28  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Remove test_schemas argument from TrackerDataManager
	This is superfluous now that we can load ontologies from custom places.

	libtracker-data: Take a GFile for ontology location in the data manager
	The other tracker_data_manager_init() arguments taking file paths will
	follow. This fully exposes the ability to load ontologies from resource://
	locations.

	ontologies: Build dc/xsd/rdf/nrl/nao as GResource
	Those ontology files are the tracker core, as the database files' structure
	is modeled around those classes and properties. Include those as a GResource
	so they're guaranteed to be there, all other ontology files are optional
	and must be provided on TrackerDataManager initialization.

	The NAO ontology has been split between the official bits (included in the
	GResource) and the non-official bits (just used by the evolution miner, and
	moved to 90-tracker)

	libtracker-data: Use GFile throughout the TrackerDataManager ontology bits
	Use a GFileEnumerator and GFile to load the ontology files. This makes it
	possible to use other than local paths for these.

	libtracker-data: Make TrackerTurtleReader take GFiles
	Instead of file paths. This is so we can load ontology files
	from resource:// uris. All callers have been changed accordingly.

2017-06-28  Philip Van Hoof  <philip@codeminded.be>

	Domain-ontologies: allow more flexibility on locations. Example:
	/opt/tracker/share# cat tracker/domain-ontologies/test.rule

	[DomainOntology]
	DataLocation=%HOME%/.cache/test/data
	CacheLocation=%HOME%/.cache/test/cache
	OntologyLocation=%SHAREDIR%/tracker/ontologies
	Domain=test
	DBusPath=/test
	OntologyName=test

	Add cache location to db manager and data manager

	Some unique shortcut names

	Allow loading domain ontology from .rule file

	Allow loading domain ontology from .desktop file

	Allow loading domain ontology from .desktop file

	tracker-store: Allow running multiple D-Bus services for domain ontologies

	libtracker-data, tracker-store: domain specific ontologies

	Whitespace fixes

	libtracker-data: tracker-store: Initial infrastructure to support domain specific ontologies

2017-06-28  Carlos Garnacho  <carlosg@gnome.org>

	configure: Bump API version

	autotools: Don't set -Wl,--enable-new-dtags globally
	Just set it in library LDFLAGS, otherwise introspection may
	find the installed libraries before the ones being built, which
	is not the right thing if there are new symbols/types to be looked
	up.

	libtracker-miner: Look up for the gir in the right place on g-ir-compile
	I now wonder how it ever succeeded locally...

	autotools: Fix srcdir!=builddir issues
	The gir should be generated in builddir for real.

	autotools: Build and merge C/Vala girs in libtracker-sparql
	Following the meson changes, build 2 separate static libs, generate
	introspection stuff for those, and put them together in
	src/libtracker-sparql-backend.

	https://bugzilla.gnome.org/show_bug.cgi?id=782091

	libtracker-sparql: Drop needless typedef
	We don't need defining TrackerSparqlBuilder here, and it causes it
	to get picked up twice in C and Vala girs.

	https://bugzilla.gnome.org/show_bug.cgi?id=782091

2017-06-28  Sam Thursfield  <sam@afuera.me.uk>

	Fix missing introspection data for libtracker-sparql (when using Meson)
	Up til now only the Tracker.SparqlConnection and Tracker.SparqlBuilder
	resources were introspectable. This is because we only used the
	introspection output from `valac`, but other bits of libtracker-sparql
	have since been added that are written in C.

	There seems to be no way to generate a single .gir for a combined C and
	Vala codebase, so instead I have written a simple `g-ir-merge` script
	which can combine two different namespaces into a single .gir.

	This is currently tested and working with the Meson build instructions.
	It would be possible to implement this for the Autotools build
	instructions as well.

	https://bugzilla.gnome.org/show_bug.cgi?id=782091

2017-06-24  Sam Thursfield  <sam.thursfield@codethink.co.uk>

	Fixes to Meson build system
	First, instead of using add_global_arguments() we now use a variable
	to set global compiler args. It turns out that add_global_arguments()
	is broken if you ever want to include your project as a subproject of
	something else.

	Second, dependencies weren't being specified correctly. These are
	hopefully now fixed to avoid any more random build failures.

2017-06-23  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Protect sqlite3_bind*() with interface lock
	There may be multiple cursors/db_statements from the same db interface
	being accessed from multiple threads. This must be under the
	TrackerDBInterface lock in order to prevent threading issues.

	https://bugzilla.redhat.com/show_bug.cgi?id=1404285

2017-06-18  Jordi Mas  <jmas@softcatala.org>

	Fix to Catalan translation

	Update Catalan translation

2017-06-08  Sam Thursfield  <sam@afuera.me.uk>

	Remove Maemo/Meego leftovers
	This removes various code paths that we believe to be unused.

	  * The userguides miner has been removed altogether.
	  * The application miner no longer parses MeeGo-style .desktop files
	  * The TRACKER_DISABLE_MEEGOTOUCH_LOCALE environment flag is gone
	    (it already did nothing)
	  * Character set detection with libmeegotouch is removed, only enca
	    or libicu are supported
	  * Meego-specific flags are gone from .desktop files
	  * Functional tests have lost their vestigal Scratchbox and Aegis support

	There are 5 ontologies referencing Maemo, 4 of which are largely unused.
	These have been kept around in case anyone is using them outside
	Tracker.

	https://bugzilla.gnome.org/show_bug.cgi?id=783555

	Remove IDE files that were accidentally committed
	This was my fault, just over a year ago in commit b6c1b5cb638051155

	... sorry!

	Remove obsolete references to the --disable-miner commandline flag

2017-06-06  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Fix typo in last commit
	The decoder is bcmdec, not bmcdec. I managed to mistype it all over the
	place.

2017-06-04  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Blacklist vaapi/bmcdec gstreamer elements
	Remove these from the registry after initialization, the vaapi
	one could just cause undesired output/warnings after seccomp forbid
	it to do something. The bmcdec element is dumber and would just
	crash after shmget() despite trying to refuse it politely with an
	appropriate errno.

	Fixes SIGSYS on shmget() from gstreamer1-plugin-crystalhd if it
	happens to be installed and a video file is indexed. The blacklisting
	code has been lifted from totem-video-thumbnailer.

2017-05-28  Марко Костић  <marko.m.kostic@gmail.com>

	Update Serbian translation
	(cherry picked from commit bdba71e0313b91ca7d5eea275bd1d559527302c8)

2017-05-23  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.13.0

	distcheck fixes
	Hopefully among the last ones!

2017-05-22  Sam Thursfield  <sam@afuera.me.uk>

	Distribute meson.build files in tarballs generated by Autotools
	This is useful for people who are not building from Git but still want
	to avoid Autotools.

	See: https://mail.gnome.org/archives/desktop-devel-list/2017-April/msg00091.html

2017-05-22  Sam Thursfield  <ssssam@gmail.com>

	Meson build instructions for Tracker
	See <http://mesonbuild.com/> for information about Meson.

	Remaining issues:

	  * There's no `make dist` equivalent. We currently produce release
	    tarballs containing the output files of the Vala compiler. We need
	    to think through whether we can stop doing that. Shipping the
	    generated .c files does make the Vala preprocessor useless so
	    it would be good if we can stop.

	  * The Firefox, Thunderbird, Evolution and Nautilus plugins are not
	    built

	  * https://github.com/mesonbuild/meson/issues/671 -- means we can't
	    depend on tracker_common_dep in most places and have to manually
	    set link_with, include_directories and sources instead.

	  * https://github.com/mesonbuild/meson/issues/1469 -- without this we
	    have to install generated Vala headers using a script

	  * https://github.com/mesonbuild/meson/issues/1229 -- means adding
	    the #include guard to libtracker-sparql/tracker-generated-no-checks.h
	    is a pain

	  * The test suite has some spurious failures.

	Here's a rough speed comparison.

	Meson:
	        time sh -c 'meson .. --prefix=/opt/tracker-meson -D bash_completion=/opt/tracker-meson/share/bash-completion -Dsystemd_user_services=/opt/tracker-meson/lib/systemd/user -Ddbus_services=/opt/tracker-meson/share/dbus-1/services && ninja-build -j 4 && ninja-build install'

	        real  1m8.194s
	        user  2m16.962s
	        sys   0m20.532s

	Autotools:
	        time sh -c './configure --prefix=/opt/tracker-autotools --with-bash-completion-dir=/opt/tracker-autotools/share/bash-completion --with-session-bus-services-dir=/opt/tracker-autotools/share/dbus-1/services --disable-nautilus-extension && make -j 4 && make install'

	        real  2m37.750s
	        user  4m37.214s
	        sys   0m54.806s

	        Plus 30+ seconds of ./autogen.sh first.

	Note that Meson builds may fail if your source tree has generated files
	from an Autotools build in there. If you see errors about duplicate
	definitions, first try cleaning your source tree (use `git clean -dfx`,
	but make sure you commit any work first!!)

2017-05-11  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Whitelist openat()
	With the same caveats than open().

	https://bugzilla.gnome.org/show_bug.cgi?id=782514

2017-05-03  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation

2017-05-03  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Fix further introspection mistakes
	The gir-scanner doesn't actually run for these files at the moment
	(see bug#782091) which is why the mistakes didn't get caught until now.

2017-04-16  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Shuffle refcount handling when queueing back a file
	The file might or might not be inserted to the queue, which meant that
	the extra ref created outside the call might never dropped if the file
	didn't end up inserted again. Fix this by doing the refcount increase
	when actually inserting the file back in the queue.

	Reported by Jose M. Arroyo <jose.m.arroyo.se@gmail.com>.

2017-04-12  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Fix introspection mistakes
	The gir-scanner doesn't actually run for these files at the moment, so
	the mistakes didn't get caught until now.

2017-04-07  Stas Solovey  <whats_up@tut.by>

	Update Russian translation
	(cherry picked from commit 267eec992f033b9e7c71a2ab6370828a8c9afe4c)

2017-04-06  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql: Add osinfo ontology to the default TrackerNamespace
	Otherwise namespace lookups will come out NULL.

	https://bugzilla.gnome.org/show_bug.cgi?id=780968

2017-03-30  Sam Thursfield  <sam@afuera.me.uk>

	Remove unused Vala dep

	Fix another printf format for gsize, it varies between 32/64 bit

2017-03-29  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation
	(cherry picked from commit 922c213a52859c6ee0a2b9f3f4dee6f5104bfaa7)

2017-03-21  Sam Thursfield  <sam@afuera.me.uk>

	tracker-needle: Fix compile warning

	libtracker-sparql: Use correct printf format specifiers for gint64
	Sadly the correct format is different on 32bit and 64bit systems so we
	have to use the unweildy G_GINT64_FORMAT macro.

2017-03-20  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.12.0

2017-03-18  Rūdolfs Mazurs  <rudolfsm@src.gnome.org>

	Update Latvian translation

2017-03-14  Kukuh Syafaat  <syafaatkukuh@gmail.com>

	Update Indonesian translation

2017-03-13  Milo Casagrande  <milo@ubuntu.com>

	Update Italian translation

2017-03-11  Sam Thursfield  <sam@afuera.me.uk>

	tracker-extract: Fix warning in TIFF extractor
	This uses code from libtracker-common, so it needs to include the
	header.

	tracker-preferences: Fix compile warning
	    ../src/tracker-preferences/tracker-preferences.vala:27.1-27.33: warning: the modifier `static' is not applicable to constants
	    extern static const string UIDIR;
	    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

	Use conditional to work around gtk+-3.0.vapi breakage
	Commit 53007652ce1ed3cf350ec042b310606e0115377a breaks the build with
	versions of Vala older than 0.35.6. It's more convenient for people
	building Tracker if we use a #if block instead to allow building with
	older stable versions Vala.

	Avoid crash in ttlresource2sgml.c on invalid output path

	Silence the ttl_loader.c script by default
	It clutters the build output when using Meson, and doesn't really
	add much of use in any case.

	tracker-extract: Remove unused #include

	Remove some unused Makefile variables and compile flags

2017-03-04  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translation

2017-03-04  Seong-ho Cho  <shcho@gnome.org>

	Update Korean translation

2017-03-02  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2017-02-28  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.11.4

	tracker-extract: Cache TrackerConfig::max-bytes
	This is the only setting read from extractor modules. It turns out
	that under the right circumstances a g_settings_get_value() call
	can trigger open() calls with readwrite permissions from the caller
	thread. This is forbidden in extractor threads and triggers warnings
	like:

	dconf-CRITICAL **: unable to create file '/run/user/1000/dconf/user':
	Permission denied.  dconf will not work properly.

	Also, since this setting is meaningless to update during tracker-extract
	lifetime, just drop the g_settings_bind() call, this means the setting
	is only read once on startup.

	https://bugzilla.gnome.org/show_bug.cgi?id=779342

	tracker-needle: Fix build with up-to-date gtk+ vapi
	The GtkListStore remove method now takes a ref TreeIter.

	tracker-preferences: Fix build with up-to-date gtk+ vapi
	The GtkListStore remove method now takes a ref TreeIter.

	tracker-extract: Avoid allocating full image in memory at once
	Just read it line by line reusing the same buffer, it will still
	let us to fetch metadata at the end of the file.

	https://bugzilla.gnome.org/show_bug.cgi?id=778090

2017-02-28  Mario Blättermann  <mario.blaettermann@gmail.com>

	Update German translation

2017-02-27  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	Update Chinese (Taiwan) translation

2017-02-26  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2017-02-26  Fran Dieguez  <fran@openhost.es>

	Updated Galician translations

2017-02-24  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Use memory temp store for readonly connections
	It seems a bit harsh that fts queries on readonly interfaces fail
	if / is full because a tmp file for the fts view couldn't be created.
	Let readonly clients fully operate on memory for these cases.

	tracker-store: Create our own error if cancelled
	No functional change, but fixes coverity warning about
	g_cancellable_set_error_if_cancelled() return value being unchecked,
	as vala would just check the returned error pointer.

	Coverity ID: 1298211

	libtracker-common: Be more lenient with dup2/dup3
	And allow these to manipulate stdin/out/err. They may close file
	descriptors, but they don't grant access to anything the process
	wouldn't have already access for, anyway.

	libtracker-data: Clear possible error
	The same GError may be reused further ahead, which would doubly free
	it as it gets non-NULL again to error handling paths.

2017-02-23  Sam Thursfield  <sam@afuera.me.uk>

	Fix pointer signedness warnings
	It's a bit ugly that GLib string functions take signed chars and
	SQLite'3 string functions return unsigned chars. We could disable
	that warning instead but maybe it's useful in some other places.

	Remove superfluous struct initializer

	Remove some unused variables

2017-02-22  Claude Paroz  <claude@2xlibre.net>

	Updated French translation

2017-02-19  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation.

2017-02-18  Jiri Grönroos  <jiri.gronroos@iki.fi>

	Update Finnish translation

2017-02-18  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Update Swedish translation

2017-02-16  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2017-02-13  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Update Basque language

2017-02-06  Sam Thursfield  <sam@afuera.me.uk>

	configure.ac: Remove obsolete bits for 'external' media handler
	There's no code to actually implement this nowadays, the configure.ac
	stuff is a relic.

2017-02-05  Philip Withnall  <withnall@endlessm.com>

	tracker-extract: Clarify untrusted value checks
	When validating the values of csize and tsize (as they are read from a
	potentially untrusted MP3 file), put them as the left-hand operand in
	the comparison by themselves, without adding anything which:
	 • confuses Coverity;
	 • potentially overflows.

	Coverity ID: 1399652

	https://bugzilla.gnome.org/show_bug.cgi?id=778206

	tracker-extract: Clarify a magic number
	Looks like this is the value of the header and frame sizes.

	https://bugzilla.gnome.org/show_bug.cgi?id=778206

2017-02-04  Sam Thursfield  <sam@afuera.me.uk>

	Don't store path to the source tree in binaries
	The tracker-needle & tracker-preferences tools had a developer
	convenience that would hardcode the path to the source tree into the
	binaries, so that while developing you could edit the .ui files without
	having to rerun `make install` afterwards.

	It's not good to enable this sort of thing in non-debug binaries, and
	also it prevents the binaries from being bit-for-bit reproducible.

	This problem was detected by the Debian reproducible builds CI system:

	   https://tests.reproducible-builds.org/tracker

2017-01-31  Debarshi Ray  <debarshir@gnome.org>

	tracker-extract-png: Insert "nfo:image-category-screenshot" as a URI
	This is not a string, but a builtin class, so it must be dealt with as
	a URI.

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

2017-01-30  Carlos Garnacho  <carlosg@gnome.org>

	examples: Check tracker_sparql_cursor_next() return value.
	Coverity ID: 1188420

	examples: Drop unneeded g_object_unref() call
	Another one.

	Coverity ID: 1188470

	libtracker-extract: Remove initialize arg from load_module()
	It's now TRUE from all call points, so just make it happen by
	default.

	libtracker-extract: Remove dead code
	These functions are now unused, and libtracker-extract is private
	to Tracker. So these functions can be just removed.

	tracker-extract: Take gstreamer initialization to plugin init phase
	The gst_init() call may end up rebuilding the registry, so should be
	happening outside the sandbox.

	tracker-extract: Ensure extract modules are initialized on startup
	This takes module initialization out of the sandbox. Modules are
	trusted bits of code, so only the extract function must be taken
	as untrusted.

	tracker-extract: Add helpers to retrieve BE uints/sizes from MP3 ID3 tags
	The current code pretty much seems to assume that the host byte order
	is little endian, as multibyte data contained in ID3 frames is BE and
	byte swapping is performed. Add helpers that do care to translate that
	to the host memory order.

2017-01-29  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Check size specified in id3v2.0/2.3/2.4 frames
	It might be conceivably used to read past mmap()ped memory boundaries
	given the right conditions. Bailing out early avoids that.

	Coverity ID: 1298199 (Tentative fix)

2017-01-28  Carlos Garnacho  <carlosg@gnome.org>

	examples: Check for NULL cursors in class-signal example
	It is unlikely to receive errors on queries there, but still this is an
	example, so better be correct there.

	Coverity ID: 1188420

	libtracker-data: Make tracker_ontology_[write|load]_gvdb return a boolean
	Those return a GError already, so returning a boolean too sounds consistent
	with GLib APIs. Coincidentally fixes an "Unchecked return value" Coverity
	warning with gvdb_table_write_contents(), we now do propagate it.

	Coverity ID: 1188424

	examples: Drop unneeded g_object_unref() call
	The cursor will be NULL in the error paths, no need to try to unref it.

	Coverity ID: 1188470

	libtracker-data: Remove graph_id argument from resource_buffer_switch()
	It is unused. The graph argument is important though, because we ensure
	a resource ID is created for it if it doesn't exist yet.

	Coverity ID: 1188466

	libtracker-fts: Clarify code flow
	The xInst function pointer can't return a <0 column here, so in practical
	effects an offsets array is ensured to be created on the first iteration.
	It might not seem like that to the keen eye, nor Coverity.

	Coverity ID: 1388715

	docs: Make error message actually useful
	It's an error, not a stroke.

2017-01-28  Piotr Drąg  <piotrdrag@gmail.com>

	Fix translator comments
	They need to be exactly one line above a string to show up in .po files.

2017-01-27  Carlos Garnacho  <carlosg@gnome.org>

	Revert "tracker-extract, png: Fix DLNA profiles"
	This reverts commit 89baaa45a70e5d50462bbd4e5b89dbb2c221e701.

	The reasons to classify all pngs as PNG_LRG went away with the maemo
	bugzilla. The reason isn't clear and seems to go against the DNLA spec
	(at least, how gupnp-dlna understands it, which Tracker took inspiration
	from). This commit also made the if (profile)... check below useless,
	which raised warnings in Coverity.

	Coverity ID: 1298205

	https://bugzilla.gnome.org/show_bug.cgi?id=777819

2017-01-25  Philip Withnall  <philip@tecnocode.co.uk>

	libtracker-miner: Fix use of an uninitialised variable
	In the error path, finish_current_directory() was called on `notifier`
	before it had been initialised.

	Coverity CID: 1397952

	https://bugzilla.gnome.org/show_bug.cgi?id=777725

2017-01-24  Carlos Garnacho  <carlosg@gnome.org>

	utils: drop "--pkg gee-0.8"
	This is unneeded now.

	utils: Drop libgee dependency
	It's only used on the tracker-resdump helper, and can be easily
	replaced with the GLib counterparts.

2017-01-23  Philip Withnall  <withnall@endlessm.com>

	tracker-seccomp: Check syscall availability at runtime not compile time
	This makes our seccomp() protection independent of the exact kernel
	version Tracker is built against.

	https://bugzilla.gnome.org/show_bug.cgi?id=777591

	tracker-seccomp: Rewrap macros to make them clearer
	This introduces no functional changes.

	https://bugzilla.gnome.org/show_bug.cgi?id=777591

2017-01-22  Philip Withnall  <philip@tecnocode.co.uk>

	tracker-seccomp: Add checks for mlock2() and getrandom() syscalls
	On older kernels, these syscalls did not exist, so the __NR_* syscall
	number definition does not exist for them, and compilation fails. Make
	the seccomp rules for them conditional on the syscall numbers existing.

	https://bugzilla.gnome.org/show_bug.cgi?id=777591

2017-01-20  Piotr Drąg  <piotrdrag@gmail.com>

	Update Polish translation

2017-01-20  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Fix bad serialization of date/time values
	TrackerResource was creating bad SPARQL & Turtle from GDateTime values.

	If you saw this...

	    GDBus.Error:org.freedesktop.Tracker1.SparqlError.Type: Not a ISO
	    8601 date string. Allowed form is [-]CCYY-MM-DDThh:mm:ss[Z|(+|-)hh:mm]

	...it's because in the arguments for g_date_time_format() I confused %S
	(seconds since the last minute) with %s (seconds since 1st January
	1970). That's a lot of extra seconds.

	libtracker-sparql: Remove some unused variables from tracker-resource.c

2017-01-19  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Whitelist waitid/waitpid/wait4
	https://bugzilla.gnome.org/show_bug.cgi?id=776117

	libtracker-common: Whitelist getpid() syscall
	https://bugzilla.gnome.org/show_bug.cgi?id=776117

2017-01-18  Dušan Kazik  <prescott66@gmail.com>

	Update Slovak translation

2017-01-18  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.11.3

2017-01-16  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql: Print resources referenced in cardinality>1 properties
	Those were not being printed, just referenced in the parent resource.
	Fixes properties like slo:location being lost on newly indexed photos.

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

	tracker-extract: Insert nfo:orientation as a resource
	This is not an string, but a builtin class, so it must be dealt
	with as a resource.

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

	tracker-extract: Insert nmm:whiteBalance as a resource
	This is not an string, but a builtin class, so it must be dealt
	with as a resource.

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

	tracker-extract: Insert nmm:meteringMode as a resource
	This is not an string, but a builtin class, so it must be dealt
	with as a resource.

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

	tracker-extract: Insert nmm:flash as a Resource
	This is not an string, but a builtin class, so it must be dealt
	with as a resource.

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

	libtracker-sparql: Fix sparql/turtle generation of builtin classes
	We don't need to generate sparql/turtle for builtin classes
	(eg. nmm:flash-on).

	https://bugzilla.gnome.org/show_bug.cgi?id=776723

	libtracker-miner: Fully stop TrackerFileNotifier operations on errors
	It oddly tried to just keep going, which may result in spurious deletes
	or partial inserts. Sounds better to just drop the ball on the directory
	at hand, it should be correctly indexed eventually.

	libtracker-miner: Fix mem/fd leaks on TrackerCrawler cancellation
	On cancellation, the early return would leak the DataProviderData, which
	indirectly contains the GFileEnumerator, and thus the directory fd. Just
	deal with cancellation like we do with other errors, except we don't want
	to warn.

	libtracker-data: Plug unlikely mem/fd leak
	If we fail to set the DB pragmas, the TrackerDBInterface would
	be leaked altogether.

	tracker-miner-fs: Use correct graph when inserting tracker:Volumes
	The volume URN is not meant to be the graph URN, use the tracker-miner-fs
	graph instead.

2017-01-12  Rafael Fontenelle  <rafaelff@gnome.org>

	Update Brazilian Portuguese translation

2016-12-22  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2016-12-22  Carlos Garnacho  <carlosg@gnome.org>

	configure: Make libseccomp only mandatory on linux
	If other unices want a similar level of protection, additional
	implementations should be added. In the mean time, it's just
	harsh to make tracker impossible to compile there.

	https://bugzilla.gnome.org/show_bug.cgi?id=764786

2016-12-21  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Allow querying process stats/limits
	Modifying those is not allowed though.

	https://bugzilla.gnome.org/show_bug.cgi?id=776117

	libtracker-common: Handle mlock*/munlock* syscalls
	Disallow pinning memory on RAM, but make it softly fail with EPERM.

	https://bugzilla.gnome.org/show_bug.cgi?id=776117

2016-12-17  Carlos Garnacho  <carlosg@gnome.org>

	configure: Disable libmediaart dependency
	Hopefully just temporarily. At the very least the processing
	should be taken out of the extractor threads, as it requires
	file operations that are not allowed there.

	In the worst case, we must reconsider this dependency, as it
	might become a window of opportunity to writing on the filesystem,
	even if on a very specific folder.

	libtracker-common: Whitelist umask
	Let's give extractor modules the illusion that they can write
	something, they actually can't.

	libtracker-common: Whitelist dup/dup2/dup3
	dup2/3 have special requirements, as they can close underlying
	fds, they are not allowed on stdin/out/err.

	libtracker-common: Whitelist gettimeofday() syscall
	https://bugzilla.gnome.org/show_bug.cgi?id=776117

2016-12-16  Carlos Garnacho  <carlosg@gnome.org>

	tracker-miner-fs: Hook name acquired handler properly
	In the right circumstances it might cause tracker-miner-fs to
	miss tracker-extract disappearing the first time, which might
	lead to it not being re-activated as expected.

	libtracker-common: Whitelist clock_gettime/getres
	Reported to trigger false positives on Ubuntu.

2016-12-15  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Whitelist more syscalls used on non-x86_64 arches
	These ones were spotted after compiling Tracker on i686.

	https://bugzilla.gnome.org/show_bug.cgi?id=776117

	libtracker-common: Whitelist *64() stat/getdents syscalls
	Those variants may end up called depending on architecture and other
	factors, there's no reason for those to be blacklisted.

	https://bugzilla.gnome.org/show_bug.cgi?id=776117

2016-12-14  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Check error on posix_fadvise() calls.

	libtracker-common: Check error on posix_fadvise() call

	tracker: Check error on tracker_sparql_cursor_next() call
	And make it clear we poke the GError contents if there is one,
	although next() isn't really expected to fail on a "SELECT
	COUNT..." query.

	tracker-extract: Don't pass known-NULL pointer in PNG error paths
	The info_ptr is checked to be NULL, no need to pass it to the
	png_destroy_read_struct() function. Spotted through a false "c&p
	mistake" report from Coverity further down, in the error paths
	where info_ptr is actually non-NULL and needs freeing.

	tracker-extract: Fix c&p issue in ico extractor
	Turns out we returned the icon width as the height, which
	went unnoticed since icons are most usually square.

	tracker-extract: Silence Coverity warning
	The return value of g_file_load_contents() is not used. We checked
	the returned error instead so the code is equivalent, but directly
	checking the return value seems more readable.

	libtracker-miner: Add missing return after switch() case
	The QUEUE_UPDATED elements where being additionally checked against
	the QUEUE_WRITEBACK queue. This was harmless, but potentially confusing.
	Spotted through Coverity.

	libtracker-extract: Remove unneeded NULL check
	The module_info variable is ensured to be non-NULL at this point.

	libtracker-data: Check g_rename() return value
	And error out properly if it fails.

	libtracker-data: Check g_input_stream_read() return value
	And error out if it fails.

	libtracker-data: Check g_mkdir return value
	And error out if it failed.

	libtracker-common: Remove dead code
	We made the compiler happy, but made Coverity unhappy about the
	unreachable branch.

	libtracker-common: Avoid unneeded NULL check
	The tokens variable is ensured to be non-NULL here, no need to
	check it.

	libtracker-common: Fix c&p issue
	We must remove and iterate to the next element on l2, the l1 path
	is performed in the if(){} path. Spotted through Coverity.

	tracker-extract: Skip useless function call in msoffice extractor
	Spotted by Coverity.

2016-12-13  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Plug FD leak in GIF extractor

	libtracker-data: Improve error checks on REPLACE implementation

2016-12-08  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.11.2

	tracker-miner-fs: Watch after tracker-extract process
	Ensure it's restarted after going away (eg. due to unintended
	crashes), the extractor will eventually skip over the file and
	keep going.

	configure: Make seccomp support mandatory
	This is something we can do on master, older stable releases will
	have to stick to optional support.

	tracker-extract: Sandbox extractor threads through seccomp
	Those deal with plugins and potentially malicious content, make it
	sure that any potential exploit is deprived of all tools that could
	make it harmful.

	https://bugzilla.gnome.org/show_bug.cgi?id=764786

	libtracker-common: Implement sandboxing through libseccomp
	The threads calling the new tracker_seccomp_init() function, and all
	threads/processes spawned from these, will enter a restricted mode
	where only a few sensible syscalls are allowed, and more specifically,
	filesystem/socket access are restricted to being respectively
	readonly and local only.

	https://bugzilla.gnome.org/show_bug.cgi?id=764786

	libtracker-extract: Ditch ThreadAwareness module configuration toggle
	It's basically unused, just use a private thread per-module so they're
	easier to isolate.

	https://bugzilla.gnome.org/show_bug.cgi?id=764786

	tracker-miner-fs: Remove G_ADD_PRIVATE update leftover
	We still tried to add the same private struct through the old
	means on tracker_writeback_listener_class_init(), which would
	raise a warning.

	libtracker-sparql: Remove comment
	It doesn't really apply. The DELETE DATA { pattern } query requires
	the exact given triples, and won't work on variables. As it's not
	nice or possible to query the current values just to perform a better
	looking DELETE DATA {} query, just stick to the DELETE {} WHERE {}
	one, and don't insinuate that we have a better option.

	tracker-extract: Fix possible runtime warnings in GStreamer extractor
	We don't NULL-check the GST_TAG_DATE_TIME tag content.

	tracker-extract: Initialize variable in EPUB extractor
	Warning introduced when trying to fix mem leaks.

	libtracker-miner: Process writeback events one by one
	The idle function could result in an unrestricted number of
	writeback events performing queries simultaneously, which may
	result in more CPU spent than desirable.

	So serialize the whole thing, split the GVariant into multiple
	events that get queued and processed one by one, only when one
	event has been fully processed the next will be processed.

	This reopens the question of what to do with writeback events
	at finalize time though. Those now will be freed instead of
	silently ignored after we break the main loop.

2016-11-28  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Use G_ADD_PRIVATE in TrackerWritebackListener

	libtracker-sparql: Add some braces around statement
	Multiline statements get braces around.

	tracker-extract: Plug leaks in MP3 extractor
	The album artist TrackerResource has been somewhat shuffled so it's
	just declared where needed.

	tracker-extract: Plug leaks in GStreamer extractor
	Some generated URIs being leaked.

	tracker-extract: Plug leak in GIF extractor
	In case of error the frame data would be leaked.

	tracker-extract: Plug leaks in EPUB extractor
	Introduced during the TrackerResource work.

	libtracker-sparql: Plug TrackerResource leaks
	The context is reused, so the list must be freed again after the
	second use.

	libtracker-sparql: Plug TrackerNotifier leak
	The GString used to build the query is being leaked.

	libtracker-miner: Plug leak
	This is a char**, we must free the array and the strings.

	libtracker-miner: Plug leak
	If the cursor returns no items, it would be leaked.

	libtracker-extract: Plug leak
	The TrackerResource was being leaked.

	libtracker-data: Preserve resulting TrackerDBInterface on initialization
	This interface is currently leaked if the data manager if the
	TRACKER_DB_MANAGER_READONLY flag is not present. Since we use per-thread
	interfaces, keep the interface for this running thread.

	libtracker-data: Keep interface ref during close()
	The cursor may tear down the last interface instance, which
	leads to invalid writes when poking its memory during unlock.

2016-11-27  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Add missing unlock call
	If the sqlite3_stmt fails to be compiled, we would return without
	releasing the TrackerDBInterface mutex, not good.

2016-11-23  Balázs Meskó  <meskobalazs@gmail.com>

	Update Hungarian translation

2016-11-21  Sam Thursfield  <sam@afuera.me.uk>

	tests: Fix tracker-encoding-test when libicu charset detection is used
	I'm not sure this test is actually useful for anything, maybe we should
	just delete it...

	functional-tests: The test runner exits with correct error codes now

	tests: Remove some unused code and compile flags

	tests: Fix invalid call to tracker_getline in libtracker-extract test
	The test passes when used with glibc's getline(), but the fallback
	implementation we ship will return EINVAL if the size pointer is not set
	to zero before the call. The man page suggests that this is valid
	behaviour for a getline() implementation, so let's fix the test.

	examples: Update example FS miner to current API
	The code didn't work at all due to API changes in libtracker-miner.

2016-11-21  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.11.1
	The brown paper bag release that 1.11.0.1 was meant to be, because FML.

	Release 1.11.0.1
	For real, modify configure.ac

	Release 1.11.0.1

	Revert "libtracker-data: Wrap BIND argument with () in SQL"
	This reverts commit 8fc47cfed03030e5377bc7989e5afd24e9b24c5b.

	Too easy to be true, it breaks other legit situations.

	Release 1.11.0

	libtracker-data: Wrap BIND argument with () in SQL
	Constructing the query as "SELECT $bind * FROM (...)" may trigger
	sqlite parser overflows if the BIND form turns out to be too complex,
	Doing the query as "SELECT ($bind) * FROM (...)" seems to be more
	friendly to the parser.

	This error was seen in gnome-music search, where the BIND() argument
	is something like:

	BIND((IF(STRSTARTS(?title_lower, "the "), SUBSTR(?title_lower, 5),
	         IF(STRSTARTS(?title_lower, "a "), SUBSTR(?title_lower, 3),
	            IF(STRSTARTS(?title_lower, "an "), SUBSTR(?title_lower, 4),
	               fn:replace(fn:lower-case(?title_lower),
	                          "^[ !\"#$%&'()*+,-./:;<=>?@[\\]^_`{|}~]+|[ !\"#$%&'()*+,-./:;<=>?@[\\]^_`{|}~]+$", "")
	              )
	           )
	        )
	     ) AS ?title_collation)

	Which, despite the fn:replace regex argument being passed as a host
	parameter, seemed too much to sqlite.

	libtracker-sparql: Distcheck fix

2016-11-21  Marek Cernocky  <marek_cernocky@conel.cz>

	Updated Czech translation

2016-11-20  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql: Use internal headers
	That's not guaranteed to be there yet at compile time, so it
	randomly breaks build.

	libtracker-miner: Use TrackerNotifier on TrackerDecorator
	Remove the GraphUpdated handler in favor of TrackerNotifier,
	it's been made to be a good fit here, and the porting results
	in a nice code removal.

	Given that the RDF types list is readwrite in TrackerDecorator,
	but construct-only in TrackerNotifier, this means we need to
	cater for changes in the RDF types list, just by creating another
	TrackerNotifier and dropping the older one.

	https://bugzilla.gnome.org/show_bug.cgi?id=773028

	libtracker-sparql: Add TrackerNotifier to subscribe to change notifications
	This object abstracts GraphUpdated, and is now the recommended method
	to receive notifications upon changes in Tracker data. After creation,
	the caller may connect to the ::events signal. This signal packs all
	events received in one go, so as to avoid signal emission overhead on
	mass changes.

	The TrackerNotifier behavior can be slightly modified through the
	flags passed during instantiation. Eg. it can be requested to query
	some data (urn, location) upfront, although the API is tracker:id centric
	otherwise.

	https://bugzilla.gnome.org/show_bug.cgi?id=773028

	tracker: Add remote connection support to "tracker sparql" CLI tool
	The -r/--remote switch can be used to specify the base url to be used
	in queries.

	https://bugzilla.gnome.org/show_bug.cgi?id=773031

	libtracker-remote: Add support for application/sparql-results+xml
	As specified in https://www.w3.org/TR/rdf-sparql-XMLres/. This cursor
	implementation is able to read the XML expected under that content
	type.

	https://bugzilla.gnome.org/show_bug.cgi?id=773031

	Add libtracker-remote
	This is yet another libtracker-sparql backend to connect to remote
	HTTP SPARQL endpoints. Connections are made explicitly through the
	tracker_sparql_connection_remote_new() API call, passing a server
	to connect to. This commit introduces support for
	application/sparql-results+json as specified in
	https://www.w3.org/TR/sparql11-results-json/. XML format will be
	handled next.

	Just readonly queries are supported, and provided there's no
	authentication schemes.

	https://bugzilla.gnome.org/show_bug.cgi?id=773031

	tracker: Fix "tracker sql -f"
	It was doing nothing, missing the actual execution of the query.

	libtracker-fts: Ensure a sqlite3_stmt is finalized on FTS5 failure paths
	It is an error condition if no FTS5 API is found, it's no excuse to leave
	the sqlite3_stmt unfinalized though.

	libtracker-data: Add explicit calls to grab/release an stmt
	An stmt can just be grabbed once at a time, and will ref both
	the stmt and its DB interface for as long as the stmt is grabbed.
	After releasing both refs will be dropped (and stmt_is_used set
	back to FALSE), so it will be ensured that a database connection
	lives as long as there are active cursors grabbing an statement.

	libtracker-data: Remove global interface
	We no longer need to restrict to a single TrackerDBInterface for the
	direct connection use. This also allows to maximize the throughput
	in clients performing multiple simultaneous async queries, as we're
	going from using a single TrackerDBInterface to satisfy all requests
	(with the locking overhead this involves) to using multiple database
	connections that can run different concurrent queries each.

	This (and the last commits) translates to faster concurrent access,
	which evolves close to linearly under much higher loads, instead of
	exponentially. It is expected though that O(n^m) happens again if
	the number of operations vastly exceed the number of interfaces
	serving requests, but that's much farther.

	As an example, the numbers when running multiple concurrent queries
	for "SELECT ?u WHERE { ?u a rdfs:Resource }" (returning 12897
	elements each in this computer) progress like this on an otherwise
	idle session:

	Simul. Queries	With		Without
	5		    0,399s	    0,437s
	10		    0,700s	    0,842s
	50		    3,621s	    4,285s
	100		    7,315s	    8,956s
	500		   36,012s	1m 24,952s
	1000		1m 16,355s      8m 33,880s

	So as expected the numbers really shine when the thread contention
	is most noticeable, and quite close to linearly (eg. in the "with"
	column, every row is roughly 10x higher than the one corresponding
	to simultaneous queries/10)

	libtracker-data: Remove TrackerDBManager locking functions
	The TrackerDBManager mutex is used nowhere now, it's safe to
	remove.

	libtracker-direct: Replace TrackerDBManager lock usage with private one
	We need to lock here not because of the TrackerDBInterface, but because
	of other misc things needed at the time of constructing the SQL query
	(like TrackerOntologies, which constructs data on demand from the gvdb,
	this can't work across multiple threads).

	But we don't need to use the TrackerDBManager lock, it can be just
	a private one, and we remove another usage of this global lock.

	libtracker-data: Protect stmt creation with the TrackerDBInterface mutex
	Creating the sqlite3_stmt counts as "accessing the database handle", so
	make it sure they're also protected by the TrackerDBInterface mutex.

	libtracker-data: Use internal mutex in TrackerDBInterfaceSqlite
	There is no reason to use a global mutex for multiple TrackerDBInterfaces,
	the threading restriction in sqlite is "no multiple threads using the same
	sqlite3* at the same time" (being cursor included "using" there). This
	means we must restrict simultaneous threaded access to a single
	TrackerDBInterface, but multiple threads are free to use a
	TrackerDBInterface each without further interference.

	So, use a per-TrackerDBInterface mutex instead of a global one, if multiple
	cursors are created on the same interface, they'll backreference to it, so
	will be blocking on the same mutex.

	libtracker-data: Remove threadsafe argument
	This was only ever used to make libtracker-direct use protected
	cursors, which is now set by the TRACKER_DB_MANAGER_ENABLE_MUTEXES
	flag, so avoid passing this all along.

	libtracker-data: Add ENABLE_MUTEXES TrackerDBManager initialization flag

	libtracker-direct: Drop mutex around TrackerDBManager initialization
	It doesn't need to care about this anymore, TrackerDBManager uses an
	internal mutex.

	libtracker-data: Use internal mutex for TrackerDBManager (de)init
	There's no reason to handle locking externally, and this is not a frequent
	enough operation to care about thread contention times in eg.
	tracker-store, so just add an internal mutex protecting initialization.

	libtracker-data: Pass "readonly" argument to TrackerDBInterface constructor
	Instead of having two almost identical call stacks to obtain rw/ro
	interfaces, put it all together in one with a readonly argument.

	libtracker-data: Rename confusing TrackerDBStatement field
	Now that the TrackerDBStatement is a GInitiallyUnowned, the
	stmt_is_sunk boolean field is somewhat confusing. It is used
	to keep track of the stmts being currently in use by a
	TrackerDBCursor, renaming it to stmt_is_used seems more obvious.

	libtracker-data: Make TrackerDBStatement a GInitiallyUnowned
	We actually deal with it as if it were (cached stmts have one ref
	owned by the cache, and one by the caller. non-cached has just one
	reference).

	So make TrackerDBStatement actually an unowned type, and
	g_object_ref_sink() in both places, if the stmt is cached the
	ref will be sunk by the cache, and an extra ref added for the
	caller, and if non-cached the only sunk reference will be the
	callers'.

	libtracker-data: Refactor LRU sqlite3_stmt management
	There's 3 independent operations we do on it: lookup, insert, and
	move to top. These have been moved to separate functions (although
	the code is mostly as-is).

	libtracker-data: Refactor sqlite3_stmt preparation
	Add a helper function, and use it in the two places preparing
	the statement and checking for errors.

	libtracker-data: Cleanup function initialization
	We create enough functions to make it worth putting those in
	an array, so they can be nicely categorized too.

	libtracker-data: Remove unused field

	libtracker-data: Delete collation/locale change mechanisms
	Those are entirely unused, we support no live locale nor collation
	changes. The n_active_cursors field is now unused, although it's
	been left as it's useful to keep track of the amount of active
	statements/cursors in an interface.

	libtracker-data: Remove sqlite3_stmt argument
	It's already contained in the TrackerDBStatement for all callers,
	and it makes no sense passing other sqlite3_stmt than the one
	there.

	libtracker-data: Indentation fix

	tracker-extract: Drop string constness
	This string is actually copied and freed, so definitely not const.

	tracker-extract: Remove unused variable

	tracker: Avoid deprecated GSettings API
	And use GSettingsSchema/GSettingsSchemaSource. This code is still
	disgusting.

	libtracker-sparql-backend: Make methods possibly throw GLib.Error
	It was missing according to the valac warnings.

	tracker-extract: Deep copy GstToc
	According to gst_discoverer_info_get_toc(), it must be deep copied
	if you want to use it past the discoverer info lifetime.

	libtracker-extract: Pass the right struct pointer
	Confusion between TrackerExtractInfo and TrackerDecoratorInfo, might
	induce crashes.

	libtracker-miner: Handle extra GFileMonitorEvent values
	We don't use G_FILE_MONITOR_WATCH_MOVES as it doesn't add much to us,
	so make the extra derived event types a no-op.

	libtracker-miner: Drop wimax handling in TrackerMinerOnline
	NM 1.2 deprecated this type as it doesn't support wimax anymore, and
	I don't even know what it is. So it seems something we can do without,
	falling back to the "unknown" network type is just as safe.

	libtracker-data: Explicitly cast string to char*
	This fixes a valac warning.

	libtracker-data: Use right constness in some internal calls
	The string array is fully const (i.e. we deep copy it), so make
	these functions have the right constness.

	libtracker-data: Rename internal variable
	We are actually requesting the context to resolve variables to the
	binding sql expression, so rename to a more apt need_binding_expression.

	libtracker-data: Handle BIND while in group graph pattern
	Currently SQL construction fails while using the BIND form inside
	a group graph pattern, eg. after OPTIONALs. When in that stage,
	the OPTIONALs will be already resolved to SQL in the "FROM ..."
	clause as nested SELECTs.

	As such the generated SQL is wrong, make it handle this case
	by wrapping the nested SELECTs under "SELECT $bind_value, * FROM (...)"
	so the value is made available to the wrapping SELECT. The older
	code still applies when building simple "{ ... . BIND (...) }" clauses.

	https://bugzilla.gnome.org/show_bug.cgi?id=774251

	libtracker-data: Return NULL SQL expression if the binding is not yet setup
	Recent vala changed property setters so they compare with the previous
	value before emitting anything, this triggers the property getter called
	at a time when we just don't have a DataTable to construct the SQL
	expression (and it's being set anyway).

	So ensure the binding is in the right state before trying to construct a
	SQL expression for it.

	tracker-needle: Fix build
	It seems recent vala got pickier with passing unsigned to a %d
	parameter. It's still right nonetheless, and changing the string
	is a needless translation change, so just cast to int.

2016-11-15  Marinus Schraal  <mschraal@src.gnome.org>

	Use nie:title instead of nmm:albumTitle
	nmm:albumTitle is deprecated

	https://bugzilla.gnome.org/show_bug.cgi?id=773697

	tracker-extract: Use date as album uri identifier
	Use the album creation date as part of the album uri identifier if
	available. This should make the separation of similar named albums even
	better. Also port mp3 & gstreamer to use the resource helper functon for
	exctracting album disc data.

	https://bugzilla.gnome.org/show_bug.cgi?id=773697

	tracker-extract: Use albumartist if available
	Use albumartist in libav/vorbis/flac (resource-helpers), gstreamer & mp3
	extractors if available to be part of the album(-disc) uri. This makes
	the uri more unique and tracker better at distinguishing separate albums
	and it makes all the extractors behave the same.

	https://bugzilla.gnome.org/show_bug.cgi?id=773697

	tracker-extract: Don't mix artist and albumartist
	The 'album artist' is not the same thing as the 'performer' or the
	'artist' metadata. In some extractors these tags however got mixed to
	provide fallback values for certain tags. In the long run this is not a
	viable approach: the tracker information should be a true representation
	of what is in the tags.

	https://bugzilla.gnome.org/show_bug.cgi?id=773697

2016-11-11  Marinus Schraal  <mschraal@src.gnome.org>

	tracker-extract: Fix flac albumartistsort tag parsing
	Albumartist tag can have a sort variant too.

	https://bugzilla.gnome.org/show_bug.cgi?id=772596

2016-11-08  Marinus Schraal  <mschraal@src.gnome.org>

	tracker-extract: Revert libflac as default rule
	Keep gstreamer as the primary extractor as long as the libflac extractor
	is not on-par with it.

2016-11-07  Marinus Schraal  <mschraal@src.gnome.org>

	tracker-extract: Pass the flac metadata
	Oversight from the move to TrackerResource, the flac extractor was not
	passing the metadata on for further processing.

	https://bugzilla.gnome.org/show_bug.cgi?id=774062

	tracker-extract: Albumartist may be NULL in flac
	album_artist is a TrackerResource, but may be NULL: do not just unref
	it.

	https://bugzilla.gnome.org/show_bug.cgi?id=774062

2016-11-04  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation

2016-11-03  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Handle overflows on libicu-based normalization
	We allocate by default double the string size, which is a pretty
	generous allotment most usually. If that is not enough for storing
	the normalized string, just reallocate the buffer with the given
	expected size and try again.

	Also, refactor string normalization to a separate function, so
	it's shared by both tracker:normalize and tracker:unaccent.

	https://bugzilla.gnome.org/show_bug.cgi?id=769982

	libtracker-miner: Start TrackerDecorator queries on TrackerMiner::started
	This should not be done in the initable vfunc, as the miner should remain
	idle until tracker_miner_start() is called on it.

	This fixes a possible race condition in tracker-extract, where this query
	is already in flight at the time TrackerPersistence handles blacklisting
	of files that caused earlier crashes of tracker-extract. So the query might
	contain the file that's being blacklisted right away. tracker_miner_start()
	is called after TrackerPersistence did the blacklisting job, so the first
	query will get the up-to-date info.

2016-11-03  Marinus Schraal  <mschraal@src.gnome.org>

	tracker-extract: Fix album disc uri in gstreamer
	It should build the album disc uri with the album_artist_name.

	https://bugzilla.gnome.org/show_bug.cgi?id=773607

2016-11-02  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Update Spanish translation

2016-10-30  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translaton

2016-10-29  Mario Blättermann  <mario.blaettermann@gmail.com>

	Update German translation

2016-10-28  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2016-10-26  Marinus Schraal  <mschraal@src.gnome.org>

	tracker-extract: Only use CUE info as last resort in gstreamer
	CUE data was overriding file tags in the gstreamer extractor, however
	CUE data is notoriously unreliable. Instead, only use the CUE data if we
	have nothing else.

	https://bugzilla.gnome.org/show_bug.cgi?id=773524

2016-10-23  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Update Swedish translation

2016-10-23  Gábor Kelemen  <kelemeng@openscope.org>

	Update Hungarian translation

2016-10-19  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Propagate "locale mismatch" error from locale_changed()
	And set the differing locales in the error message. Errors here are
	mainly due to 1) inconsistent locales, specifically the client running
	with a different locale than tracker-store, and 2) faulty apps that don't
	call setlocale() as appropriate.

	We already used to warn when locales differ, but the message wasn't
	that useful. Including the differing locales helps narrow down the
	issue. This error is mainly visible in the libtracker-direct backend,
	tracker-store shall handle locale changes on (re)start.

	configure.ac: Bump version to 1.11.0
	Not much worth releasing yet, but having tracker-1.10 have a higher
	soname than master is confusing.

2016-10-18  Piotr Drąg  <piotrdrag@gmail.com>

	Update Polish translation

2016-10-18  Dz Chen  <wsxy162@gmail.com>

	Update zh_CN translation

2016-10-16  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql: Avoid C++ keyword in variable
	"namespace" is a C++ keyword, better to avoid in public headers,
	spotted by Christoph Cullmann <cullmann@kde.org>.

	https://bugzilla.gnome.org/show_bug.cgi?id=772979

2016-10-13  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation (cherry picked from commit 86f17e9fe0446e74051f98095ef7de4b182ad349)

2016-10-12  Fabio Tomat  <f.t.public@gmail.com>

	Update Friulian translation (cherry picked from commit 67bbfc1f6331dd844d1638a17100ad8256d9152d)

2016-10-12  Andrew Branson  <andrew.branson@jollamobile.com>

	tracker-extract: FLAC metadata iterator wasn't closed
	It must be closed after iterating, otherwise we leak fds.

	https://bugzilla.gnome.org/show_bug.cgi?id=772799

2016-10-10  Zeeshan Ali  <zeenix@gmail.com>

	tracker-sparql: Drop use of 'Deprecated'
	Otherwise, valac spits warnings for each 'Deprecated' line
	when building tracker-sparql and any Vala code that uses
	tracker-sparql.

2016-10-09  Piotr Drąg  <piotrdrag@gmail.com>

	Use Unicode in translatable strings
	See https://developer.gnome.org/hig/stable/typography.html

2016-10-09  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-fts: Do not hardcode fts5 table in query
	And also attempt to drop the fts5_TMP table, in case it's left there
	from previous broken attempts.

	libtracker-data: Fix typo

2016-10-09  Andrew Branson  <andrew.branson@jollamobile.com>

	Fix FLAC artist and album tag parsing, and add 'audio/flac' mime type to the extract rules.
	https://bugzilla.gnome.org/show_bug.cgi?id=772596

	Fix tracker-extract-libav memory leak
	https://bugzilla.gnome.org/show_bug.cgi?id=772611

2016-10-09  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Be more lenient towards NULLs in fn:uri-is-descendant
	And actually check all arguments, not just first/last. The check is meant
	to catch non-string types (eg. ints, doubles) being wrongly passed here,
	NULLs are more arguably acceptable strings, even if it's to fast path
	to returning FALSE.

	This fixes the "Invalid child(0)" errors some users see in gnome-music,
	sometimes the query planner would call the function with a NULL argument
	even though the query would return no results.

2016-10-04  Matthias Berndt  <matthias_berndt@gmx.de>

	Override Sparql.Connection.update_array_async() with correct return-type
	"Error" is an unqualified identifier and can thus refer to different types
	in different contexts. In the context of tracker-connection.vala it refers
	to Tracker.Sparql.Error, in the context of tracker-bus.vala it refers to
	GLib.Error.

	https://bugzilla.gnome.org/show_bug.cgi?id=772381

2016-09-25  Jordi Mas  <jmas@softcatala.org>

	Fixes to Catalan translation

2016-09-20  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Fix brokenness introduced in e4493c677f721193c3e641

2016-09-19  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Update Basque language

2016-09-19  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.10.0

2016-09-18  David King  <amigadave@amigadave.com>

	Update British English translation

2016-09-17  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2016-09-16  Tom Tryfonidis  <tomtryf@gnome.org>

	Updated Greek translation

2016-09-14  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.9.2

	utils: Require python2 for generate script
	Seems too attached to python2 doings, so make it require python2
	for the time being.

	tests: Ensure folder is deleted
	If it previously fails somewhere here, the ttl folder will be
	created from earlier attempts, and mkdir will fail. Attempt to
	delete the folder before, just in case it exists.

2016-09-12  Bastien Nocera  <hadess@hadess.net>

	tracker-extract: Add new mime-types for comic books
	The mime-type changed from application/x-cbz to
	application/vnd.comicbook+zip, but the alias application/x-cbz was added
	to keep the backwards compatibility.

	See https://bugs.freedesktop.org/show_bug.cgi?id=97688

	https://bugzilla.gnome.org/show_bug.cgi?id=771106

2016-09-12  Piotr Drąg  <piotrdrag@gmail.com>

	Add more options to XGETTEXT_OPTIONS in po/Makevars

2016-09-11  Baurzhan Muftakhidinov  <baurthefirst@gmail.com>

	Added Kazakh translation

2016-09-10  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2016-09-09  Fran Dieguez  <fran.dieguez@mabishu.com>

	Updated Galician translations

2016-09-08  Rūdolfs Mazurs  <rudolfsm@src.gnome.org>

	Update Latvian translation

2016-09-08  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Updated Swedish translation

2016-09-08  Trần Ngọc Quân  <vnwildman@gmail.com>

	Init Vietnamese translation

2016-09-05  Fabio Tomat  <f.t.public@gmail.com>

	Updated Friulian translation

	Updated Friulian translation

	Updated Friulian translation

	Updated Friulian translation

	Updated Friulian translation

	Updated Friulian translation

2016-09-04  Charles Monzat  <superboa@hotmail.fr>

	Updated French translation

2016-09-03  Debarshi Ray  <debarshir@gnome.org>

	libtracker-extract: Restore trailing colon in nfo:Equipment URIs
	Fall out from 032e2a7ed874bacce4ca5f0dd9ddbad6ab8f5f81

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

2016-09-03  Sam Thursfield  <sam@afuera.me.uk>

	tests: Avoid horrible hang in test-tracker-resource
	Seems that missing the 'return' statement from a
	g_test_trap_subprocess() block can result in hanging Linux completely;
	some kind of fork bomb I guess. The problem only hits when the test is
	failing, so I didn't spot the mistake before.

2016-09-03  Seong-ho Cho  <shcho@gnome.org>

	Updated Korean translation

2016-09-02  Fabio Tomat  <f.t.public@gmail.com>

	Updated Friulian translation

	Updated Friulian translation

	Updated Friulian translation

2016-09-01  Fabio Tomat  <f.t.public@gmail.com>

	Updated Friulian translation

	Updated Friulian translation

2016-08-31  Fabio Tomat  <f.t.public@gmail.com>

	Updated Friulian translation

	Updated Friulian translation

2016-08-30  Rafael Fontenelle  <rafaelff@gnome.org>

	Updated Brazilian Portuguese translation

2016-08-28  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2016-08-26  Fabio Tomat  <f.t.public@gmail.com>

	Added Friulian translation

2016-08-26  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2016-08-23  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.9.1

	tests: Include new libtracker-data tests in dist

	libtracker-miner: Move to next priority queue segment after deleting tail
	If the tail element of a segment is being removed, we didn't move on to the
	next one, so accounting of subsequent segments might get broken if further
	elements are removed that are the head or the tail of a segment.

	Also, just do the "jump to next segment" bit generic, so the affected paths
	just turn on a fetch_segment boolean flag.

	https://bugzilla.gnome.org/show_bug.cgi?id=769035

2016-08-23  Debarshi Ray  <debarshir@gnome.org>

	libtracker-control: Add convenience API for IndexFileForProcess
	This mirrors the miner D-Bus API that is already available.

	https://bugzilla.gnome.org/show_bug.cgi?id=757369

2016-08-22  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2016-08-20  Balázs Úr  <urbalazs@gmail.com>

	Updated Hungarian translation

2016-08-19  Flo H  <gnu.l10n.de@gmail.com>

	Updated German translation

2016-08-19  Andika Triwidada  <atriwidada@gnome.org>

	Updated Indonesian translation

2016-08-17  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2016-08-10  Carlos Garnacho  <carlosg@gnome.org>

	configure: Do not hardcode dep on libpng
	There is a --enable/disable-png check below.

2016-08-05  Dušan Kazik  <prescott66@gmail.com>

	Updated Slovak translation

2016-08-02  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2016-07-31  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translation

2016-07-25  Piotr Drąg  <piotrdrag@gmail.com>

	Add Language headers to po files
	Future versions of gettext will fail if this header is missing.

2016-07-18  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2016-07-17  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql-backend: Turn failure to initialize direct backend to a warning
	This usually indicates a wrong environment, we elegantly fallback to using the
	bus backend so this is for the most part not noticeable by the user. Turn this
	into a warning so the problem is more visible.

	tracker: Fix possible warnings with the tracker search -[msivt] subcommands
	We used to poke a third column when the "no search term given" queries just
	return 2. This triggers warnings in the bus backend, but doesn't with the
	direct backend, which just returns NULL.

	Some people are seeing these warnings, which sounds bad enough because it
	means tracker is forcing the "bus" backend for some reason. But of all ways
	to notice this situation, this should not be one.

	tests: Add tests around DELETE{}INSERT{}WHERE{} syntax
	several (un)successful replacements of data are tested.

	tests: Add tests around update syntax
	So far, test for INSERT DATA, DELETE DATA and DELETE WHERE, which
	became broken recently.

	libtracker-data: Fix INSERT/DELETE DATA and DELETE WHERE syntax
	This was broken with the introduction of DELETE{}INSERT{}WHERE{}.
	Unbreak it, and check harder for invalid syntax situations, which
	we should warn about.

	libtracker-sparql: Make tracker URI GType private
	We don't expose it anywhere in API, may be hidden as an implementation
	detail.

	libtracker-extract: Remove TrackerSparqlBuilder guarantee functions
	Those are not used anymore, and libtracker-extract is private, so...

	tests: Update tracker guarantee tests to check the TrackerResource functions
	Those are the ones used now.

2016-07-16  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-sparql: Add TrackerResource/NamespaceManager to docs
	And document the missing functions.

	libtracker-sparql: Fix small typo
	Quite harmless, but triggers gtk-doc warnings.

	libtracker-extract: Ensure UTF-8 content in contact/tag helpers
	Those are created from untrusted data in some places, better to ensure
	UTF-8 content in those.

	tracker-extract-tiff: Ensure UTF-8 content in several TIFF fields
	We can't rely on libtiff to do this.

	tracker-extract-gif: Ensure UTF-8 content in nie:comment
	We can't rely on libgif to do this.

	tracker-extract-jpeg: Ensure UTF-8 content in nie:comment
	We can't rely on libjpeg to do this.

	libtracker-extract: Add tracker_guarantee_resource_utf8_string()
	This is a wrapper to tracker_resource_set_string(), which additionally
	validates the string to be UTF-8, and inserts only as much text as
	could be validated.

	Can be thought of as an internal replacement to
	tracker_sparql_builder_object_unvalidated(), the fact that we deal with
	non utf-8 data sources is an implementation detail to extractors, so
	it doesn't make as much sense to make this a public function in the
	shiny new TrackerResource API.

	tracker-extract-mp3: Fix albumArtist coalescing
	It seems the fix in commit 6dc2c85856 got oddly merged with the
	TrackerResource work, this fixes coalescing so the performer is
	used again as a last resort to determining the nmm:albumArtist.

2016-07-15  Sam Thursfield  <sam@afuera.me.uk>

	Merge branch 'sam/resource'

2016-07-14  Sam Thursfield  <ssssam@gmail.com>

	Use TrackerResource instead of TrackerSparqlBuilder in all extractors
	For a long time, all the Tracker extractors have manually constructed a
	SPARQL update command using TrackerSparqlBuilder to represent their
	output. This commit changes all of them to use the TrackerResource
	class instead, which makes the code a lot more concise and readable.

	This introduces some API breaks in the internal libtracker-extract
	library. This has been a private library since Tracker 0.16 or earlier,
	so it's fine.

	If the extractors only output SPARQL then they are only useful to
	people who are using a SPARQL store. Now we can output a serialization
	format like Turtle as well. This will hopefully make the extract modules
	useful outside of Tracker itself.

	I've tried to preserve the behaviour of the extractors as much as
	possible, but there are two things that are now handled differently:

	  * nao:Tag resources are given a fixed URI based on the tag label, such
	    as <urn:tag:My_Tag>. Previously they were inserted as blank nodes,
	    so tracker-store would give them unique IDs like <urn:uuid:1234...>

	  * All extractors created nco:Contact resources for content publishers,
	    but previously some would assign fixed URIs based on the name
	    <urn:contact:James%20Joyce>, while others would insert them as blank
	    nodes so they would be assigned unique IDs like <urn:uuid:1234...>.
	    Now, all extractors create nco:Contact resources with fixed URIs
	    based on the content creator's name.

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

2016-07-14  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-extract: Add resource-helpers module
	This is factoring common code out of the individual extract modules.

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

2016-07-14  Sam Thursfield  <ssssam@gmail.com>

	libtracker-sparql: Add TrackerResource class
	This provides a "resource-oriented" API for inserting and updating the
	database. Rather than having to generate SPARQL queries, you can use the
	TrackerResource abstraction to prepare information about a set of
	resources, then generate a SPARQL query automatically.

	TrackerResource can also serialize to Turtle directly.

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

2016-07-14  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-sparql: Add TrackerNamespaceManager
	This will keep track of a set of namespaces and their prefixes. Then,
	when we are serializing a resource, we can use it.

	This is separate from the Namespace and Ontologies classes in
	libtracker-data. They may be able to make use of it though.

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

	libtracker-sparql: Add TRACKER_TYPE_URI
	This is the same as G_TYPE_STRING, but we need to treat strings and URIs
	differently when generating SPARQL from the TrackerResource class, so we
	need a separate GType to keep track of which is which when given a
	GValue.

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

2016-07-14  Sam Thursfield  <ssssam@gmail.com>

	Bump GLib dependency to 2.44
	So I can use G_DECLARE_DERIVABLE_TYPE() instead of writing out
	everything manually.

	https://bugzilla.gnome.org/show_bug.cgi?id=767472

2016-07-14  Sam Thursfield  <sam@afuera.me.uk>

	tracker-extract: Fix invalid SPARQL used when blacklisting files
	This issue meant that files that triggered crashes never got
	blacklisted, as the invalid SPARQL was ignored by the tracker-store.
	So tracker-extract would spin on invalid files forever in some cases.

	Clarify SPARQL example in manpage
	https://bugzilla.gnome.org/show_bug.cgi?id=767246

	Merge branch 'sam/extract-command'

2016-07-13  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Add test case for re-extracting known files
	This testcase should pass. I did think there was a bug here and
	opened <https://bugzilla.gnome.org/show_bug.cgi?id=768706>, but
	that turned out to be invalid.

	functional-tests: Fix bug in await_resource_inserted()
	As a performance optimisation, after the first GraphUpdated signal for a
	resource, subsequent changes to that resource would be ignored. This is
	actually dumb, because it means we ignore all the data added by the
	extractor in some cases.

2016-07-12  Sam Thursfield  <sam@afuera.me.uk>

	tracker-extract-gstreamer: Only show GstDateTime message with verbosity=debug
	I can't see any use for this message myself, maybe it should be
	removed altogether:

	    GstDateTime was not complete, parts of the date/time were missing
	    (e.g.  hours, minutes, seconds)

2016-07-04  Sam Thursfield  <sam@afuera.me.uk>

	Add example configuration 'uncrustify' formatting tool
	This is useful for aligning variables in parameter names.

	tracker-extract-gstreamer: Fix hash value format on 32-bit systems
	The gsize type is 32 bits on a 32-bit system, but the hash value we
	are printing is a guint64 so it's 64 bits on all systems. Note that
	G_GINT64_MODIFIER is for both signed and unsigned int64 values.

2016-07-03  Adrien Bustany  <adrien-xx-gnome@bustany.org>

	Updated French translation

2016-06-30  Sam Thursfield  <sam@afuera.me.uk>

	sandbox: Support Python 3 as well as Python 2

	sandbox: Fix MIME hack introduced in 8a758a03afada
	It seems that new systems don't have this custom 'mime' dir (which
	is good news), it's just some weird relic that exists on my laptop.
	The workaround should now not break things in any case.

2016-06-28  Igor Gnatenko  <ignatenko@src.gnome.org>

	tracker-store: use @libexecdir@ in systemd service
	References: https://bugzilla.gnome.org/show_bug.cgi?id=768127

2016-06-25  Sam Thursfield  <sam@afuera.me.uk>

	sandbox: Fix MIME-type detection inside the sandbox
	It turns out that MIME-type detection depends on various files in
	$XDG_DATA_HOME/mime, at least on my Fedora 24 system.

	We need to link to these files in our overridden XDG_DATA_HOME dir if we
	want extraction to work properly, otherwise everything is detected as
	text/plain.

2016-06-24  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-data: Fix pointer sign warnings

2016-06-22  Tiago Santos  <tiagofsantos81@sapo.pt>

	Updated Portuguese translation

2016-06-21  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.9.0

	libtracker-data: Ensure variables are defined in aggregate expressions
	Look those up and error out if they are undefined.

	https://bugzilla.gnome.org/show_bug.cgi?id=759361

	fts: Do not apply stop-words when tokenizing query search terms
	FTS5 notifies of the purpose in tokenization in their xTokenize vfunc,
	check for the FTS5_TOKENIZE_QUERY flag indicating that this is the
	tokenization of the search terms in a query and do not apply the stop
	words list in this case.

	One example where this is potentially harmful are "search as you type"
	UIs. eg. typing the word "ontology" would have you type the word "onto",
	which is an ignored word. Only after typing the next character you'd get
	matches, which seems irregular behavior.

2016-06-16  Rafael Fontenelle  <rafaelff@gnome.org>

	Updated Brazilian Portuguese translation

2016-06-14  Sam Thursfield  <ssssam@gmail.com>

	configure.ac: Remove some unused variables

2016-06-14  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Increase resource wait timeout to 30 seconds
	Tests in the 300-miner-basic-ops function tests were failing for me,
	which turned out to be just because the extractor was slower than the
	timeout in certain cases. It would be good to work out why it's slow,
	but let's start by fixing the random test failures.

2016-06-13  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Fix crash in tests with multiple testsuites
	For some reason the GLib main loop calls a timeout even after we've
	removed it, in some cases, leading to errors like this:

	    [tracker-store] ready.
	    test_journal_01 (__main__.JournalReplayTest) ...
	    Traceback (most recent call last):
	      File "/home/shared/gnome/src/tracker/tests/functional-tests/common/utils/helpers.py", line 110, in _process_watch_cb
	        status = self.process.poll ()
	    AttributeError: 'NoneType' object has no attribute 'poll'

	All this does is workaround that problem.

	tracker-store: Avoid duplicate timeout removal
	I kept seeing warnings like this in the 200-backup-restore
	functional-test:

	    test_backup_01 (__main__.BackupRestoreTest) ...
	    (tracker-store:8104): GLib-CRITICAL **: Source ID 25 was not found when attempting to remove it
	    test_backup_02 (__main__.BackupRestoreTest) ...
	    (tracker-store:8104): GLib-CRITICAL **: Source ID 25 was not found when attempting to remove it

	functional-tests: Decode query results as UTF-8 in the correct way
	Previously the code would try to cast a 'str' instance to 'unicode',
	which fails because it assumes the 'str' instance is valid ASCII (i.e.
	all characters are in the range 0-127).

	This fixes 2 test case failures that looked like this:

	    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 1: ordinal not in range(128)

	functional-tests: Add missing GLib import
	Fixes an ImportError.

2016-06-12  Dušan Kazik  <prescott66@gmail.com>

	Updated Slovak translation

2016-06-11  Sam Thursfield  <sam@afuera.me.uk>

	Tweak documentation of tracker_decorator_info_get_task()
	Mention what the task's data will be. Readers might not realise that
	the documentation of tracker_decorator_info_get_sparql() holds that
	information (I didn't).

	Fix warning introduced in 0a92485009f08cb2872325d9c6627343134fbcc9

2016-06-09  Sam Thursfield  <sam@afuera.me.uk>

	utils: Add create-tree-from-real-data script
	This script grabs a mix files from your system and creates a link farm,
	with the aim of creating a tree of Tracker test data that exercises each
	of the extract modules.

	tests: Give tracker-test.c a slightly better name

	cli: Add --verbosity option to `tracker extract`
	This is based on the --set-log-verbosity option from `tracker daemon`.

	The TRACKER_VERBOSITY environment variable also works here, and
	overrides the value on the commandline, so I'm not sure if this patch
	is really necessary...

	Rewrite tracker-extract man page
	It now corresponds with the user-facing `tracker-extract` command,
	rather than the hidden /usr/libexec/tracker-extract program.

2016-06-09  Sam Thursfield  <ssssam@gmail.com>

	cli: Add `tracker extract` command
	This wraps `$libexecdir/tracker-extract --file`. I think that the
	extractor is a really important part of Tracker that needs to be
	accessible in a standard way.

	Currently the output of `tracker-extract --file` contains a lot of
	log information even with `--verbosity=0`. And dumping the result as
	a SPARQL UPDATE operation isn't ideal, it'd be nicer to output Turtle
	or something.

	https://bugzilla.gnome.org/show_bug.cgi?id=751991

2016-06-09  Sam Thursfield  <sam@afuera.me.uk>

	Silence libmediaart log messages
	This was removed in commit 2454185dd8a8459c45e4d32e0c3602f14647bbdd, but
	it is actually still needed to hide log messages from libmediaart when
	running `tracker-extract --verbosity=0`.

	The mistake of reusing the same variable to store both log handler IDs
	is now fixed.

	tracker-extract: Improve console output for when extraction fails
	Old output:

	    tracker_mimetype_info_get_module: assertion 'info != NULL' failed
	    No metadata or extractor modules found to handle this file

	New output:

	    file:///uri/of/file: No metadata or extractor modules found to handle this file

	The message is now also printed to stderr rather than stdout, so that
	stdout contains only the metadata itself in whatever output format the
	caller chose.

	cli: Fix message when `tracker index` is called with no mode arg
	If you run `tracker index` with no arguments you get the help output.

	However, if you ran `tracker index ~/myfile` before you would see this:

	    (tracker index:28627): Tracker-WARNING **: (tracker-index.c:369):index_run: code should not be reached

	Now you get a more helpful message:

	    Use `tracker index --file` when giving a specific file or directory
	    to index. See `tracker help index` for more information.

	We could probably just assume --file if no mode is passed, but let's do
	that separately. To be honest, `tracker index` should probably only take
	a file or a mimetype, and the --backup, --restore and --import modes
	should become commands in their own right.

2016-06-06  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2016-06-05  Carlos Garnacho  <carlosg@gnome.org>

	tracker: Don't unref manager in the loop in "tracker index -f" subcommand
	Must be unref'ed after the loop. Fixes crash if >1 files are provided.

	https://bugzilla.gnome.org/show_bug.cgi?id=767024

2016-06-05  Martin Kampas  <martin.kampas@tieto.com>

	miner-fs: Fix handling files moved soon after creating
	Noticed this when executing functional tests for write-back:

	(tracker-miner-fs:21288): Tracker-CRITICAL **: Could not execute sparql:
	 Subject `(null)' is not in domain `nfo:FileDataObject' of property
	 `nfo:fileName'

	This warning happens in item_move() when the source just didn't have
	time to be indexed. One example:

	copy ("file.txt", "temp_XYZ.file.txt")
	 - received G_FILE_MONITOR_EVENT_CREATED ("temp.file.txt")
	 - received G_FILE_MONITOR_EVENT_CHANGED ("temp.file.txt")
	 - received G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT ("temp.file.txt")
	modify ("temp_XYZ.file.txt")
	 - received G_FILE_MONITOR_EVENT_CHANGED ("temp.file.txt")
	 - received G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT ("temp.file.txt")
	mv ("temp_XYZ.file.txt", "file.txt")
	 - received G_FILE_MONITOR_EVENT_MOVED ("temp.file.txt", "file.txt")
	 - emitted  ITEM_MOVED ("temp.file.txt", "file.txt")

	It was already handled in item_move() in past, but removed with eef0e7f
	(libtracker-miner: Remove useless code) after previously misidentified
	as useless in scope of ee58e67 (libtracker-miner: Add compat layer for
	tracker_miner_fs_directory_*)

	The comment from ee58e67 """FIXME: This situation shouldn't happen from
	a TrackerFileNotifier event""" simply cannot be satisfied: no way to get
	"temp.file.txt" indexed before ITEM_MOVED is processed - the file
	disappears too fast.

	https://bugzilla.gnome.org/show_bug.cgi?id=678986

2016-06-05  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: cater for unbound nfo:belongsToContainer when moving items
	Fixes warnings when moving indexing roots around. This query expects this
	property to be bound, resulting in no-op if that's not the case (e.g.
	indexing roots), later reinsertions of nie:url and other properties with
	max cardinality=1 trigger the whole update failure, because those weren't
	properly removed.

2016-06-04  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Insert into the right graph when moving items
	The query to update parent-dependent data was using the source file
	urn as a graph urn.

2016-05-31  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Remove unused variable

	libtracker-data: Implement fn:upper-case/UCASE
	UCASE() was implemented over a nonexisting function, fix that. Impls
	for both libunistring and libicu have been added.

2016-05-30  Carlos Garnacho  <carlosg@gnome.org>

	tests: Add some BIND() tests

	Revert "libtracker-data: Relate Variable objects to their origin Context"
	Not needed anymore.

	This reverts commit 5c0fe132eb7d0e193ccc669447e015f8f9e8b3d6.

	libtracker-data: Refine BIND() variable mapping
	The implementation of BIND() introduced an special case in the way we
	construct the result columns in selects (Handled in commit 64b54a7784).
	This special case however turns out wrong when the resolved variable
	is used both in and outside the BIND() statement.

	So, admit the nature of this hack and special case it altogether, the
	check was too iffy when there is really one situation where this makes
	sense.

	https://bugzilla.gnome.org/show_bug.cgi?id=766505

2016-05-30  Bastien Nocera  <hadess@hadess.net>

	tracker-extract: Consider DjVu multipage docs as Ebooks
	ddb79e3 and cf7f5df tried to categorise DjVu files as paginated
	documents, which would have slotted them next to PDF files in
	gnome-documents.

	But we'd like them to be near EPubs in gnome-books. As the EBook RDF
	type is not too strict in its definition, tagging the DjVu multi-page
	files as Ebooks is the easy way to fix it.

	https://bugzilla.gnome.org/show_bug.cgi?id=766781

2016-05-30  Cédric Valmary  <cvalmary@yahoo.fr>

	Updated Occitan translation

2016-05-28  Carlos Garnacho  <carlosg@gnome.org>

	tests: Fix distcheck
	Missing data files in EXTRA_DIST

	docs: Do not delete xml directory when redoing docs
	We're competing with gtk-doc.make here, which may turn out in
	failures when doing mkdir on an already created directory, or
	failures in writing xml/gtkdocentities.ent because we deleted
	the directory under its feet.

	So just do the same, use MKDIR_P to ensure it won't fail if
	the directory is already there, and don't bother deleting it
	as it's handled in gtk-doc.make. The ontology docs helper app
	will rewrite the xml files anyway.

	tracker-miner-fs: Ignore .desktop and .directory files
	Those are responsibility of tracker-miner-applications.

	tracker: Add -f argument to "tracker reset" CLI subcommand
	It takes a file to be reset, works recursively for directories.
	Immediately after reset, a reindex will be requested, so the data
	is promptly indexed again.

	tracker-miner-fs: Trigger reindex of files/directories on IndexFiles
	If the file was already contained in an indexed directory, the IndexFile
	was ignored. Actually cause a reindexing so we can trigger rechecks after
	deleting the data.

	tracker-miner-fs: Replace direct emission of TrackerIndexingTree signals
	We now have tracker_indexing_tree_notify_update().

	libtracker-miner: Add tracker_indexing_tree_notify_update()
	This function notifies about updates in either an indexing root,
	or a child of it. The typical reaction will be reindexing the
	element.

	This will replace the several ad-hoc emissions of
	::directory-updated over the place.

	libtracker-miner: Reindex elements on TrackerIndexingTree::child-updated
	Directories will be crawled according to the root directory flags, regular
	files will be notified upon right away.

	libtracker-miner: Add TrackerIndexingTree::child-updated signal
	So we can notify on something else than indexing roots. May be
	used for the IndexFile request.

2016-05-27  Bastien Nocera  <hadess@hadess.net>

	tracker-extract: Install DjVu rule
	https://bugzilla.gnome.org/show_bug.cgi?id=754479#c5

2016-05-25  Friedrich Herbst  <fherbst@opmbx.org>

	Updated German translation

2016-05-22  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Actually ignore XDG dirs set to $HOME
	If an XDG dir is set to $HOME, we do ignore it (So it's not inadvertently
	indexed recursively). However we just made the expansion to the real path
	fail, the alias (e.g. &VIDEOS) was still dealt with as a path, and
	attempted to be indexed.

	So now we always return TRUE if the alias has a mapping, but only return
	the string if the path is to our liking. This makes the alias truly
	ignored.

2016-05-21  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-mp3: Use performer as fallback to album artist
	Commit 79af6adf6 changed the MP3 extractor to use the TPE2 tag info
	to retrieve nmm:albumArtist. It is fine to favor that data, but we
	should still resort to TPE1 if we get nothing from there. Otherwise
	the album artist is not filled.

2016-05-21  Tiago Santos  <tiagofsantos81@sapo.pt>

	Updated Portuguese translation

2016-05-16  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2016-05-16  Simon McVittie  <simon.mcvittie@collabora.co.uk>

	Add systemd user services corresponding to D-Bus session services
	The one exception is the email miner, which does not actually have
	anything to start, so its D-Bus service file won't work anyway.

	Restart the services on failure, but do not after SIGKILL,
	because that's what `tracker daemon --kill` (formerly
	`tracker-control --kill`) does. systemd already treats SIGTERM
	as a graceful exit which is not considered to be a failure.

	Loosely based on a patch by Alban Crequy, which only applied
	this to tracker-store and tracker-miner-fs, and did not have
	the special handling for SIGKILL.

	Bug: https://bugzilla.gnome.org/show_bug.cgi?id=755739
	Reviewed-by: Carlos Garnacho

2016-05-14  Carlos Garnacho  <carlosg@gnome.org>

	tracker-miner-fs: Add MS Office "owner files" to ignored-files
	"Owner files" (described in https://support.microsoft.com/en-us/kb/211632)
	works as a lock file when opening the document. Those are supposedly
	removed when the document is closed, but in practice there's situations
	where those are left behind, and are meaningless to tracker.

	Those files may be generated for any of the document extensions, so handle
	the whole bunch.

	https://bugzilla.gnome.org/show_bug.cgi?id=764739

	manpages: Drop manpages of configuration settings/files
	Gsettings are self-documenting, plus translatable. There is no need to
	duplicate this documentation, and even less if it focuses on the
	deprecated keyfile format. It is time to hide that under the rug.

	tests: Tear down test data in tracker-steroids tests

2016-05-14  Bastien Nocera  <hadess@hadess.net>

	tracker-extract: Add RDF type for DjVu files
	https://bugzilla.gnome.org/show_bug.cgi?id=754479

2016-05-14  Julien Hémono  <whackvault@me.com>

	IPTC extractors : use nco:contributor for contact metadata
	5a27279a7e07a9f1f0c58f663f4c290c397d4aff adds support for contact
	IPTC metadata and represents it with a nco:representative predicate.

	This contradicts the ontology that stipulates that the subject of
	a nco:representative predicate is a nco:Contact. Consequently, updates
	from extraction of files containing this IPTC field are rejected by
	the store.

	This fix uses the nco:contributor predicate instead. Official
	documentation at [1] says the field "Identifies the person or
	organisation which can provide further background information on
	the objectdata." Nco:contributor is therefore too narrow as not every
	such person need be a contributor. The adequate predicate doesn't
	exist but if it did it would definitely at least be a nao:annotation
	or more narrowly a nao:isRelated. But I deem these too broad because
	their range isn't a person or an organisation.

	https://bugzilla.gnome.org/show_bug.cgi?id=762675

2016-05-10  Cédric Valmary  <cvalmary@yahoo.fr>

	Updated Occitan translation

2016-05-10  Antoine Jacoutot  <ajacoutot@gnome.org>

	tracker_file_system_get_remaining_space: use proper units
	The fields of type fsblkcnt_t must be reported in units of f_frsize for
	statvfs() and f_bsize for statfs().

	https://bugzilla.gnome.org/show_bug.cgi?id=766137

2016-05-08  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-gstreamer: Prevent warning if there is no TOC
	Warning introduced in commit 99ab02a7. We should only attempt this
	TOC when there is one from gstreamer.

2016-05-08  sahaltim9  <fabrice.louveau_ext@softathome.com>

	configure: Update configure for sqlite3 support 3.7.15
	sqlite3_errstr was added in that version.

	https://bugzilla.gnome.org/show_bug.cgi?id=743245

2016-05-08  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Remove libmediaart log handler code
	This is no longer part of tracker, so doesn't need doing. Also
	fixes warnings on exit because this unused log handler overwrote
	the variable storing the ID for the tracker handlers.

	libtracker-miner: Give up on detailed decorator error logging
	It was the hope that this error logging would lead to useful
	but reports that helped qualitatively improve the extractor
	modules soon enough.

	But people suck, and instead we got lots of bugs about how
	much we spam syslog (as if we used the "warning" logging level
	just because) or how we violated their privacy, without further
	thinking that there might be reasons for those warnings in the
	first place (i.e. bugs that need fixing). Those bug reports
	are usually plagued with half-cut,half-edited snippets from
	syslog to prove their point, while at the same time invalidating
	their usefulness.

	So, change of approach. Now we just include the URN/URI in the
	error warning, and point people to using TRACKER_VERBOSITY=3 in
	order to get more information. The debug information will contain
	the full unedited sparql, and the relevant info will be surrounded
	by dotted lines so it is made clear the information that is useful.

	This will require an extra step for the people trying to be helpful,
	which hopefully those are willing to take. It will also hopefully
	calm the bunch of complains, and will give me no hesitation to close
	any further one we get as invalid.

	configure: Set better bugzilla link
	We can point to the tracker product.

	libtracker-data: mark most sqlite functions as SQLITE_DETERMINISTIC
	This flag helps the query planner in optimizing functions that are
	guaranteed to return the same result given the same input. This
	is the case for all functions, but SparqlRand().

2016-05-08  Kevin Haller  <kevin.haller@outofbits.com>

	tests: Test cases for fn:replace() with regular expression support.
	Add five test cases, which shall check the behaviour of the
	replace function.

	https://bugzilla.gnome.org/show_bug.cgi?id=754961

	libtracker-data: Support regular expressions for fn:replace().
	Extends the sqlite database by a new function (with the name
	SparqlReplace). The function makes use of the g_regex_replace() function
	of glib.

	To fullfill the XPath 2.0 standard some constraints must be checked for
	fn:replace(input, pattern, replacement, flags). The given pattern must
	not match a zero-length string. The given replacement string have to use
	$ followed by a number for backreferences. If the dollar sign shall be used
	"as is", it must be escaped (\$).

	For checking and interpreting the given replacement string of fn:replace()
	some regular expressions are needed. This expressions are precompiled and
	saved in the function_regex hashset of the TrackerDBInterface. The
	pre-compilation and initialization of the hashset are done by the
	prepare_database() method.

	The glib method g_regex_replace() make use of the backslash followed by a
	number to inidcate backreferences. So the dollar signs must be interpreted
	- the backslashes can be still used for this purpose.

	In the sparql expression class the corresponding section is adapted, so
	that the new SparqlReplace function is used for fn:replace(..) statements.

	https://bugzilla.gnome.org/show_bug.cgi?id=754961

2016-05-08  Felix Riemann  <friemann@gnome.org>

	tracker-extract-gif: Avoid possible integer overflow
	Fix integer overflow when skipping over the decoded image data
	of extremely large or specifically prepared images.

	https://bugzilla.gnome.org/show_bug.cgi?id=758315

2016-05-07  Gaurav Narula  <gnarula94@gmail.com>

	extractor: Store albumArtist from TPE2 tag
	https://bugzilla.gnome.org/show_bug.cgi?id=764143

2016-05-07  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-gstreamer: Use TOC as "cue sheet" as a last resort
	The CUESHEET block in flac files is only meant to allow applications
	to figure out CDDB references and whatnot, so it will basically contain
	track durations and ISRCs. Other information like title/performer/genre
	is not meant to be stored here:

	  https://xiph.org/flac/faq.html#general__no_cuesheet_tags

	The other methods supported here could be considered non-standard,
	but will be definitely more complete than this CUESHEET block, so
	the lookup order is:

	- Embedded cue file as a "CUESHEET=" vorbis comment
	- External cue file
	- This CUESHEET block

2016-05-07  Sam Thursfield  <sam@afuera.me.uk>

	tracker-extract: Make `tracker-extract --file` silent when --verbosity=0

	libtracker-common: Fix Make rule for enums code
	This was depending on some non-existent NOINST_H_FILES variable,
	rather than the actual tracker-enums.h file.

2016-05-05  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-mp3: Prevent possible crashes on 0-len comments
	Files may contain a COMM frame that turns out to have a 0-len
	string, in our calculations the length comes out as -1, which turns
	out very wrong.

	https://bugzilla.gnome.org/show_bug.cgi?id=764924

	libtracker-miner: Do not free the current root data automatically on interruption
	Most interruption cases are global to a RootData (eg. unmounts). It however
	may turn out with unexpected consequences when requesting crawling of a
	subfolder that is being deleted. In that case we'd expect the RootData to
	be preserved and crawling to resume on the remaining folders.

	So, only delete the current root data across regular operations as long
	as we're not being interrupted, and ensure we do so manually in all the
	cases where tracker_crawler_stop() is manually called.

	tracker: Make it superscary to reset databases
	This is possibly a data loss situation, so warn the user that this is
	possibly what will happen.

	tracker: Add comment for translators

	tracker-preferences: Remove the "System" tab altogether
	Resetting data is not something we should offer a big button for,
	really.

	tracker-preferences: Do not recommend reindex/restarts
	This is an absolute antipattern, we can honor most of those settings
	at runtime (and as of the last commits, we do).

	The remaining configuration options are the ones affecting the tokenizer,
	and we just need a tracker-store/session restart, so just suggest that,
	instead of restarting daemons.

	tracker-miner-fs: Trigger full recheck on enable-monitors changes
	The crawling will recursively add/remove the monitors as requested.

	libtracker-miner: Check deleted files on TrackerIndexingTree:directory-updated
	Add the TRACKER_DIRECTORY_FLAG_CHECK_DELETED flag, so deleted contents are
	checked on all folders.

	libtracker-miner: Check for content filters being triggered on deletion checks
	Store temporarily whether a folder triggered a filter based on its content
	so we can perform the deletion of previously indexed files in that folder.

	libtracker-miner: Add TRACKER_DIRECTORY_FLAG_CHECK_DELETED flag
	This forces a check for deleted contents on all folders, as if
	the folder mtime changed. Will be useful to recheck indexed directories'
	contents after configuration changes.

	libtracker-miner: Check for filtered out files during deletion checks
	When checking the deleted contents of a folder, also find out whether
	those are currently filtered out. Those must be deleted as well.

	libtracker-miner: Add indexing roots to the tree only when those are crawled
	We must not insert information for indexing roots prior to their processing.
	This could be the case of indexing roots that are descendants of another
	recursive root (eg. ~/Music in ~/).

	This was inocuous when crawling the indexed folders from scratch, although
	could make indexing roots being spuriously deleted/reindexed when folders
	are reindexed (eg. because of TrackerIndexingTree::directory-updated signals)

	libtracker-miner: Do not recurse up the hierarchy for out-of-tree index requests
	If we receive a tracker_miner_fs_check_file() request for a file out of
	indexing trees, it'd usually end up recursing until it ran out of parents
	(that is, up to file:///). This is quite pointless, if only one file was
	requested to be indexed.

	libtracker-miner: Avoid storing mtime on when querying the iri ad-hoc
	Retrieve only the iri from the query, and store it in the TrackerFileSystem,
	the mtime is unrequested, and even misleading in future operations.

2016-05-03  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Do not insert RootData for the same file multiple times
	If the file is already there, there is no need to crawl/recheck it
	several times.

	libtracker-miner: Empty query_files cache when crawling the next folder
	If, for the usual reasons, a directory is ignored after crawling, we
	must remove files accumulated till that point. Those are pointless when
	processing the next folder.

	libtracker-miner: Ensure stored mtime data is freed after use
	This data is not needed after comparing store and filesystem mtimes,
	and keeping it stored could mislead later checks happening on that
	same folder (say, directories being recursively rechecked because of
	configuration changes).

	It is safer to just dispose the data after use, the data might need
	retrieving again at the time such recheck is needed.

	libtracker-miner: Add tracker_file_system_steal_property()
	This call retrieves and removes data stored in the TrackerFileSystem,
	the caller must free the retrieved data.

	libtracker-miner: TrackerIndexingTree should not return shallow roots
	Those are created for internal maintenance, and should not leak outside.

2016-04-28  GNOME Translation Robot  <gnome-sysadmin@gnome.org>

	Updated Portuguese translation

2016-04-25  Timm Bäder  <mail@baedert.org>

	miner-manager: Plug memory leak
	https://bugzilla.gnome.org/show_bug.cgi?id=765172

2016-04-07  Sam Thursfield  <sam@afuera.me.uk>

	tracker-extract: Fix error handling in tracker-extract-persistance
	A couple of GCC warnings highlighted the fact that in case of error,
	this code would pass uninitialised string pointers to g_critical().

2016-04-02  Andrew Stormont  <astormont@racktopsystems.com>

	Fix build on illumos.
	https://bugzilla.gnome.org/show_bug.cgi?id=761177

2016-04-02  Carlos Garnacho  <carlosg@gnome.org>

	autogen.sh: Remove build time dependency on gnome-common
	Follow the recommendations in
	https://wiki.gnome.org/Projects/GnomeCommon/Migration

	https://bugzilla.gnome.org/show_bug.cgi?id=763119

2016-03-27  Antoine Jacoutot  <ajacoutot@gnome.org>

	Adapt to new GKqueue monitor naming.

2016-03-27  Carlos Garnacho  <carlosg@gnome.org>

	configure: Check that sqlite3 has sqlite3_auto_extension() enabled
	Only do this if we need to load the FTS5 module, sqlite3 might have
	been compiled with SQLITE_OMIT_LOAD_EXTENSION, which will make things
	go very wrong (poking NULL vfuncs in a 0'ed out sqlite3_api_routines)
	at runtime.

	This facility must be enabled if we need to load our FTS module, so
	bail out at configure time if it's not there.

2016-03-27  Sam Thursfield  <ssssam@gmail.com>

	configure.ac: Add note about Automake subdir-objects option
	It seems to break the build because of an Automake bug, see:
	<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13928>

	Revert "configure: Use subdir-objects Automake option"
	This reverts commit 5ae20fb915659163e68f5f18bbd444e8de30d02b.

	Lesson learned (again): don't do something just because Automake tells
	you to.

	Notice the same thing happened back in commit e46bfc1c43 which
	was reverted again in b1e3997ce7b894.

	configure: Remove AC_PROG_RANLIB, it's not needed
	Based on this warning from libtoolize:

	    libtoolize: `AC_PROG_RANLIB' is rendered obsolete by `LT_INIT'

	configure: Use subdir-objects Automake option
	This fixes the following warnings:

	    src/libtracker-miner/Makefile-shared-sources.decl:5: warning: source file '$(top_srcdir)/src/libtracker-miner/tracker-monitor.c' is in a subdirectory,
	    src/libtracker-miner/Makefile-shared-sources.decl:5: but option 'subdir-objects' is disabled
	    src/libtracker-miner/Makefile.am:10:   'src/libtracker-miner/Makefile-shared-sources.decl' included from here
	    automake: warning: possible forward-incompatibility.
	    automake: At least a source file is in a subdirectory, but the 'subdir-objects'
	    automake: automake option hasn't been enabled.  For now, the corresponding output
	    automake: object file(s) will be placed in the top-level directory.  However,
	    automake: this behaviour will change in future Automake versions: they will
	    automake: unconditionally cause object files to be placed in the same subdirectory
	    automake: of the corresponding sources.
	    automake: You are advised to start using 'subdir-objects' option throughout your
	    automake: project, to avoid future incompatibilities.
	    src/tracker-preferences/Makefile.am:34: warning: source file '$(top_srcdir)/src/miners/fs/tracker-config.c' is in a subdirectory,
	    src/tracker-preferences/Makefile.am:34: but option 'subdir-objects' is disabled
	    src/libtracker-miner/Makefile-shared-sources.decl:17: warning: source file '$(top_srcdir)/src/libtracker-miner/tracker-crawler.c' is in a subdirectory,
	    src/libtracker-miner/Makefile-shared-sources.decl:17: but option 'subdir-objects' is disabled
	    tests/libtracker-miner/Makefile.am:11:   'src/libtracker-miner/Makefile-shared-sources.decl' included from here
	    src/libtracker-miner/Makefile-shared-sources.decl:5: warning: source file '$(top_srcdir)/src/libtracker-miner/tracker-monitor.c' is in a subdirectory,
	    src/libtracker-miner/Makefile-shared-sources.decl:5: but option 'subdir-objects' is disabled
	    tests/libtracker-miner/Makefile.am:11:   'src/libtracker-miner/Makefile-shared-sources.decl' included from here
	    autoreconf: automake failed with exit status: 1

2016-03-21  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.8.0

2016-03-21  fosero  <fosero@users.noreply.github.com>

	tracker-extract: adapt to libcue 2.0.0 API
	Allow optional support for the libcue 2.0.0 API changes: new location of
	libcue.h and a renamed enum.

	https://bugzilla.gnome.org/show_bug.cgi?id=762512

2016-03-20  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2016-03-14  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.7.5

	tests: distcheck fix

	libtracker-miner: Ensure the directory root is removed when its indexing root is
	If the directory is currently being inspected, and in the query (rather
	than crawling) phase, TrackerCrawler::finished won't be called, so the
	current index root might not be cleared yet.

	This code is very similar to file_notifier_current_root_check_remove_directory,
	and the same considerations apply.

	libtracker-miner: Initialize all NodeData memory
	we were leaving fields uninitialized.

	tracker-extract: Ensure all cue sheet MusicPieces have a nfo:duration
	The last entry in the TrackerToc may lack duration information, because
	it's not specified in the cue file, but is determined from the audio
	file itself. In this case, fill this info in.

	tracker-extract: Plug leak in cue sheet parsing

	tracker-extract: Use safer method to insert tags in PNG module
	The current way of inserting the nao:hasTag relationship on the
	extracted file involves one join operation per tag being inserted.
	This has performance implications, plus we can feasibly hit the
	sqlite limit of 64 tables in joins.

	Instead insert the tags in separate inserts, that will be as fast
	as it gets, plus there's no limit in the number of tags.

	tracker-extract: Use safer method to insert tags in TIFF module
	The current way of inserting the nao:hasTag relationship on the
	extracted file involves one join operation per tag being inserted.
	This has performance implications, plus we can feasibly hit the
	sqlite limit of 64 tables in joins.

	Instead insert the tags in separate inserts, that will be as fast
	as it gets, plus there's no limit in the number of tags.

	tracker-extract: Use safer method to insert tags in JPEG module
	The current way of inserting the nao:hasTag relationship on the
	extracted file involves one join operation per tag being inserted.
	This has performance implications, plus we can feasibly hit the
	sqlite limit of 64 tables in joins.

	Instead insert the tags in separate inserts, that will be as fast
	as it gets, plus there's no limit in the number of tags.

	tracker-extract: Use safer method to insert tags in GIF module
	The current way of inserting the nao:hasTag relationship on the
	extracted file involves one join operation per tag being inserted.
	This has performance implications, plus we can feasibly hit the
	sqlite limit of 64 tables in joins.

	Instead insert the tags in separate inserts, that will be as fast
	as it gets, plus there's no limit in the number of tags.

	tracker-extract: Use safer method to insert tags in PDF module
	The current way of inserting the nao:hasTag relationship on the
	extracted file involves one join operation per tag being inserted.
	This has performance implications, plus we can feasibly hit the
	sqlite limit of 64 tables in joins.

	Instead insert the tags in separate inserts, that will be as fast
	as it gets, plus there's no limit in the number of tags.

	tracker-extract: Propagate urn to the TrackerExtractInfo
	Now that extraction is performed after the file got initially
	inserted and has an URN, there's no reason we can't pass the
	URN to the TrackerExtractInfo. This would make URNs available
	to extract modules, which have some places where the SPARQL
	produced would be clearer.

	This actually opens the path for quite a cleanup, we might
	pass a single TrackerSparqlBuilder to extract modules instead
	of doing the postprocessing we currently perform.

	tracker-extract: Remove old dbus interface xml
	This interface is unused and not implemented nowadays, remove.

	libtracker-extract: Delete TrackerExtractClient
	It's dead code since tracker-extract is a TrackerDecorator, delete.

	libtracker-miner: Avoid changing order of elements in the processing queue
	If should_wait() returns TRUE for an element, we end up putting the file in
	the queue again and incrementing its reentry counter. This situation should
	be deemed normal, so we can just peek the element, and only pop it if we
	should not wait.

	libtracker-miner: Cut some slack on the reentry counter
	REENTRY_MAX is 2 currently, so counter<2 is effectively 1, which
	doesn't make much for "reentry".

	tracker-extract: Add missing application/msword mimetype
	Somehow that went missing.

	tracker-extract: Check string length before parsing XMP in the PDF extractor
	tracker_xmp_new() may warn if we're given an empty string here.

	tracker-extract: Protect all single valued properties in html extractor
	In case of malformed documents or unexpected input, avoid creating sparql
	that will break cardinality constraints, and ignore those, because there's
	so much broken html around.

	tracker-extract: Protect all single valued properties in oasis extractor
	In case of malformed documents or unexpected input, avoid creating sparql
	that will break cardinality constraints, warn nicely instead.

	tracker-extract: Protect all single valued properties in ooxml extractor
	In case of malformed documents or unexpected input, avoid creating sparql
	that will break cardinality constraints, warn nicely instead.

	tracker-extract: Protect all single valued properties in EPUB extractor
	In case of malformed documents or unexpected input, avoid creating sparql
	that will break cardinality constraints, warn nicely instead.

	tracker-extract: Protect all single valued properties in abiword extractor
	In case of malformed documents or unexpected input, avoid creating sparql
	that will break cardinality constraints, warn nicely instead.

2016-03-13  Carlos Garnacho  <carlosg@gnome.org>

	tests: Add tests to prove the last commit
	Reverting it will make the first test fail with:

	Unable to insert multiple values for subject `http://example.com/foo' and
	single valued property `example:propertyA' (old_value: 'foo', new value: 'bar')

	libtracker-data: Handle inserts where the subproperty cardinality is larger than the parents'
	This is the case of properties like nco:creator, which has unrestricted
	cardinality, but is subproperty of dc:creator, which has its cardinality
	limited to 1.

	In cases like this, inserts of multiple values shouldn't fail because of
	the restricted cardinality in superproperties which this one supersedes.
	So make it sure we don't propagate inserts to superproperties if its
	cardinality is already satisfied.

	Updates already work fine in this regard, with the difference that it's
	the last value which will prevail in the single-valued superproperty, this
	seems consistent with the nature of updates.

2016-03-11  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Avoid querying file type in crawling queries
	We only really need the file type from the database when checking
	for contents that are no longer in the filesystem. This spares us
	the OPTIONAL in the (by far) most commonly performed query here,
	the one checking the contents that do exist in the filesystem.

	Also, modify the "deleted contents check" query so it performs
	better with a larger number of elements.

2016-03-06  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Use gst_tag_list_new_empty() in cue sheet helpers
	It is the right way to create empty tag lists.

	tracker-extract: Fix gstreamer module cuesheet handling
	When a single nfo:FileDataObject represents multiple nmm:MusicPieces
	(eg. flac files with a cue sheet). We attempted to drop the nmm:MusicPiece
	aspect from the nfo:FileDataObject, but we dropped the entire resource
	instead.

	What was intended here is only dropping the nmm:MusicPiece, so the file
	resource remains a nfo:Audio and nfo:FileDataObject, and the per-track
	nmm:MusicPiece backreference to it through nie:isStoredAs.

2016-03-01  Carlos Garnacho  <carlosg@gnome.org>

	tracker-miner-fs: Add back .trackerignore to ignored-directories-with-content
	It is not the antique I thought it was, actually it's actively used around.

	Release 1.7.4

	tracker-miner-fs: Ignore git repositories by default
	Any file with a .git folder will be ignored. Feel free to change this
	in gsettings if you found this useful.

	tracker-miner-fs: Ignore #*# (vim backup) files by default

	Update to FTS5
	Our old stale copy of the FTS3/4 module is now deleted, replaced by
	a shinier FTS5 embedded module. If at configure time we detect that
	SQLite doesn't offer the FTS5 module, we will load our own, just as
	we used to do with FTS4.

	FTS5 brings a few differences in the ways it's meant to be extended,
	the tokenizer has been updated to cope with the differences. Also,
	FTS5 offers no offsets() builtin function, nor matchinfo() which we
	used to implement ranking. It offers though ways to implement
	additional functions, and builtin rank support which can be tweaked
	to achieve the same functional results than we did.

	Other than that, the ways to interact with the FTS virtual table
	are roughly similar to those in FTS4, insertions and deletions have
	been updated to do things the FTS5 way.

	Since it's not worth to bump the database format (data is reproducted
	from the journal, so we drop some embedded data such as
	nie:plainTextContent), the nco:hobby property has been modified to
	no longer be fulltext indexed, AFAIK there's no users ever setting/
	accessing that, and the FTS properties change will trigger the
	regeneration of the FTS view and virtual tables, resulting in a
	seamless update to FTS5.

	However, we don't leave completely unscathed from the fts3_tokenizer()
	change. Since the older FTS3/4 tokenizer is not registered, we can't
	just drop the older FTS table. So it is left dangling and never
	accessed again, in favor of the newer fts5 table. This is obviously
	not a problem when creating the database from scratch.

	In the way, a few bugs were found. per-property weights in ranking
	were being given in a scrambled way (although stable across database
	generations). And deletion of FTS properties (or entire rows) could
	result in the tokens not being fully removed from the FTS table,
	resulting in confused searches. These are now fixed.

	Impact to users of tracker should be none. All the FTS Sparql-to-SQL
	translation has been updated to just use FTS5 syntax and tables.

	libtracker-data: Handle tracker:fulltextIndexed changes
	We no longer have a reason to deem this change incompatible. Since
	no actual text is stored in the FTS tables, and it merely updates
	its tokenization info from the original class tables, we can just
	drop this info and reconstruct at will. So there's no longer need
	to consider tracker:fulltextIndexed changes as incompatible.

2016-02-27  Cédric Valmary  <cvalmary@yahoo.fr>

	Updated Occitan translation

2016-02-26  Marinus Schraal  <fosero@gmail.com>

	tracker-extract: Use tracker-guarantee to ensure a title in playlists
	Resort to the basename in order to guarantee a title.

	https://bugzilla.gnome.org/show_bug.cgi?id=761466

	tracker-extract: Fix year-only date extraction in gstreamer module
	ISO 8601 takes hours and months starting at 1. Passing 0 results in
	wrong parsing of the resulting date string.

	https://bugzilla.gnome.org/show_bug.cgi?id=761236

2016-02-25  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: lower g_critical() severity
	And check for another condition where it might happen (if
	tracker_crawler_start() happens on a non-existing dir). The severity
	of this situation is not really critical, so it's been lowered to a
	g_debug().

	libtracker-miner: Cancel crawling/querying on both cancellation paths
	When a currently inspected folder is cancelled, we could either jump to
	the next pending dir (if any) or the next crawling root, we must cancel
	these two operations prior to both.

	libtracker-miner: Use g_file_equal instead of direct comparison
	We might be passed a non-canonical directory to
	file_notifier_current_root_check_remove_directory(), g_file_equal
	will be safer.

	libtracker-miner: Plug fd leak when cancelling crawlers early
	The enumerators would just be freed but not closed, leaking fds
	in the underlying implementations.

	libtracker-direct: Handle cancellation
	Always go through the async path, and manage the cancellable in
	both the IO scheduler and the jobs. If we try to handle cancellation
	in the direct path, the cursor will be unref'ed (and try to grab
	the DB lock again) while the lock is held. There's no way cancellation
	can work while holding the lock, so just removed this path.

2016-02-24  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Do not break ordering with bulk operations
	The way bulk operations break the ordering of the sparql updates
	may bring certain glitches. eg. if a delete (bulk) operation
	happens on a folder while the sparql buffer already contains
	updates corresponding to files within that folder, the way we
	order operations results in the delete happening first, and
	the inserts/updates happening afterwards. This may leave the
	database in inconsistent states.

	So make bulk operations a 1 file thing, this could maybe be
	smarter and try to compress consecutive similar operations,
	but there's not much added value in it. Plus, the bulk operations
	we issue in the miner would never match that criteria.

	Because we no longer break the ordering with bulk operations,
	things like the error map are no longer necessary, so we can
	remove some icky code here.

	BulkOperationMerge and its functions could be further simplified,
	that's left for a later cleanup.

	libtracker-miner: Cancel ops in current buffers if a delete affects the file
	If a folder being deleted affects operations currently in the currently
	issued tasks (eg. those we emitted ::process-file on) and writeback buffers,
	those operations would still attempt to proceed, with different degrees
	of success.

	libtracker-miner: Stop crawling if a delete op affects the current directory
	Otherwise the crawler will still attempt to go through the processed
	folders, adding unnecesary processing and potentially leaving inconsistent
	state in the TrackerFileSystem if a similar file layout appeared in the
	future.

	libtracker-miner: Fix TrackerFileNotifier cancellable maintenance
	Resetting and reusing is not deemed safe. It is better to create new
	cancellables and let the old ones be last unref'ed after async callbacks
	finish.

	libtracker-miner: Delete directory altogether on interrupted crawling
	We can't tell the extracted data is complete or valid, so give up on
	that data entirely.

	libtracker-miner: Set uri in warning
	It's useful to know the file it comes from.

2016-02-16  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.7.3

	libtracker-miner: Fix invalid return value warning

2016-02-15  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Add envvar toggle to force directory updated checks
	The bugs covered by the last patches might leave leftovers in the DB if
	tracker-miner-fs updated a directory after it changed between runs, but
	wouldn't delete contents that were removed from the filesystem.

	Add this toggle envvar to point people to a solution, if you've seen errors
	like "UNIQUE constraint failed: nie:DataObject.nie:url" in journald, you're
	affected by these bugs, and should run tracker-miner-fs once with
	TRACKER_MINER_FORCE_CHECK_UPDATED set in the environment. Running just
	once will be enough, enabling this always will incur in startup performance
	penalties.

	libtracker-miner: Simplify deleted contents querying in TrackerFileNotifier
	Now that we perform per-directory crawling+querying, we can just check
	whether the currently crawled dir was updated, and remove all filtering
	features from sparql_contents_query_start().

	We actually were interpreting the filter incorrectly, because the
	directories would be added to the updated_dirs array sooner than they
	would be crawled, so the check for deleted contents was simply
	forgotten. This simplification fixes such situation.

2016-02-15  Haithem BEN GHORBAL  <haithem.benghorbal@gmail.com>

	libtracker-data: Fix uninitialized variable usage
	object_id is not initialized in this branch of code, use the object
	URI instead.

2016-02-15  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Detect file type on files coming from store
	When adding files from the store to the TrackerFileSystem, we must at least
	detect whether they are folders. Returning "unknown" here meant that
	TrackerMinerFS wouldn't enable the TRACKER_BULK_MATCH_CHILDREN mask on
	delete operations for directories, which could leave lingering child
	nfo:FileDataObjects.

	This situation could happen if a folder is deleted between runs of
	tracker-miner-fs, all information we can get comes from the store, as
	it's no longer there at the time of crawling.

	libtracker-miner: Use Sparql1.1 in TrackerSparqlBuffer tasks
	We can use STRSTARTS better than fn:starts-with here.

2016-02-15  Haithem BEN GHORBAL  <haithem.benghorbal@gmail.com>

	libtracker-miner: Separate currently crawled dir from pending directories
	The GQueue is passed as a filter to sparql_contents_compose_query(), but
	it relies on the current file being outside the filter, otherwise it
	will produce an empty IN() filter.

	libtracker-miner: Reset of reentry counter is not needed anymore
	Moreover, an infinite loop may occurs if process-file signal always fails.

	libtracker-miner: Invalidate files iri recursively in case of file removal
	Directories must get all children invalidated, because already queued tasks
	might contain new instances of those same files, in which case they would
	still find the previous URN.

	libtracker-miner: Allow to invalidate files iri recursively
	This will be useful for delete operations.

2016-02-15  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Proceed into querying if tracker_crawler_start() fails
	tracker_crawler_start() may return FALSE if the directory doesn't exist
	or its ::check-directory handlers return FALSE. We must continue in these
	circumstances into querying the directory as usual, so it's contrasted
	and eventually deleted by file_notifier_traverse_tree_foreach().

2016-02-15  Haithem BEN GHORBAL  <haithem.benghorbal@gmail.com>

	libtracker-miner: Fix some memory leaks of TrackerTask
	These leaks had huge impact as each TrackerTask had a reference
	to a GFile, which prevent them to be removed from TrackerFileSystem
	when calling tracker_file_system_forget_files(). Due to this behavior,
	adding/removing/re-adding folders resulted in some folders/files not
	being indexed.

	libtracker-miner: Add extra reference around file deletion
	TrackerFileNotifier::file-deleted might have removed the last reference
	to the given file, make sure it lives a bit longer for the remaining
	operations to finish.

	libtracker-miner: Use the interned GFile with tracker_file_system_forget_files()
	This allow the correponding node to be retrieved from g_object_get_qdata()
	instead of traversing all the tree, which might imply a performance hit.

	libtracker-miner: Fix generated Sparql query in sparql_contents_compose_query()
	If the first element is filtered out it'd append a comma anyway in
	the query filter.

	libtracker-miner: Fix "return makes integer from pointer without a cast" warnings

	libtracker-fts: Fix invalid blob length calculation
	The blob lenght is defined to be in bytes.

	Tracker: fix possible dereference of null pointer

	libtracker-data: remove unnecessary call to tracker_db_manager_get_db_interface()
	It was done at the end of the function.

	libtracker-data: Rework ontology_get_fts_properties()
	All callers require both hashtables, so remove NULL handling for those.
	Fixes a possible memory leak if fts_properties is NULL.

2016-02-14  Haithem BEN GHORBAL  <haithem.benghorbal@gmail.com>

	libtracker-miner: Fix variable set but not used warning

	docs: Fix less-than-zero comparison of an unsigned value

	libtracker-data: Fix g_warning() missing argument

2016-02-06  Rūdolfs Mazurs  <rudolfsm@src.gnome.org>

	Update Latvian translation

2016-01-28  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Do not insert partial/empty sparql on error
	The check for these errors was done specifically so we could still
	insert (even if incomplete) data on tracker-extract failures, when
	we used to communicate with it directly from tracker-miner-fs.

	Nowadays, tracker-extract is a TrackerDecorator, and tracker-miner-fs
	should most likely receive only errors here on ENOENT and other errors
	that affect the file and its info as a whole. In these situations
	we end up with a task with a completely empty sparql string, which
	doesn't help much here.

	libtracker-miner: Pass a builder in UPDATE state to ::remove-file
	A stateless TrackerSparqlBuilder is not that useful, because there's
	no API to push the desired state. A TrackerSparqlBuilder created
	through tracker_sparql_builder_new_update() will allow us to
	open delete and insert statements, which is what we want here.

	libtracker-miner: Remove children recursively from queues on directory deleted
	We use to emit ::file-deleted on topmost directories only when deleting a
	directory tree. This means we have to remove children recursively too, because
	we'll otherwise leave stale items that are not direct children of the directory
	we notified upon.

2016-01-25  Richard Hughes  <richard@hughsie.com>

	Update the AppData to spec version 0.7+

2016-01-21  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-common: Use guint64 for free space calculations
	We need the whole range after the multiplication with st.f_bsize, gsize
	may overflow here. Also, make the cast to double explicit rather than
	implicit in get_remaining_space_percentage()

2016-01-17  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.7.2

	libtracker-miner: Fix Invalid memory reads on writeback finalization
	We connect the signal through g_signal_connect_object() which has the
	feature of disconnecting automatically the signal when the given
	gobject is finalized. Doing it again ourselves in finalize ends up
	in invalid reads, we can avoid doing this altogether.

	libtracker-extract: Fix possible XMP extractor leak
	We may end up overwriting the TrackerXmpRegion fields here, and
	forgetting about the previous memory. Just stick to the first
	values if we iterate multiple times here.

	libtracker-data: Keep a weak reference on the Variable to the Context
	Otherwise we fall into circular references, and leaks eventually.

	libtracker-miner: Add TrackerMinerFS::remove-file signal
	This signal can be used to tweak TrackerMinerFS deletion behavior,
	or override it altogether.

	libtracker-common: Report total free space if running as root
	For the people that want to run Tracker as a system-wide service.
	There's no "unprivileged user" limitations to obey here, so just
	report st.f_bfree instead of st.f_bavail.

	ontology: Set domain index on nie:contentCreated for nmo:Message
	This is needed in order to optimize queries for mixed sent/received
	nmo:Messages. This becomes a bottleneck when making polari use
	tracker-miner-chatlog [1] information to fetch backlog from channels.

	nie:contentCreated will be contained by every nmo:Message, so this
	index allows us to perform quick queries even with a massive amount
	of per-channel messages.

	[1] https://git.gnome.org/browse/tracker-miner-chatlog/

	libtracker-common: Make libicu/libunistring agree on function prerequisites
	We can possibly end up with tracker_parser_unaccent_nfkd_string() called on
	0-length strings. Libunistring already handles/accepts this fine, the libicu
	implementation already is 0-length safe, so have it accept 0-length strings
	as well.

	tracker: Remove tracker-compatibility
	This was scheduled for removal for 1.6, a bit late here.

2016-01-16  Philip Van Hoof  <philip@codeminded.be>

	Revert "libtracker-data: Clean up stale URIs on startup"
	This reverts commit e4a0f7be0c138a733b74413ff7a11a9431c7fe08.

2016-01-11  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Remove wrong call
	We already got the task error on the g_task_propagate_boolean()
	above, and it's impossible that the task will contain a pointer,
	plus we'd leak it if it were the case. So just remove this call.

	libtracker-miner: Plug leak
	We take ownership on the task, we must free it then.

	tracker-extract: Plug leak
	We take ownership on the TrackerExtractInfo, we must free it then.

2016-01-11  Philip Van Hoof  <philip@codeminded.be>

	Fix small memory leak

2016-01-10  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translation

2015-12-17  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.7.1

	libtracker-extract: Fix double free
	We're giving ownership of the GError to the task, no need to free
	here.

	libtracker-miner: Fix double free
	Pass a copy of the error to the GTask, we're freeing our own together
	with the others in the array afterwards.

2015-12-15  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Updated Swedish translation

2015-12-13  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2015-12-10  Debarshi Ray  <debarshir@gnome.org>

	libtracker-data: Silence a CRITICAL
	We shouldn't be passing a NULL string argument to g_regex_match.

	https://bugzilla.gnome.org/show_bug.cgi?id=759280

2015-12-02  Carlos Garnacho  <carlosg@gnome.org>

	Merge branch 'wip/garnacho/sparql1.1'

	libtracker-miner: Optimize move operations
	Instead of creating one delete+insert per file (indirectly) contained
	in a folder, do it all at once in a DELETE...INSERT...WHERE. We only
	now need to query and block if we're running a thumbnailer service,
	which should be most uncommon.

	This makes the whole update to happen in a much tighter loop within
	tracker-store, eg. helps reduce the time spent in processing the
	renaming of a linux kernel tree (51964 elements) from 23s to 12s.
	(as measured locally by tracker-miner-fs on a previously idle
	system).

	libtracker-data: Add support for BIND
	The BIND form allows a value to be assigned to a variable from a graph
	pattern:

	  SELECT ?u ?hour
	  { ?u a rdfs:Resource .
	       nfo:fileLastModified ?modified
	    BIND (HOUR (?modified) AS ?hour)
	  }

	It will be specially useful on places where we use the result of a
	calculation on more than one places, eg. on SELECT and FILTER(). It will
	also be useful combined with DELETE...INSERT...WHERE to perform complex
	mass-updates in a single query.

	http://www.w3.org/TR/sparql11-query/#bind

	libtracker-data: Resolve variables looking up the binding if we're in same context
	This is necessary for BIND support, as the variables looked up to add the
	BIND alias likely belong to the same scope that we're currently building.
	This results in SQL like (very simplified, and shortened):

	  SELECT "nie:url" AS "1_u", "1_u" AS "2_u" ...

	The second "1_u" can't be looked up yet in this scope (only on the WHERE
	clause, or a wrapping SELECT), so ends up as the string itself. With this
	change, this kind of queries will result in (shortened again):

	  SELECT "nie:url" AS "1_u", "nie:url" AS "2_u" ...

	Which is legal, and results in the expected values assigned to the BIND
	alias.

	libtracker-data: Relate Variable objects to their origin Context
	It will be necessary so we can figure out at query construction time
	whether we are in a scope where we can use the variable alias or not.

	libtracker-data: Implement sparql1.1 delete/insert
	Sparql1.1 defines updates as a single statement of the form:
	DELETE {} INSERT {} WHERE {}

	With delete/insert-only syntax being special cases for that common
	form: http://www.w3.org/TR/sparql11-update/#deleteInsert

	This is now implemented in litracker-data, the parser will accept
	this new syntax, and perform the delete/insert operations on all
	solution items. We first perform all deletes and then all inserts
	in order to minimize database flushing.

	libtracker-data: Add support for NOW() builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-now

	libtracker-data: Add support for RAND() builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#idp2130040

	libtracker-data: Add SparqlRand sqlite function
	This will be used to back up the RAND() sparql 1.1 function. Unlike
	the random() sqlite builtin function, g_random_double() gives us
	the random number in the same range than described in the
	recommendation, so it seems a better fit.

2015-11-25  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.7.0

	tracker-extract-epub: Fix possibly uninitialized variable

	libtracker-miner: Fix compile warning

	tracker-extract: Port TrackerExtract to GTask

	libtracker-miner: Port TrackerSparqlBuffer to GTask

	libtracker-data: Port TrackerDBInterfaceSqlite to GTask

	libtracker-extract: Port tracker_extract_client API to GTask

2015-11-23  Carlos Garnacho  <carlosg@gnome.org>

	miners: Take over the deletion of previous properties from TrackerMinerFS
	Performing the deletion inside libtracker-miner takes some assumptions we
	shouldn't be doing in a generic library, such as the graph we're deleting
	from. It makes more sense to make miners responsible of deleting their
	older properties prior to a file update.

	Applications/user guides miners could be more specific as to which
	properties they're deleting, we'll rely on those not stepping over other
	miners' toes at the moment.

	https://bugzilla.gnome.org/show_bug.cgi?id=758341

2015-11-18  Debarshi Ray  <debarshir@gnome.org>

	tracker-extract-xmp: Fix extraction of orientation values 3 and 4
	They had gotten swapped around. See:
	http://www.cipa.jp/std/documents/e/DC-010-2012_E.pdf

	https://bugzilla.gnome.org/show_bug.cgi?id=758295

	tracker-extract-tiff: Fix extraction of orientation values
	TIFFTAG_ORIENTATION values range from 1 to 8, not 0 to 7. See:
	https://partners.adobe.com/public/developer/en/tiff/TIFF6.pdf

	https://bugzilla.gnome.org/show_bug.cgi?id=758293

2015-11-14  YunQiang Su  <yqsu@src.gnome.org>

	Us ... instead of …  for zh_CN

2015-11-14  liushuyu  <liushuyu_011@126.com>

	update zh_CN translation

2015-10-30  Debarshi Ray  <debarshir@gnome.org>

	libtracker-control: Improve the documentation
	Make it clear that tracker_miner_manager_index_file only tells the
	miner to start indexing a file. It doesn't wait for the actual indexing
	operation to complete.

	https://bugzilla.gnome.org/show_bug.cgi?id=757366

	libtracker-control: Fix the return value
	As documented, tracker_miner_manager_index_file should return TRUE on
	success, not FALSE.

	https://bugzilla.gnome.org/show_bug.cgi?id=757366

2015-10-23  Marius Gedminas  <marius@gedmin.as>

	Fix buffer overrun in libunistring builds
	libunistring uses UTF-8 strings without a trailing NUL byte.  We're
	passing such strings to tracker_parser_unaccent_nfkd_string() from
	function_sparql_unaccent() in the sqlite interface.  If the string has
	no accented characters, writing a NUL byte at the end will step out of
	bounds.  This causes memory corruption and crashes.

	The other caller of tracker_parser_unaccent_nfkd_string() is
	process_word_utf8(), and it looks like it wants a trailing NUL, so let's
	add it there.

	There are no more callers of the libunistring version of
	tracker_parser_unaccent_nfkd_string().

	(For extra confusion, the libicu version of
	tracker_parser_unaccent_nfkd_string() deals with U+0000-terminated
	UTF-16 strings.)

	Should fix https://bugzilla.gnome.org/show_bug.cgi?id=746195

2015-10-21  Debarshi Ray  <debarshir@gnome.org>

	libtracker-miner: Handle failure to get a TrackerSparqlConnection
	We might fail to get a TrackerSparqlConnection if the session was shut
	down too early and the DBus connection closed. Since this is not a
	programming error nor an example of a broken system, let's not abort
	and use a WARNING instead of a CRITICAL.

	https://bugzilla.gnome.org/show_bug.cgi?id=756869

2015-10-20  Debarshi Ray  <debarshir@gnome.org>

	libtracker-miner: Cancel pending async operations during destruction
	https://bugzilla.gnome.org/show_bug.cgi?id=756877

	libtracker-miner: Abort async operations once the instance is gone
	https://bugzilla.gnome.org/show_bug.cgi?id=756877

	Revert "libtracker-miner: Abort async operations once the ..."
	Wrong bug URL.

	This reverts commit 864aabbe4d5c4fb7fd9b0813c25a337240df6235.

	Revert "libtracker-miner: Cancel pending async operations ..."
	Wrong bug URL.

	This reverts commit dc04031e33c5f554040c8a2c3311aaaca51b4043.

	libtracker-miner: Cancel pending async operations during destruction
	https://bugzilla.gnome.org/show_bug.cgi?id=756869

	libtracker-miner: Abort async operations once the instance is gone
	https://bugzilla.gnome.org/show_bug.cgi?id=756869

2015-10-19  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Add support for MD5/SHA1/256/512 builtin functions
	These functions are defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-md5
	http://www.w3.org/TR/sparql11-query/#func-sha1
	http://www.w3.org/TR/sparql11-query/#func-sha256
	http://www.w3.org/TR/sparql11-query/#func-sha512

	libtracker-data: Add SparqlChecksum sqlite function
	This function will be used to back the various sparql checksum
	functions.

	libtracker-data: Add support for YEAR/.../SECONDS builtin functions
	These functions are defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-year
	http://www.w3.org/TR/sparql11-query/#func-month
	http://www.w3.org/TR/sparql11-query/#func-day
	http://www.w3.org/TR/sparql11-query/#func-hours
	http://www.w3.org/TR/sparql11-query/#func-minutes
	http://www.w3.org/TR/sparql11-query/#func-seconds

	libtracker-data: Pass explicitly the operation type on updates
	Instead of storing it in an internal variable, we might be applying
	different operation types here, so it will be clearer overall if
	we pass the operation around.

	libtracker-data: Make datetime functions accept other than vars
	The datetime functions were very specific at only accepting variables
	(backed by a table column), using the :localDate and :localTime
	decomposed fields, specific internally to datetime properties.

	So, actually make it able to accept other than variables (we will still
	use the decomposed local time for these), and translate these as a
	primary expression. This makes all these queries work (as opposed
	to just the first):

	select year(?date) { ?u nie:contentCreated ?date }
	select year(now()) {}
	select year("2015-07-29T23:00:00Z"^^xsd:dateTime) {}
	select year("2015-07-29"^^xsd:date) {}

	libtracker-data: Add support for CEIL/FLOOR builtin functions
	These functions are defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-ceil
	http://www.w3.org/TR/sparql11-query/#func-floor

	libtracker-data: Add SparqlCeil/Floor sqlite functions
	These will be used to implement CEIL/FLOOR, as per Sparql 1.1

	libtracker-data: Add support for STRBEFORE/STRAFTER builtin functions
	These functions are defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-strbefore
	http://www.w3.org/TR/sparql11-query/#func-strafter

	libtracker-data: Add SparqlStrBefore/After sqlite functions
	These will be used in STRBEFORE/STRAFTER, as per sparql 1.1

	libtracker-data: Add support for the ENCODE_FOR_URI() builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-encode

	libtracker-data: Add SparqlEncodeForUri sqlite function
	This will be used on ENCODE_FOR_URI(), as per sparql 1.1.

	libtracker-data: Add support for the ROUND() builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-round

	libtracker-data: Add support for the ABS() builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-abs

	libtracker-data: Add support for STRSTARTS/STRENDS builtin functions
	These are defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-strstarts
	http://www.w3.org/TR/sparql11-query/#func-strends

	libtracker-data: Add support for the SUBSTR() builtin function
	This function is defined in Sparql 1.1 query language recommedation,
	http://www.w3.org/TR/sparql11-query/#func-substr

	libtracker-data: Add support for the STRLEN() builtin function
	This function is defined in Sparql 1.1 query recommendation,
	http://www.w3.org/TR/sparql11-query/#func-strlen

	libtracker-data: Add support for LCASE/UCASE builtin functions
	These functions are defined in Sparql 1.1 query recommendation,
	http://www.w3.org/TR/sparql11-query/#func-lcase
	http://www.w3.org/TR/sparql11-query/#func-ucase

	libtracker-data: Add support for the CONTAINS builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-contains

	libtracker-data: Add support for the CONCAT() builtin function
	This function is defined in Sparql 1.1 query language recommendation,
	http://www.w3.org/TR/sparql11-query/#func-concat

2015-10-14  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Updated Basque language

2015-10-11  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Time out after 5 seconds, instead of 30 seconds
	Failing tests shouldn't take 30 seconds to fail. 5 seconds is still a
	long time.

	functional-tests: Clean up name watches properly

	functional-tests Remove some outdated and unused tests
	Also, the test-runner.sh now runs all .py files, instead of just those
	marked executable.

	functional-tests: Use GDBus instead of dbus-python
	dbus-python is deprecated.

2015-10-10  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Avoid AttributeError exception in Helper.stop()
	If a process was never started, the .stop method should do nothing
	instead of raising an AttributeError.

	functional-tests: Use environment vars instead of commandline options
	The commandline option parsing is totally broken and interferes with the
	real argument parsing of the unittest module or whatever other test
	runner you are using.

	You can now enable verbose test output by setting
	TRACKER_TESTS_VERBOSE=1 in the environment. The
	TRACKER_TESTS_MANUAL_START variable also exists but probably doesn't
	work at present.

2015-10-06  Denis Zalevskiy  <denis.zalevskiy@jolla.com>

	tracker: detect uid from /proc/pid
	Owner UID of the /proc/[pid]/cmdline could be different than process real UID
	while /proc/[pid] owner is expected to be equal.


	https://bugzilla.gnome.org/show_bug.cgi?id=755945

2015-09-28  Milo Casagrande  <milo@ubuntu.com>

	Updated Italian translation

2015-09-25  Bastien Nocera  <hadess@hadess.net>

	build: Work-around vim highlighting bug
	When "Couldn't" is used in an m4 macro, vim will highlight all the
	code until the next "'" to close it. Work around that by replacing
	"Couldn't" by "Could not".

	https://bugzilla.gnome.org/show_bug.cgi?id=755218

2015-09-22  Милош Поповић  <gpopac@gmail.com>

	Updated Serbian Latin translation

	Updated Serbian translation

2015-09-22  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.6.0

	tests: Don't use the same test path twice
	Recent glib forbids duplicate test paths, as the test relies on that
	in order to find the .rq/.out files, copy these files from graph-4*.

2015-09-20  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2015-09-20  Rafael Fontenelle  <rffontenelle@gmail.com>

	Updated Brazilian Portuguese translation

2015-09-20  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation.

2015-09-20  Alexandre Franke  <alexandre.franke@gmail.com>

	Updated French translation

2015-09-18  Bernd Homuth  <dev@hmt.im>

	Updated German translation

2015-09-18  Stas Solovey  <whats_up@tut.by>

	Updated Russian translation

2015-09-13  Muhammet Kara  <muhammetk@gmail.com>

	Updated Turkish translation

2015-09-08  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2015-09-05  Seong-ho Cho  <shcho@gnome.org>

	Updated Korean translation

2015-09-02  Dominique Leuenberger  <dimstar@opensuse.org>

	libtracker-extract: fix dummy_module
	The ModuleInfo typedef contains 6 items, of which the last is 'optional' (predefined).

	TRUE as parameter for TrackerExtractShutdownFunc though is not a good idea: it's used as an
	integer and passed as a pointer to a function call.

	As there is no shudown function for the dummy module, just pass an additional NULL in there.

	https://bugzilla.gnome.org/show_bug.cgi?id=754448

2015-09-02  Ting-Wei Lan  <lantw@src.gnome.org>

	build: Fix return value error for tracker_miner_files_peer_listener_is_file_watched
	https://bugzilla.gnome.org/show_bug.cgi?id=753942

2015-09-01  David King  <amigadave@amigadave.com>

	tracker-miner-fs: avoid crash during init
	Correctly handle the result of tracker_sparql_cursor_get_string(), which
	can be NULL.

	https://bugzilla.gnome.org/show_bug.cgi?id=754055

2015-08-31  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation

2015-08-28  Tom Tryfonidis  <tomtryf@gmail.com>

	Updated Greek translation

2015-08-28  Xavier Claessens  <xavier.claessens@collabora.com>

	TrackerExtractController: Fix DBus signature of GetStatus method
	When "wait-for-miner-fs" config is enabled, extractor calls GetStatus
	with a wrong expected return type and thus won't start extracting files
	until Files miner emits "Progress" signal.

	https://bugzilla.gnome.org/show_bug.cgi?id=754246

2015-08-27  Christian Kirbach  <Christian.Kirbach@gmail.com>

	Updated German translation

2015-08-26  Anders Jonsson  <anders.jonsson@norsjovallen.se>

	Updated Swedish translation

2015-08-26  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	Updated Chinese (Taiwan) translation

2015-08-25  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2015-08-25  Fran Dieguez  <fran@openhost.es>

	Updated Galician translations

2015-08-20  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.5.2

2015-08-19  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Mark nodes being removed
	We don't want to recurse on these, this turns the last
	tracker_indexing_tree_remove() call a no-op if happens to be called
	recursively within a ::directory-removed signal handler.

	Revert "libtracker-miner: Postpone TrackerIndexingTree::directory-removed emission"
	This reverts commit 5b4ab760c4782d1b7a098605b69d547c9466d20e.

	There's code relying on poking the removed directory flags one last time
	during ::directory-remove, so we must prevent from recursion in some other
	ways. Spotted during make distcheck.

	libtracker-miner: Check the crawler cancellable before destroying it
	It won't be set unless tracker_crawler_start() was called, so there's a
	chance it could be NULL on finalize. Spotted on make distcheck

	tests: Fix make check
	We now return a GError in the only tested condition, so look for this at least

	tracker-miner-fs: Keep cache of IndexFile requesters on directories
	The senders for all DBus requests to the IndexFile method on directories
	will be now watched, the dbus presence of the senders will control the
	lifetime of the directory on the indexed directories tree.

	There may be multiple requests on a same directory, in such case the
	directory will be indexed/monitored for as long as there is alive requesters
	on it. Requests on already indexed directories (or children of recursively
	indexed ones) will be silently ignored. Unmounts will also silently drop
	the IndexFile listeners, applications should issue new requests on volume
	mounts if desired.

	The patch is loosely based on initial work from Felipe Borges.

	https://bugzilla.gnome.org/show_bug.cgi?id=680834

2015-08-18  Sam Thursfield  <sam@afuera.me.uk>

	libtracker-miner: Deprecate tracker_miner_fs_add_directory_without_parent
	This has been unused since commit 74d20884c870c2f54d93d3c01824b0994629c5d3.

2015-08-17  Jordi Mas  <jmas@softcatala.org>

	Update Catalan translation

2015-08-15  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Invalidate TrackerDecoratorFS cache on (pre)unmount
	This ensures tracker-extract promptly drops all its current items when
	volumes are being unmounted, otherwise the already cached items will keep
	being processed, possibly preventing unmount from happening.

	libtracker-miner: Postpone TrackerIndexingTree::directory-removed emission
	Emitting before actually detaching the file from the GNode tree won't be
	safe if the signal results in reentrancy on tracker_indexing_tree_remove()

	libtracker-miner: Drop cache on TrackerDecorator pause/resume
	The cached data might be old by the time the miner is resumed, so just
	fetch some data from scratch.

	libtracker-miner: Ensure TrackerFileNotifier stops on crawler interruption
	finish_current_directory() shouldn't jump to the next directory in the
	current root if crawling is being interrupted there.

	Now that we unset priv->current_index_root as a result of interruption,
	we can avoid doing that ad-hoc on indexing_tree_directory_removed().

	libtracker-miner: Fix TrackerCrawler cancellation
	On tracker_crawler_stop()/cancellation, the various async callbacks
	would poke memory that is no longer valid (The DataProviderData and
	DirectoryRootInfo structs will be immediately destroyed, before the
	callbacks are run).

	This fixes multiple crash scenarios upon cancellation, the crawler
	has been also simplified to use a single cancellable, since we'll
	be just running one data provider/enumerator at a time.

	tracker-extract: Plug error leak

	libtracker-extract: Plug error leak

	libtracker-extract: Plug leak
	The string would be leaked if we end up with too low confidence from libicu.

2015-08-11  Sam Thursfield  <sam@afuera.me.uk>

	functional-tests: Improve 'manual start' mode
	This mode now allows you to run the tests against already-running
	Tracker processes. A lot of tests depend on specific miner-fs
	configuration so they might not work, but it can be useful.

	You can still start the test and then manually start the Tracker process
	if you want.

	Note that enabling manual start on the commandline probably doesn't
	work (commandline options for these tests are pretty broken) so just
	change the options.is_manual_start() function to 'return True' if you
	want to use this mode.

	functional-tests: Clean up miner tests a bit

	Update .gitignore

2015-08-09  Necdet Yücel  <necdetyucel@gmail.com>

	Updated Turkish translation

2015-08-08  Felipe Braga  <fbobraga@gmail.com>

	Updated Brazilian Portuguese translation

2015-08-04  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract: Remove SVG handling code from the gstreamer module
	This is now unused.

	tracker-extract: Use dummy fastpath for svg extraction
	The gstreamer based extraction is less than useful for our purposes,
	it could spend considerable amounts of cpu time and memory in
	building a pixel representation of the image (which is useless for
	us), and would extract nothing relevant from the file (w/h are
	meaningless on scalable images, other details such as geolocation
	just don't apply here).

	So SVG through gstreamer was a very expensive no-op, it can be
	safely made to use dummy extraction, and it will still be set
	the corresponding rdf:types.

	This is our side of the fix for:
	https://bugzilla.gnome.org/show_bug.cgi?id=748608

	libtracker-extract: Add builtin dummy extractor
	For rules with no ModulePath key (i.e. those we only want to set
	rdf:types for) we relied on the lack of generic extractors that
	might handle the mimetype.

	If there was one such generic extractor, the TrackerMimetypeInfo
	iterator would skip the empty rule and directly attempt the generic
	extractor.

	Because it is conceivable that no-op is desired for some files,
	we shouldn't attempt to skip it, nor run further modules after the
	dummy rules, so just give this dummy fastpath a presence that
	tracker-extract will make sense of.

	tracker-extract: items==0 doesn't imply failure
	There may be files where there's just nothing to be extracted, make
	these fall through the success code paths. If a module fails for
	any reason, it must return FALSE on the get_metadata func.

	tracker-extract: Handle correctly empty insertions
	There may be files for which is valid to say "there's nothing to
	extract here" without resorting to error paths, in that case we
	must insert the dataSource, but skip the empty statements for the
	file.

	tracker-extract: Handle NULL modules
	This will be necessary when we have an internal dummy function.

2015-08-03  Andres Gomez  <andres.gomez@jolla.com>

	libtracker-common: String to date conversion to return with GError when null string
	Previously we were failing with a GLIB CRITICAL.
	Now, return gentlier and with a filled GError.

	https://bugzilla.gnome.org/show_bug.cgi?id=752544

2015-08-03  Pedro Albuquerque  <palbuquerque73@gmail.com>

	Updated Portuguese translation

2015-08-02  Aurimas Černius  <aurisc4@gmail.com>

	Updated Lithuanian translation

2015-07-31  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2015-07-31  Martyn Russell  <martyn@lanedo.com>

	build: Fix bash completion dir problem with make install, distcheck
	- Support JHBuild too
	- Allow disabling altogether
	- Fix DISTCHECK flags

	Conflicts:
		Makefile.am

2015-07-31  Ting-Wei Lan  <lantw@src.gnome.org>

	build: Fix return value error for tracker_file_notifier_get_file_type
	https://bugzilla.gnome.org/show_bug.cgi?id=752900

2015-07-31  Martyn Russell  <martyn@lanedo.com>

	tracker: Fixed search with -f <arg> or --files <arg>, broken expression
	https://bugzilla.gnome.org/show_bug.cgi?id=752871

2015-07-27  Dušan Kazik  <prescott66@gmail.com>

	Updated Slovak translation

2015-07-26  Carlos Garnacho  <carlosg@gnome.org>

	rss: cater for nmo:communicationChannel cardinality changes
	Now that mfo:FeedMessages can reference multiple mfo:FeedChannels,
	ensure we set link messages with all channels we receive these from.

	ontology: Remove cardinality limits on nmo:communicationChannel
	For at least the case of feed messages (the only user of
	nmo:communicationChannel inside Tracker), this does not
	quite represent reality, a same message can come from different
	channels (eg. same developers across several planet feeds),
	so remove the cardinality limit.

	The change also affects the indices created on the nmo:Message
	table, there will be an implicit index for the multivalued field,
	so there's no need for tracker:indexed, the secondary index shared
	with nmo:receivedDate has changed into making an index on
	nmo:receivedDate itself, it should yield similar results together
	with the index on the new standalone table for nmo:communicationChannel.

	Regarding compliance with Nepomuk, nmo:communicationChannel got stuck
	forever as an enhancement request at
	http://dev.nepomuk.semanticdesktop.org/ticket/722, so it's not something
	to care about here.

	libtracker-data: Cope for cardinality changes overwriting indices
	There's otherwise name collision between the old single-valued index
	and the new multivalued table. The index for the multivalued table
	will be created afterwards.

	rss: Unify website handling
	We now keep per feed item a hashtable of websites, so we can filter
	duplicates and point to the right URN/IRI in the insert queries.

	rss: Perform extraction/insertion of feed items at once
	The async ASK/INSERT pattern per-feed was vulnerable to nie:url collisions
	if we happened to process several feed items pointing to the same URL
	simultaneously.

	Change this so we first query the older items, and then we check items are
	really up to date, inserting only the newest of occurrences, and updating
	the database if the content changed for real (eg. the post was updated).
	This is done in a single update_array operation for all feed items in a
	channel.

	rss: Refactor mfo:FeedMessage sparql insert creation into a separate function
	No functional changes here.

2015-07-25  Carlos Garnacho  <carlosg@gnome.org>

	rss: Optimize deletes
	We now just do 2 queries, one that deletes nmo:communicationChannel from
	all related mfo:FeedMessages when a mfo:FeedChannel is deleted, and
	another that garbage collects all mfo:FeedMessages that have no
	nmo:communicationChannel. This approach is compatible with any possible
	cardinality changes to nmo:communicationChannel.

	libtracker-data: Clean up stale URIs on startup
	The Resource table can be left populated with stale resources, in order to
	avoid these from accumulating, clean these up during startup.

	This assumes all miners and clients will be educated and will clean up all
	references to deleted resources (triples of the form {?urn some:prop ?deleted})
	at the moment deletes happen, and always during the lifetime of the previous
	run of tracker-store.

	If there's sloppy miners/clients that don't fully unlink the resource, or
	users mess with the lifetime of tracker-store in the middle of such
	maintenance operations, we will leave such stale values around the
	database, possibly confusing queries where the predicate is used in the
	WHERE section. Short of having fully refcounted resources, seems like a
	minor drawback.

	Revert "libtracker-data: delete elements from the Resource table"
	This reverts commit ae3ab553d0e5faf0dadc85586dac0c0ee4443394.

	This approach is a bit too drastic, as it may confuse queries triggered
	by the deletion of the resource, the SQL translation of DELETE queries
	using the deleted resource in the WHERE will fail because there is no
	matching URI for that row ID anymore.

	Another less drastic approach is done in the next commit.

2015-07-24  Carlos Garnacho  <carlosg@gnome.org>

	rss: Keep the channels by tracker:id() in the hashtable
	We won't be able to fetch the old URNs for the delete mfo:FeedChannels
	at the time of receiving the GraphUpdated notifications, we can only
	store these by tracker:id() as that's the only thing we readily have.

	rss: Simplify GrssFeedChannel list creation
	Simply fetch the hashtable values, instead of overcomplicating
	the old/new checks.

2015-07-24  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2015-07-24  Carlos Garnacho  <carlosg@gnome.org>

	rss: fix typo
	Destroy, not free.

	rss: Set website url as a nfo:WebSite
	nco:websiteUrl has to point to a rdfs:Resource according to the
	ontology, so make the string a full blown nfo:WebSite, with its
	nie:url.

2015-07-22  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-miner: Fallback to basename checks on hidden files
	When we receive DELETED events on files, the TrackerFileNotifier/
	TrackerIndexingTree attempt to find out if its hidden and should
	thus be ignored. However the g_file_query_info() evidently fails
	at that time, with the file already deleted, so we think the file
	is not hidden and the delete operation gets propagated to the
	TrackerMineFS.

	Fix this by resorting to basename checks as a last resort, so
	we do the right thing even after the file is gone.

2015-07-22  David King  <amigadave@amigadave.com>

	libtracker-data: Fix printf string format
	Introduced by commit 81135ae19c727df716d0c0945869462e75a53497.

	https://bugzilla.gnome.org/show_bug.cgi?id=752717

2015-07-21  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.5.1

	libtracker-miner: Avoid full table scans on recursive sparql buffer queries
	If MATCH_CHILDREN is specified for a TrackerTask, we use
	tracker:uri-is-descendant(), it's however smarter to use fn:starts-with,
	as that'll resort to sqlite tricks that will avoid full table scans.

	libtracker-miner: Remove operations on children on deleted folders
	This is an optimization to reduce the number of queries that we
	perform across the deletion of large directory trees.

	libtracker-miner: Only set MATCH_CHILDREN on tasks for directory files
	It's a query that can be avoided for non-directories, so better do it.

	libtracker-miner: Add tracker_file_notifier_get_file_type()
	Just plug the hole from the internal TrackerFileSystem, will be
	handy for fast file type checks at the TrackerMinerFS level.

	libtracker-miner: Be smarter at not triggering TrackerDecorator activity
	There's times where tracker-extract GraphUpdated handler will fire due
	to its own inserts. Doing so is harmless, but triggers each time a
	query for the count of unhandled elements that effectively goes nowhere
	as it's already active.

	So handle_updates() is now smarter at not triggering activity unless
	a resource of the inspected classes is added, and graph_updated_cb()
	won't trigger anymore the count query everytime.

	libtracker-data: delete elements from the Resource table
	On deletion, items with an specific row ID are removed from all
	tables but the Resources one, which holds the urn:uuid:... mappings.

	The deletion of that table lead to confusions in the fts_view view
	and ultimately the FTS table, as both will indirectly depend on the
	elements stored there, so the deleted rows still had FTS representation,
	just filled with nulls.

	This looks like was just forgotten, if it was there to cover
	constraint errors, it'll be better to just open the pandora box, and
	fix the bugs we receive. Anyhow, from testing most common scenarios
	it works alright.

	parser: Optimize 0-length string parsing
	We were still creating the ICU parser and trying to feed it with
	data, which turned out surprisingly expensive on deletes, as
	"deleting" on FTS just replaces the text with "nothing", so we're
	creating a parser for each of these.

	This reduces the timing of the sparql delete in the previous commit
	further down to:
	real	1m7.029s
	user	0m0.023s
	sys	0m0.009s

	libtracker-data: Don't schedule all deletes only because of FTS
	The limitations in FTS why it made sense to perform the scheduled
	delete no longer apply since FTS4 and external content tables
	(or rather, we don't need the previous values explicitly).

	The scheduled delete is a lot more (if not extremely) thorough,
	decomposing the properties and items to be deleted into individual
	queries. This has quite an effect on deletes involving a large
	number of elements, a query like

	delete { ?u a rdfs:Resource; }
	where { ?u nie:url ?url .
	           FILTER (fn:starts-with (?url, ".../linux/"))}

	on a linux git checkout indexed through tracker-miner-fs used
	to involve 7M sqlite queries, with this fast path it's down to
	1.6M (and infinitely less sqlite3_stmt cache misses). In result
	the timing is improved substantially, time(1) from that query
	on the "tracker sparql" command went from:

	real	2m33.377s
	user	0m0.021s
	sys	0m0.008s

	Down to:

	real	1m23.625s
	user	0m0.021s
	sys	0m0.009s

	libtracker-data: Add function to delete an entire row from the FTS table
	This can be used as an optimization, instead of updating each column
	individually as we currently do.

2015-07-19  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-msoffice: Avoid frequent errors when feeding wrong files
	There's mimetypes which detection is too weak (i.e. purely based on
	filename extension matches), so it makes sense to avoid the frequent
	errors we get when the module gets fed a random file.

	tracker-extract-gstreamer: Avoid frequent errors when feeding wrong files
	There's mimetypes which detection is too weak (i.e. purely based on
	filename extension matches), so it makes sense to avoid the frequent
	errors we get when the module gets fed a random file.

	Merge branch 'wip/GrssPerson'

2015-07-18  Igor Gnatenko  <ignatenko@src.gnome.org>

	configure: bump required libgrss version to 0.7
	and now grss has unversioned pc name

2015-07-18  Carlos Garnacho  <carlosg@gnome.org>

	rss: use tracker_sparql_builder_object_blank_open()/close()
	Tested-by: Igor Gnatenko <ignatenko@src.gnome.org>

2015-07-18  Igor Gnatenko  <ignatenko@src.gnome.org>

	rss: add extracting additional attrs for persons
	GrssPerson is introduced in libgrss 0.7

2015-07-18  Carlos Garnacho  <carlosg@gnome.org>

	rss: Extract copyright/contributors/categories from feed messages
	These do get extracted as nie:copyright, nco:contributor and nie:keyword
	respectively.

2015-07-18  Pedro Albuquerque  <palbuquerque73@gmail.com>

	Updated Portuguese translation

2015-07-17  Balázs Úr  <urbalazs@gmail.com>

	Updated Hungarian translation

2015-07-17  Carlos Garnacho  <carlosg@gnome.org>

	rss: Store html as nmo:htmlMessageContent
	We get raw HTML content from the feed, and nie:plainTextContent
	should be that, plain text. This change is twofold, we now store
	the HTML content as nmo:htmlMessageContent (as the ontology
	observes), and honor nie:plainTextContent (and FTS!) by storing
	the plain text stripped of all tags.

	rss: Maintain references to GrssFeedChannels
	We're currently leaking these, and recreating all from scratch
	again each time we query the mfo:FeedChannels. Just keep the references,
	and reuse GrssFeedChannels from previous additions.

	rss: Account for a same feed message coming from different channels
	Unfortunately the nmo:communicationChannel docs are very explicit about
	the property cardinality. So we just create the mfo:FeedMessage for
	the first channel, and make it bail out any next time it would be
	added, from the same mfo:FeedChannel or another.

	https://bugzilla.gnome.org/show_bug.cgi?id=752484

	rss: replace string comparison by boolean check
	The cursor can return the correct type right away, no need to
	retrieve the boolean value as a string and compare to anything.

	rss: Handle mfo:FeedChannel deletes
	If we receive a delete for one of those, we'll delete all feed messages
	associated with it.

2015-07-16  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2015-07-16  Carlos Garnacho  <carlosg@gnome.org>

	rss: Make --title argument optional
	We can fetch that now from the feed channel, so leave --add-feed
	as the minimum required.

	rss: Lower severity of frequent message
	No need for a g_message() for something that's completely expected.

	rss: Retrieve information around mfo:FeedChannels
	We leave these mostly untouched, but we should have some info to fill
	in when the GrssFeedChannel has been populated. We currently retrieve
	title, url (although we should have gotten that in the first place),
	feed type, description, image link, and last message date.

	rss: Be more careful about updates
	We just check all feeds on any hint from GraphUpdate, which means
	we also update everything if we dare to modify the mfo:FeedChannel,
	resulting in circular updates.

	Actually, we should be just inspecting additions of mfo:FeedChannel
	elements (or selected property changes in these), so modifications
	on these don't trigger the extraction of all the feeds again.
	If we happen to update all feeds on GraphUpdates, we also do so
	when modifying FeedChannels

2015-07-15  Carlos Garnacho  <carlosg@gnome.org>

	rss: Unset timeout source id
	This timeout is meant to run once, but leaves the timeout_id behind,
	which warns when we g_source_remove() it.

	rss: Fix double free
	The variant is not for us to free.

	rss: fix typo in ontology
	nco:fullname is all lowercase, this one caught me too...

	rss: Fix compile error
	has_author was not defined. It's been renamed to "author" too, the former
	name makes more sense for booleans.

2015-07-15  Igor Gnatenko  <ignatenko@src.gnome.org>

	rss: author field should be nco:Contact, not string
	Reference: https://bugzilla.gnome.org/show_bug.cgi?id=752398

	rss: add author field
	Reference: https://bugzilla.gnome.org/show_bug.cgi?id=752398

2015-07-14  Igor Gnatenko  <ignatenko@src.gnome.org>

	bump libgrss to latest 0.6
	There are no API break since 0.5, but 0.5 doesn't work well and doesn't shipped in distros

	Reference: https://bugzilla.gnome.org/show_bug.cgi?id=752371

2015-07-13  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.5.0

	distcheck fixes

	tracker-extract: Remove ModulePath from comic/ebook rules
	These relied on the dummy extractor, removing the ModulePath is a similar
	silent shortcut since commit 06f7d4a1a.

	extract-gstreamer: Rely better on the GstDiscoverer than mimetype sniffing
	There's mimetypes that easily fool mimetype detection (eg. OGG videos with
	.ogg extension instead of .ogv will be detected as audio/ogg), the
	GstDiscoverer will however find out correctly whether there's audio and/or
	video information, so we should rely on it as a last resort, rather than
	(weaker) mimetype sniffing.

	This prevents .ogg suffixed videos from being played by gnome-music (oddly,
	with success, in a separate window).

2015-07-13  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2015-07-12  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-extract: Accept rules with no ModulePath
	This will enable us to make dummy rules for files that must have some RDF
	type(s), but don't have an extractor module.

	https://bugzilla.gnome.org/show_bug.cgi?id=735610

2015-07-12  Gilles Dartiguelongue  <eva@gentoo.org>

	build: Fix AM_CONDITIONAL position HAVE_{GSTREAMER,LIBAV} definition
	https://bugzilla.gnome.org/show_bug.cgi?id=750368

2015-07-06  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-gstreamer: Fallback to preview image for album art
	Some files don't provide a cover image, but just a preview image, we can
	use that as albumart.

	This commit reuses code from a fallback which looks bogus nowadays, since
	it just does the same than the while loop above. If we reached there, it
	would fail again for sure.

	https://bugzilla.gnome.org/show_bug.cgi?id=732236

2015-07-06  Pedro Albuquerque  <palbuquerque73@gmail.com>

	Updated Portuguese translation

2015-07-06  Philip Withnall  <philip.withnall@collabora.co.uk>

	libtracker-miner: Keep a monitor on root index tree files on deletion
	If Tracker is running with some index-recursive-directories set (for
	example, ~/Music), and one of those directories is moved, then the file
	monitor watching for its existence is deleted. This means that if it is
	then moved back to the location listed in index-recursive-directories,
	its renewed existence is not detected, and its contents are not
	re-indexed.

	Fix this by keeping a monitor around on a directory if that directory is
	listed as an index tree root, even if the directory is deleted.

	https://bugzilla.gnome.org/show_bug.cgi?id=750394

2015-07-06  Ville Skyttä  <ville.skytta@iki.fi>

	tracker-sparql.1: Man page syntax fix
	https://bugzilla.gnome.org/show_bug.cgi?id=751723

	docs: Spelling fixes
	https://bugzilla.gnome.org/show_bug.cgi?id=751724

2015-07-05  Carlos Garnacho  <carlosg@gnome.org>

	tracker-miner-fs: Reset retry counter when we need to prepend parents
	The situation where a parent directory has to be prepended in order to
	process the current file is rare, mainly reserved to IndexFile calls
	on files out of watched dirs.

	This is a corner situation, but it is a legit place where we have to
	put the file back again in the queue, and thus we shouldn't increase
	the retry counter.

	This nominally fixes the indexing of gnome-documents-getting-started.pdf
	on a fresh-out tracker DB, as requested by gnome-shell.

	https://bugzilla.gnome.org/show_bug.cgi?id=751992

	tracker-preferences: Use the new command line tool
	We resort to the tracker CLI for restart/reindex, the calls have
	changed to use Posix.system() as there's some operations that are
	now mutually exclusive in the CLI tool (eg. reset and start daemons)
	and still need to be performed in a single step here.

	https://bugzilla.gnome.org/show_bug.cgi?id=748677

	tracker-preferences: Remove needless prints
	These won't tell a lot, since we're killing the whole thing.

2015-07-05  Sam Thursfield  <sam@afuera.me.uk>

	Fix tracker-encoding-test
	After commit ede17cc22b0c6245c030 this was failing to compile.

2015-07-05  Carlos Garnacho  <carlosg@gnome.org>

	cli: Improve bash completion script
	We now autocomplete files where it applies (various -f/--file options,
	tracker info) and '-' prefixed switches.

	cli: Mark missing strings for translation
	The help strings in the sql subcommand weren't marked as translated

	extract-mp3: Bail out on encoding detection if confidence is too low
	Libicu encoding detection is able to tell the confidence it got on
	the detection, we should be using that in case the confidence is
	too low, as that means the returned encoding is probably bogus, and
	we have an encoding to fallback on.

	This fixes detection on the file reported on bug #735515, where
	a couple of 'ï' chars (valid ISO-8859-1) make libicu detect UTF-16BE,
	although with an extremely low confidence.

	https://bugzilla.gnome.org/show_bug.cgi?id=735515

	libtracker-extract: initialize value
	ucsdet_open() expects an status set to 0, otherwise it will bail out
	early. With uninitialized memory we might or might not get that.

2015-07-05  Philip Withnall  <philip.withnall@collabora.co.uk>

	vala: Ensure all .vapi files contain GIR namespace CCode attributes
	Ensure all .vapi files exported by Tracker contain gir_namespace and
	gir_version CCode attributes, otherwise Vala code compiled against them
	will hit this warning:

	tracker-sparql-1.0.vapi:4.2-4.17: warning: Namespace Sparql does not
	have a GIR namespace and version annotation
		namespace Sparql {

	https://bugzilla.gnome.org/show_bug.cgi?id=751051

2015-07-04  Marcus Meissner  <meissner@suse.de>

	configure: Save LDFLAGS
	There's places where CFLAGS is modified/restored while LDFLAGS is left
	untouched, both should be saved/restored at the same time.

	https://bugzilla.gnome.org/show_bug.cgi?id=742186

2015-07-04  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Trigger rebuild of FTS tokens on parser changes
	Whenever there's a change in the implementation of our tokenizers, we'll
	trigger a rebuild of the FTS table. This allows for live updates to our
	tokenizers without the need to redo the database from scratch.

	The FTS rebuild is also triggered on locale changes.

	libtracker-data: Add functions to maintain a "parser sha1" stamp file
	We'll keep a ~/.cache/tracker/parser-sha1.txt file, containing the sha1 of
	the last commit that affected libtracker-common/tracker-parser*, which
	Tracker will compare against its compiled-in one. This will help trigger
	automatic FTS token rebuild on parser changes.

	libtracker-data: Add TrackerDBInterfaceSqlite method to rebuild FTS tokens
	Not a lot going on here, we just punch the hole so it can be used on
	tracker-data-manager.c

	tracker-fts: Add method to rebuild the FTS tokens
	This may be useful on locale changes or tokenizer updates, as our
	FTS table uses external content (the fts_view view we create for that
	purpose), All text content is external to it, so we can safely rebuild
	all tokens from scratch.

	libtracker-common: generate sha1 for the current parser incarnation
	This is created out of the last git commit sha1 from the relevant
	parser files. It may be used in order to rebuild the FTS table tokens
	after we perform changes in the tokenizers themselves.

	docs: Ensure ontology properties can be looked up through devhelp
	The devhelp index generation relies on specific roles set in the
	docbook XML, we were setting none for ontology properties though.

2015-07-04  Philip Withnall  <philip.withnall@collabora.co.uk>

	tracker-miner-fs: Fix a completion check when removing the final task
	Depending on how mining goes, this path might be the last one taken
	before the miner is ready to go idle again. However, the check on the
	task pool size is guaranteed to be false because the task which
	item_add_or_update_continue() was called on has not yet been removed
	from the pool — that’s done directly below.

	Fix that by removing the task from the task pool before checking whether
	the pool is empty.

	This fixes stalls in tracker-miner-fs where `tracker-control -S` would
	show the following for ever (when running with
	index-recursive-directories set to a non-empty list):
	   1%  File System - Crawl finished for directory 'blah'

	Previously, the only way to fix this was to pause and then resume the
	miner.

	https://bugzilla.gnome.org/show_bug.cgi?id=751172

	tracker-thumbnailer: Output debug information about supported MIME types
	https://bugzilla.gnome.org/show_bug.cgi?id=751654

	build: Add missing files to .gitignore files
	https://bugzilla.gnome.org/show_bug.cgi?id=751052

2015-07-04  Iain Lane  <iain@orangesquash.org.uk>

	functions-tracker: Fix collate order
	Somewhere between sqlite 3.8.7 and 3.8.10.2, sqlite seemed to fix
	a bug on ORDER BY SOMESTRINGFUNCTION() clauses, where it would
	invariably apply the BINARY collator, despite tracker specifying
	its own one.

	This is something that 2 libtracker-data tests were indirectly
	testing, where queries are sorted by tracker:coalesce(), these now
	happen to fail because the stored results inadvertently had the wrong
	order.

	https://bugzilla.gnome.org/show_bug.cgi?id=749262

2015-07-03  Carlos Garnacho  <carlosg@gnome.org>

	extract-mp3: Stop processing after finding padding
	ID3v2[0-4] Allows the possibility of some padding at the end of an
	ID3 block, defined to be filled with 0x00, just in case later tag
	additions don't cause a full rewrite of the file. This means there's
	nothing for us when we hit this.

	ID3v2.4 also defines the existence of "ID3 footers", those always
	start as "3ID", and should be skipped for our purposes, as those
	are basically a mirror of the ID3 block.

	This most notably avoids a bunch of "Ignoring unknown frame ''"
	spew on -v 3 logs, as padding is fairly common.

	extract-mp3: Account for the tag header size in calculations
	In the parsing of id3v2[0-4] tags, we calculate offsets in base
	of the size we get in the header, which according to id3 specs,
	doesn't include the 10 bytes of the header itself.

	This means there's a disparity of 10 bytes between our 0-based
	offsets, and our 10-based fetched size, we must account for this
	when iterating through frames.

	Also, we were possibly (and mistakenly) iterating till the end
	of the file (comparing against size instead of tsize(+header) in
	the while loops), we only have to parse one id3 block at a time.
	If the former bug could conceivable make us miss the last frame,
	this one would overcompensate for it.

	Less importantly, this fixes the incorrect "position +
	content size > tag size, not processing any more frames" debug
	spew I was seeing on many mp3s with -v 3.

	extract-mp3: Return false if we find no frame headers
	This means we're probably not dealing with an mp3 file, even if
	we thought so. This makes it possible to bail out into more generic
	modules (eg. gstreamer) that might catch what the file is for real.

	https://bugzilla.gnome.org/show_bug.cgi?id=733136

	tracker-extract: Check the return value from TrackerExtractMetadataFunc
	Extract modules might fail mid-processing, when the TrackerSparqlBuilder
	has been partially written, we should bail out and move on to the next
	extract module, as we can't guarantee its validity.

2015-07-01  Carlos Garnacho  <carlosg@gnome.org>

	Merge branch 'decorator-memory-reduction'

	tracker-miner-fs: Delete nie:dataSources on update
	Decorators should be updating again all relevant information, so ensure
	their nie:dataSource is deleted for these to kick in again.

	This used to be unnecessary because updated items just went to the
	internal decorator queue, without further checks. Now that the decorators
	query the database for the next items missing that dataSource, it is
	crucial to do this somewhere.

	tracker-extract: tell what the error really means
	The current one is not really intuitive.

	libtracker-miner: Reduce TrackerDecorator file cache size
	Instead of keeping all items in memory, a small cache is kept of upcoming
	files to be processed, querying the database again for files missing the
	nie:dataSource when the cache has been flushed. When no further items are
	processed, the miner is stopped. Whenever the prioritized rdf:types list
	changes, the cache is dropped, just to query again with the new order kept
	into account.

	This reduces the potential memory usage of tracker-extract, it would
	previously would grow linearly with the number of files left to be
	inspected, which might bring in some memory pressure on certain scenarios.

	On the downside, this obviously makes the decorator a little bit slower,
	due to more queries happening (as opposed to a huge one), and at times the
	decorator is idle waiting to know what else to do.

	tracker-extract: Keep ref on recovery files
	The hashtable expects its own ref here, otherwise we get critical
	warnings after processing that item.

	docs: delete xml folder before regenerating ontology docs
	Otherwise it simply fails if there happens to be stale data

2015-06-30  Carlos Garnacho  <carlosg@gnome.org>

	distcheck fix

	update docs .gitignore

	docs: Delete dia diagrams, and pre-generated PNGs
	Those weren't that much clear nor useful, those are deleted in
	a separate commit in case we want to rescue and rework them
	someday.

	docs: Delete ontology graph tool
	This is now unused, so remove the tool, and the configure.ac check
	for fdp.

	docs: Rework ontology docs generation entirely
	Ontology docs weren't in a much good shape, besides many ontologies
	being seriously underdocumented (something which should improve
	separately), the generated docs were little more than a data dump,
	and the diagrams shown were broken, confusing, or both. This all
	amounts to quite counter-productive developer docs.

	So the ontology docs have been refurbished, the per-ontology
	descriptions are still useful, but have been stripped of all images,
	and the docs overall are now completely class-centric, per
	rdfs:Resource subclass we now get:

	- Ascii diagram of its local hierarchy, up to all its ancestors and
	  down to all its direct children.
	- All properties that affect the specific class. This is notably
	  more intuitive now as there's properties defined on one ontology
	  that are in the domain of classes in another ontology, something
	  which you couldn't get at a glance in the previous docs
	- It clearly states which properties supersede which superproperties,
	  which again makes it easier if those apply for the class at hand.

	The result feels quite neater, and will indeed be more resembling
	to other gtk-doc generated API docs.

2015-06-30  Pedro Albuquerque  <palbuquerque73@gmail.com>

	Updated Portuguese translation

2015-06-23  Balázs Úr  <urbalazs@gmail.com>

	Updated Hungarian translation

2015-06-20  Ralph Boehme  <slow@samba.org>

	configure: fix conditional AM_CONDITIONAL

2015-06-16  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2015-05-31  Iain Lane  <iain@orangesquash.org.uk>

	libtracker-miner: Set inotify limits for 'GInotifyFileBackend' too
	As of GLib 2.45.1, the inotify monitor backend is called this.

2015-05-31  Philip Withnall  <philip.withnall@collabora.co.uk>

	libtracker-common: Don’t fail statvfs() on a missing directory
	If $XDG_CACHE_HOME/tracker doesn’t exist on startup, the statvfs() call
	to determine how much space is left will fail with ENOENT. However, the
	code currently interprets this as being out of space, and will cause the
	rest of Tracker to shut down, even if there is actually plenty of space
	left on the disk.

	Avoid this by traversing up the directory hierarchy until statvfs() does
	not fail with ENOENT.

	https://bugzilla.gnome.org/show_bug.cgi?id=748907

2015-05-28  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2015-05-26  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2015-05-23  Michael Biebl  <biebl@debian.org>

	Move bash-completion to new location
	Rename the bash completion script after the binary and move it to
	/usr/share/bash-completion/completions. This way the completions can be
	loaded on demand.

2015-05-21  Dušan Kazik  <prescott66@gmail.com>

	Updated Slovak translation

2015-05-20  Christian Kirbach  <Christian.Kirbach@gmail.com>

	Updated German translation

2015-05-18  Jordi Mas  <jmas@softcatala.org>

	Fixes to Catalan translation

2015-05-17  Martin Srebotnjak  <miles@filmsi.net>

	Updated Slovenian translation

2015-05-09  Alexander Shopov  <ash@kambanaria.org>

	Added Bulgarian translation

2015-04-26  Cheng-Chia Tseng  <>

	Updated Chinese (Taiwan) translation

2015-04-25  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2015-04-24  Philip Withnall  <philip.withnall@collabora.co.uk>

	tracker-extract: Only extract media art if artist or title is known
	media_art_process_*() require at least one of the track’s artist and
	title to be specified, and will fail an assertion precondition if both
	are NULL.

	Other tracker-extract-*.c media backends already do this check, but it
	was missing from the GStreamer extractor.

	https://bugzilla.gnome.org/show_bug.cgi?id=748227

2015-04-09  Carlos Garnacho  <carlosg@gnome.org>

	tracker-extract-epub: Ensure we only have one nie:identifier
	This property has maxCardinality=1, we are however possibly adding
	multiple values there, either in both UUID/ISBN forms, or as multiple
	UUIDs in faulty epubs.

	ISBN should probably be its own rdf:Property, in the mean time, stick
	to the first nie:identifier found, and ignore the rest.

	https://bugzilla.gnome.org/show_bug.cgi?id=746401

2015-04-02  Piotr Drąg  <piotrdrag@gmail.com>

	Slightly improve new strings

	Updated POTFILES.in

2015-04-01  Kunaal  <kunaalus@gmail.com>

	tracker-needle: use gsettings
	Added gsettings for tracker-needle.
	Store the last view selected by user in tracker-needle before closing.

	https://bugzilla.gnome.org/show_bug.cgi?id=740302

2015-04-01  Martyn Russell  <martyn@lanedo.com>

	tracker: Fixed execution bit of tracker-compat, which is broken by sed
	https://bugzilla.gnome.org/show_bug.cgi?id=746939

2015-03-28  Antoine Jacoutot  <ajacoutot@gnome.org>

	openbsd: implement tracker_process_get_uid_for_pid()
	https://bugzilla.gnome.org/show_bug.cgi?id=697719

2015-03-24  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2015-03-24  Milo Casagrande  <milo@ubuntu.com>

	Updated Italian translation

2015-03-24  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2015-03-24  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2015-03-24  Enrico Nicoletto  <liverig@gmail.com>

	Updated Brazilian Portuguese translation

2015-03-23  Kunaal  <kunaalus@gmail.com>

	tracker-extract: Fix for find_member function
	find_member can't find functions if searching for "./something".
	This fix skips the "." directory while searching.

	https://bugzilla.gnome.org/show_bug.cgi?id=746437
	https://bugzilla.gnome.org/show_bug.cgi?id=730085

	tracker-needle: Fix for ambigous references
	Glib now has a new class Glib.ListStore, which creates a conflict in Vala.

	https://bugzilla.gnome.org/show_bug.cgi?id=746194

	tracker-needle: ambigious references
	Glib now has a new class Glib.ListStore, which creates a conflict in Vala.

	https://bugzilla.gnome.org/show_bug.cgi?id=746194

2015-03-23  Adrien Dorsaz  <adrien@adorsaz.ch>

	tracker-needle: fix query model assertion
	Match.TAGS_ONLY isn't indirect so this assertion should pass
	(the indirect way is Match.TAGS_ONLY_INDIRECT).

	tracker-needle: add logic to find by tags only

	tracker-needle: Add a button to search by tags

2015-03-22  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation

2015-03-22  Muhammet Kara  <muhammetk@gmail.com>

	Updated Turkish translation

2015-03-21  Ting-Wei Lan  <lantw@src.gnome.org>

	Fix "void function should not return a value"
	https://bugzilla.gnome.org/show_bug.cgi?id=746381

2015-03-20  Josef Andersson  <josef.andersson@gmail.com>

	Updated Swedish translation

2015-03-20  Milo Casagrande  <milo@ubuntu.com>

	Updated Italian translation

2015-03-17  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.3.6

	Distcheck fixes

	tracker-extract-gstreamer,msoffice: Improve warning message
	If we give the uri there, it's possible to know the file that issued the
	warning without verbosity>1 logs.

	https://bugzilla.gnome.org/show_bug.cgi?id=746256

	tracker-extract: Do not pass lesser errors as processing errors
	The errors sent back to the decorator are meant to be sort of critical/
	disrupting, things that fall upon the normal mode of operation that
	tracker-extract should be prepared for (eg. files we don't have
	extractors for) shouldn't be issued as criticals.

	tracker-extract-gstreamer: Lower message severity
	A missing plugin can hardly be warning worthy, we can't warn on user
	choices.

	tracker-extract: Use own error domain/codes
	It doesn't make much sense to reuse TRACKER_DBUS_ERROR for these
	purposes.

	libtracker-miner: Invalidate the IRI of just inserted elements
	This allows us to be smarter about when to look up the IRI on the database.
	If a file is created and being slowly written to (eg. downloads),
	::file-created will be emitted for the file eventually, but the updates
	will keep the file instance alive on the TrackerFileSystem.

	In this case we attempted to be smart and avoid querying needlessly the
	database for the IRI, which resulted on a mistakenly NULL IRI, and on
	an attempt to "create" the item again, even though it existed. This
	resulted in "UNIQUE constraint" errors.

	One thing we can do is "invalidating" the IRI, so the next time we
	call tracker_file_notifier_get_file_iri() on it, a query is forced only
	in these situations, this will make later updates happy with the right
	IRI.

	If the updates are too slow, and the file happens to be flushed out
	of the TrackerFileSystem (all non-directory files do), the next update
	would trigger again its insertion, and the IRI would be queried again,
	so we're safe in that regard.

	https://bugzilla.redhat.com/show_bug.cgi?id=1192224

	file-notifier: Exclude pending dirs from the contents sparql query
	Directories added to the pending queue (ie. at the edge of max-depth)
	may also be signaled as "updated" and added to the updated files array.
	As these directories will be crawled/queried independently later on,
	it doesn't make sense to include these in the current query for
	directory contents.

	This fixes spurious reindexes seen across tracker-miner-fs restarts,
	an(y) updated folder would be added on both queue/array, the sparql
	query for directory contents would include that folder that hasn't
	been crawled yet (hence being in the pending queue) and incorrectly
	signal all its contents as deleted. The folder would be just reindexed
	again from scratch on the next restart.

	https://bugzilla.gnome.org/show_bug.cgi?id=741852

2015-03-15  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2015-03-15  Ask Hjorth Larsen  <asklarsen@gmail.com>

	Updated Danish translation

2015-03-15  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2015-03-15  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2015-03-13  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-12  Carlos Garnacho  <carlosg@gnome.org>

	libtracker-data: Support fn:replace()
	In a limited form, no regex support.

	https://bugzilla.gnome.org/show_bug.cgi?id=745917

2015-03-12  Giovanni Campagna  <scampa.giovanni@gmail.com>

	tracker-store: clear the watchdog timer when it fires
	Otherwise glib complain that we remove an invalid source.

	https://bugzilla.gnome.org/show_bug.cgi?id=745565

2015-03-07  Seong-ho Cho  <shcho@gnome.org>

	Updated Korean translation

2015-03-06  Carlos Garnacho  <carlosg@gnome.org>

	configure: pack in .xz

	Release 1.3.5

	distcheck fixes

	tracker-data-manager: Re-creating tables don't add any property column
	If, during database update, the migration code chose to create a table from
	scratch, dumping data from the original one (eg. removing columns for
	properties that now have maxCardinality>1 and move to their own table),
	the destination table would be missing virtually all fields.

	When this happens, in_update differs from in_alter (the former tells whether
	we're creating the DB from scratch, the latter whether we're altering the
	original table). As we're actually creating the table from scratch, we must
	behave as such when dealing with the affected properties.

	https://bugzilla.gnome.org/show_bug.cgi?id=745737

2015-03-05  David King  <amigadave@amigadave.com>

	tracker-iptc-test: Only build if libjpeg enabled
	https://bugzilla.gnome.org/show_bug.cgi?id=745583

	tracker-compat: put absolute path in shell script
	https://bugzilla.gnome.org/show_bug.cgi?id=743738

2015-03-05  Stas Solovey  <whats_up@tut.by>

	Updated Russian translation

2015-03-04  Alain Lojewski  <allomervan@gmail.com>

	Updated French translation

2015-03-03  Carlos Garnacho  <carlosg@gnome.org>

	Release 1.3.4

2015-03-02  Piotr Drąg  <piotrdrag@gmail.com>

	Updated Polish translation

2015-02-28  Dušan Kazik  <prescott66@gmail.com>

